"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "resources": { "sites": { "methods": { "get": { "httpMethod": "GET", "response": { "$ref": "SiteSummaryResponse" }, "parameterOrder": ["name"], "parameters": { "name": { "description": "The required site name. This is the site property whose abusive\nexperiences have been reviewed, and it must be URL-encoded. For example,\nsites/https%3A%2F%2Fwww.google.com. The server will return an error of\nBAD_REQUEST if this field is not filled in. Note that if the site property\nis not yet verified in Search Console, the reportUrl field\nreturned by the API will lead to the verification page, prompting the user\nto go through that process before they can gain access to the Abusive\nExperience Report.", "required": true, "type": "string", "pattern": "^sites/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/xapi.zoo"], "flatPath": "v1/sites/{sitesId}", "id": "abusiveexperiencereport.sites.get", "path": "v1/{+name}", "description": "Gets a summary of the abusive experience rating of a site." } } }, "violatingSites": { "methods": { "list": { "description": "Lists sites with Abusive Experience Report statuses of \"Failing\".", "httpMethod": "GET", "response": { "$ref": "ViolatingSitesResponse" }, "parameterOrder": [], "parameters": {}, "scopes": ["https://www.googleapis.com/auth/xapi.zoo"], "flatPath": "v1/violatingSites", "id": "abusiveexperiencereport.violatingSites.list", "path": "v1/violatingSites" } } } }, "parameters": { "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string" }, "alt": { "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json" } }, "version": "v1", "baseUrl": "https://abusiveexperiencereport.googleapis.com/", "servicePath": "", "description": "View Abusive Experience Report data, and get a list of sites that have a significant number of abusive experiences.", "kind": "discovery#restDescription", "basePath": "", "documentationLink": "https://developers.google.com/abusive-experience-report/", "id": "abusiveexperiencereport:v1", "revision": "20180904", "discoveryVersion": "v1", "version_module": true, "schemas": { "ViolatingSitesResponse": { "description": "Response message for ListViolatingSites.", "type": "object", "properties": { "violatingSites": { "description": "A list of summaries of violating sites.", "type": "array", "items": { "$ref": "SiteSummaryResponse" } } }, "id": "ViolatingSitesResponse" }, "SiteSummaryResponse": { "description": "Response message for GetSiteSummary.\nDo not confuse with same message in google.ads.experiencereport.v1", "type": "object", "properties": { "abusiveStatus": { "description": "The status of the site reviewed for the abusive experiences.", "type": "string", "enumDescriptions": ["Not reviewed.", "Passing.", "Failing."], "enum": ["UNKNOWN", "PASSING", "FAILING"] }, "enforcementTime": { "description": "The date on which enforcement begins.", "format": "google-datetime", "type": "string" }, "filterStatus": { "enumDescriptions": ["N/A.", "Ad filtering is on.", "Ad filtering is off.", "Ad filtering is paused.", "Ad filtering is pending."], "enum": ["UNKNOWN", "ON", "OFF", "PAUSED", "PENDING"], "description": "The abusive experience enforcement status of the site.", "type": "string" }, "underReview": { "description": "Whether the site is currently under review.", "type": "boolean" }, "reportUrl": { "description": "A link that leads to a full abusive experience report.", "type": "string" }, "reviewedSite": { "description": "The name of the site reviewed.", "type": "string" }, "lastChangeTime": { "description": "The last time that the site changed status.", "format": "google-datetime", "type": "string" } }, "id": "SiteSummaryResponse" } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "Abusive Experience Report", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/xapi.zoo": { "description": "Test scope for access to the Zoo service" } } } }, "rootUrl": "https://abusiveexperiencereport.googleapis.com/", "ownerDomain": "google.com", "name": "abusiveexperiencereport", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Abusive Experience Report API", "ownerName": "Google" };
//# sourceMappingURL=abusiveexperiencereport-v1.js.map