"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "title": "Knowledge Graph Search API", "ownerName": "Google", "discoveryVersion": "v1", "version_module": true, "resources": { "entities": { "methods": { "search": { "description": "Searches Knowledge Graph for entities that match the constraints.\nA list of matched entities will be returned in response, which will be in\nJSON-LD format and compatible with http://schema.org", "httpMethod": "GET", "response": { "$ref": "SearchResponse" }, "parameterOrder": [], "parameters": { "query": { "type": "string", "location": "query", "description": "The literal query string for search." }, "types": { "type": "string", "repeated": true, "location": "query", "description": "Restricts returned entities with these types, e.g. Person\n(as defined in http://schema.org/Person). If multiple types are specified,\nreturned entities will contain one or more of these types." }, "indent": { "type": "boolean", "location": "query", "description": "Enables indenting of json results." }, "languages": { "location": "query", "description": "The list of language codes (defined in ISO 693) to run the query with,\ne.g. 'en'.", "type": "string", "repeated": true }, "ids": { "type": "string", "repeated": true, "location": "query", "description": "The list of entity id to be used for search instead of query string.\nTo specify multiple ids in the HTTP request, repeat the parameter in the\nURL as in ...?ids=A&ids=B" }, "limit": { "location": "query", "description": "Limits the number of entities to be returned.", "format": "int32", "type": "integer" }, "prefix": { "type": "boolean", "location": "query", "description": "Enables prefix match against names and aliases of entities" } }, "flatPath": "v1/entities:search", "id": "kgsearch.entities.search", "path": "v1/entities:search" } } } }, "parameters": { "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "pp": { "location": "query", "description": "Pretty-print response.", "type": "boolean", "default": "true" }, "bearer_token": { "location": "query", "description": "OAuth bearer token.", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "$.xgafv": { "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string", "enumDescriptions": ["v1 error format", "v2 error format"] }, "alt": { "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"] }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" } }, "schemas": { "SearchResponse": { "description": "Response message includes the context and a list of matching results\nwhich contain the detail of associated entities.", "type": "object", "properties": { "@context": { "type": "any", "description": "The local context applicable for the response. See more details at\nhttp://www.w3.org/TR/json-ld/#context-definitions." }, "itemListElement": { "description": "The item list of search results.", "type": "array", "items": { "type": "any" } }, "@type": { "description": "The schema type of top-level JSON-LD object, e.g. ItemList.", "type": "any" } }, "id": "SearchResponse" } }, "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version": "v1", "baseUrl": "https://kgsearch.googleapis.com/", "kind": "discovery#restDescription", "description": "Searches the Google Knowledge Graph for entities.", "servicePath": "", "rootUrl": "https://kgsearch.googleapis.com/", "basePath": "", "ownerDomain": "google.com", "name": "kgsearch", "batchPath": "batch", "id": "kgsearch:v1", "documentationLink": "https://developers.google.com/knowledge-graph/", "revision": "20180104" };
//# sourceMappingURL=kgsearch-v1.js.map