"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "title": "Google Search Console URL Testing Tools API", "ownerName": "Google", "discoveryVersion": "v1", "version_module": true, "resources": { "urlTestingTools": { "resources": { "mobileFriendlyTest": { "methods": { "run": { "request": { "$ref": "RunMobileFriendlyTestRequest" }, "description": "Runs Mobile-Friendly Test for a given URL.", "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "RunMobileFriendlyTestResponse" }, "parameters": {}, "flatPath": "v1/urlTestingTools/mobileFriendlyTest:run", "id": "searchconsole.urlTestingTools.mobileFriendlyTest.run", "path": "v1/urlTestingTools/mobileFriendlyTest:run" } } } } } }, "parameters": { "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string" }, "alt": { "location": "query", "description": "Data format for response.", "default": "json", "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"] } }, "schemas": { "RunMobileFriendlyTestResponse": { "properties": { "testStatus": { "$ref": "TestStatus", "description": "Final state of the test, can be either complete or an error." }, "resourceIssues": { "description": "Information about embedded resources issues.", "type": "array", "items": { "$ref": "ResourceIssue" } }, "mobileFriendliness": { "type": "string", "enumDescriptions": ["Internal error when running this test. Please try running the test again.", "The page is mobile friendly.", "The page is not mobile friendly."], "enum": ["MOBILE_FRIENDLY_TEST_RESULT_UNSPECIFIED", "MOBILE_FRIENDLY", "NOT_MOBILE_FRIENDLY"], "description": "Test verdict, whether the page is mobile friendly or not." }, "mobileFriendlyIssues": { "description": "List of mobile-usability issues.", "type": "array", "items": { "$ref": "MobileFriendlyIssue" } }, "screenshot": { "$ref": "Image", "description": "Screenshot of the requested URL." } }, "id": "RunMobileFriendlyTestResponse", "description": "Mobile-friendly test response, including mobile-friendly issues and resource\nissues.", "type": "object" }, "ResourceIssue": { "description": "Information about a resource with issue.", "type": "object", "properties": { "blockedResource": { "$ref": "BlockedResource", "description": "Describes a blocked resource issue." } }, "id": "ResourceIssue" }, "BlockedResource": { "description": "Blocked resource.", "type": "object", "properties": { "url": { "description": "URL of the blocked resource.", "type": "string" } }, "id": "BlockedResource" }, "TestStatus": { "description": "Final state of the test, including error details if necessary.", "type": "object", "properties": { "status": { "description": "Status of the test.", "type": "string", "enumDescriptions": ["Internal error when running this test. Please try running the test again.", "Inspection has completed without errors.", "Inspection terminated in an error state. This indicates a problem in\nGoogle's infrastructure, not a user error. Please try again later.", "Google can not access the URL because of a user error such as a robots.txt\nblockage, a 403 or 500 code etc. Please make sure that the URL provided is\naccessible by Googlebot and is not password protected."], "enum": ["TEST_STATUS_UNSPECIFIED", "COMPLETE", "INTERNAL_ERROR", "PAGE_UNREACHABLE"] }, "details": { "description": "Error details if applicable.", "type": "string" } }, "id": "TestStatus" }, "RunMobileFriendlyTestRequest": { "id": "RunMobileFriendlyTestRequest", "description": "Mobile-friendly test request.", "type": "object", "properties": { "url": { "description": "URL for inspection.", "type": "string" }, "requestScreenshot": { "description": "Whether or not screenshot is requested. Default is false.", "type": "boolean" } } }, "Image": { "description": "Describe image data.", "type": "object", "properties": { "mimeType": { "description": "The mime-type of the image data.", "type": "string" }, "data": { "description": "Image data in format determined by the mime type. Currently, the format\nwill always be \"image/png\", but this might change in the future.", "format": "byte", "type": "string" } }, "id": "Image" }, "MobileFriendlyIssue": { "description": "Mobile-friendly issue.", "type": "object", "properties": { "rule": { "enum": ["MOBILE_FRIENDLY_RULE_UNSPECIFIED", "USES_INCOMPATIBLE_PLUGINS", "CONFIGURE_VIEWPORT", "FIXED_WIDTH_VIEWPORT", "SIZE_CONTENT_TO_VIEWPORT", "USE_LEGIBLE_FONT_SIZES", "TAP_TARGETS_TOO_CLOSE"], "description": "Rule violated.", "type": "string", "enumDescriptions": ["Unknown rule. Sorry, we don't have any description for the rule that was\nbroken.", "Plugins incompatible with mobile devices are being used. [Learn more]\n(https://support.google.com/webmasters/answer/6352293#flash_usage).", "Viewsport is not specified using the meta viewport tag. [Learn more]\n(https://support.google.com/webmasters/answer/6352293#viewport_not_configured).", "Viewport defined to a fixed width. [Learn more]\n(https://support.google.com/webmasters/answer/6352293#fixed-width_viewport).", "Content not sized to viewport. [Learn more]\n(https://support.google.com/webmasters/answer/6352293#content_not_sized_to_viewport).", "Font size is too small for easy reading on a small screen. [Learn More]\n(https://support.google.com/webmasters/answer/6352293#small_font_size).", "Touch elements are too close to each other. [Learn more]\n(https://support.google.com/webmasters/answer/6352293#touch_elements_too_close)."] } }, "id": "MobileFriendlyIssue" } }, "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version": "v1", "baseUrl": "https://searchconsole.googleapis.com/", "canonicalName": "Search Console", "kind": "discovery#restDescription", "description": "Provides tools for running validation tests against single URLs", "servicePath": "", "rootUrl": "https://searchconsole.googleapis.com/", "basePath": "", "ownerDomain": "google.com", "name": "searchconsole", "batchPath": "batch", "revision": "20180917", "documentationLink": "https://developers.google.com/webmaster-tools/search-console-api/", "id": "searchconsole:v1" };
//# sourceMappingURL=searchconsole-v1.js.map