"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = { "rootUrl": "https://tpu.googleapis.com/", "ownerDomain": "google.com", "name": "tpu", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "title": "Cloud TPU API", "ownerName": "Google", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "id": "tpu.projects.locations.list", "path": "v1alpha1/{+name}/locations", "description": "Lists information about the supported locations for this service.", "httpMethod": "GET", "parameterOrder": ["name"], "response": { "$ref": "ListLocationsResponse" }, "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "location": "path", "description": "The resource that owns the locations collection, if applicable.", "required": true, "type": "string", "pattern": "^projects/[^/]+$" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "location": "query", "description": "The standard list page size.", "format": "int32", "type": "integer" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations" }, "get": { "response": { "$ref": "Location" }, "parameterOrder": ["name"], "httpMethod": "GET", "parameters": { "name": { "description": "Resource name for the location.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.get", "description": "Gets information about a location." } }, "resources": { "nodes": { "methods": { "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}", "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.nodes.get", "description": "Gets the details of a node.", "response": { "$ref": "Node" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path" } } }, "stop": { "parameters": { "name": { "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:stop", "path": "v1alpha1/{+name}:stop", "id": "tpu.projects.locations.nodes.stop", "description": "Stops a node.", "request": { "$ref": "StopNodeRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST" }, "start": { "path": "v1alpha1/{+name}:start", "id": "tpu.projects.locations.nodes.start", "request": { "$ref": "StartNodeRequest" }, "description": "Starts a node.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:start" }, "delete": { "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.nodes.delete", "description": "Deletes a node.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "name": { "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}" }, "list": { "description": "Lists nodes.", "response": { "$ref": "ListNodesResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "description": "The maximum number of items to return.", "format": "int32", "type": "integer" }, "parent": { "description": "The parent resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes", "path": "v1alpha1/{+parent}/nodes", "id": "tpu.projects.locations.nodes.list" }, "create": { "id": "tpu.projects.locations.nodes.create", "path": "v1alpha1/{+parent}/nodes", "description": "Creates a node.", "request": { "$ref": "Node" }, "httpMethod": "POST", "parameterOrder": ["parent"], "response": { "$ref": "Operation" }, "parameters": { "nodeId": { "location": "query", "description": "The unqualified resource name.", "type": "string" }, "parent": { "description": "The parent resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes" }, "reimage": { "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/nodes/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/nodes/{nodesId}:reimage", "path": "v1alpha1/{+name}:reimage", "id": "tpu.projects.locations.nodes.reimage", "description": "Reimages a node's OS.", "request": { "$ref": "ReimageNodeRequest" } } } }, "tensorflowVersions": { "methods": { "list": { "path": "v1alpha1/{+parent}/tensorflowVersions", "id": "tpu.projects.locations.tensorflowVersions.list", "description": "Lists TensorFlow versions supported by this API.", "response": { "$ref": "ListTensorFlowVersionsResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "orderBy": { "description": "Sort results.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of items to return.", "format": "int32" }, "parent": { "description": "The parent resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "filter": { "location": "query", "description": "List filter.", "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions" }, "get": { "parameters": { "name": { "location": "path", "description": "The resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/tensorflowVersions/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/tensorflowVersions/{tensorflowVersionsId}", "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.tensorflowVersions.get", "description": "Gets TensorFlow Version.", "response": { "$ref": "TensorFlowVersion" }, "parameterOrder": ["name"], "httpMethod": "GET" } } }, "operations": { "methods": { "list": { "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "name": { "description": "The name of the operation's parent resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "pageSize": { "location": "query", "description": "The standard list page size.", "format": "int32", "type": "integer" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1alpha1/{+name}/operations", "id": "tpu.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the\nserver doesn't support this method, it returns `UNIMPLEMENTED`.\n\nNOTE: the `name` binding allows API services to override the binding\nto use different resource name schemes, such as `users/*/operations`. To\noverride the binding, API services can add a binding such as\n`\"/v1/{name=users/*}/operations\"` to their service configuration.\nFor backwards compatibility, the default name includes the operations\ncollection id, however overriding users must ensure the name binding\nis the parent resource, without the operations collection id." }, "get": { "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation.  Clients can use this\nmethod to poll the operation result at intervals as recommended by the API\nservice.", "response": { "$ref": "Operation" }, "parameterOrder": ["name"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "cancel": { "httpMethod": "POST", "parameterOrder": ["name"], "response": { "$ref": "Empty" }, "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "tpu.projects.locations.operations.cancel", "path": "v1alpha1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation.  The server\nmakes a best effort to cancel the operation, but success is not\nguaranteed.  If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.  Clients can use\nOperations.GetOperation or\nother methods to check whether the cancellation succeeded or whether the\noperation completed despite cancellation. On successful cancellation,\nthe operation is not deleted; instead, it becomes an operation with\nan Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`." }, "delete": { "path": "v1alpha1/{+name}", "id": "tpu.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is\nno longer interested in the operation result. It does not cancel the\noperation. If the server doesn't support this method, it returns\n`google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "parameterOrder": ["name"], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" } } }, "acceleratorTypes": { "methods": { "list": { "description": "Lists accelerator types supported by this API.", "response": { "$ref": "ListAcceleratorTypesResponse" }, "parameterOrder": ["parent"], "httpMethod": "GET", "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sort results.", "type": "string" }, "pageSize": { "description": "The maximum number of items to return.", "format": "int32", "type": "integer", "location": "query" }, "parent": { "description": "The parent resource name.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "filter": { "location": "query", "description": "List filter.", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes", "path": "v1alpha1/{+parent}/acceleratorTypes", "id": "tpu.projects.locations.acceleratorTypes.list" }, "get": { "httpMethod": "GET", "parameterOrder": ["name"], "response": { "$ref": "AcceleratorType" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/acceleratorTypes/[^/]+$", "location": "path", "description": "The resource name.", "required": true, "type": "string" } }, "scopes": ["https://www.googleapis.com/auth/cloud-platform"], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/acceleratorTypes/{acceleratorTypesId}", "id": "tpu.projects.locations.acceleratorTypes.get", "path": "v1alpha1/{+name}", "description": "Gets AcceleratorType." } } } } } } } }, "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "$.xgafv": { "enumDescriptions": ["v1 error format", "v2 error format"], "location": "query", "enum": ["1", "2"], "description": "V1 error format.", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "alt": { "enum": ["json", "media", "proto"], "type": "string", "enumDescriptions": ["Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf"], "location": "query", "description": "Data format for response.", "default": "json" } }, "version": "v1alpha1", "baseUrl": "https://tpu.googleapis.com/", "kind": "discovery#restDescription", "description": "TPU API provides customers with access to Google TPU technology.", "servicePath": "", "basePath": "", "revision": "20180905", "documentationLink": "https://cloud.google.com/tpu/", "id": "tpu:v1alpha1", "discoveryVersion": "v1", "version_module": true, "schemas": { "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } } }, "id": "ListOperationsResponse" }, "StartNodeRequest": { "type": "object", "properties": {}, "id": "StartNodeRequest", "description": "Request for StartNode." }, "ListAcceleratorTypesResponse": { "id": "ListAcceleratorTypesResponse", "description": "Response for ListAcceleratorTypes.", "type": "object", "properties": { "nextPageToken": { "description": "The next page token or empty if none.", "type": "string" }, "acceleratorTypes": { "description": "The listed nodes.", "type": "array", "items": { "$ref": "AcceleratorType" } } } }, "OperationMetadata": { "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "endTime": { "description": "[Output only] The time the operation finished running.", "format": "google-datetime", "type": "string" }, "cancelRequested": { "description": "[Output only] Identifies whether the user has requested cancellation\nof the operation. Operations that have successfully been cancelled\nhave Operation.error value with a google.rpc.Status.code of 1,\ncorresponding to `Code.CANCELLED`.", "type": "boolean" }, "verb": { "description": "[Output only] Name of the verb executed by the operation.", "type": "string" }, "createTime": { "description": "[Output only] The time the operation was created.", "format": "google-datetime", "type": "string" }, "statusDetail": { "description": "[Output only] Human-readable status of the operation, if any.", "type": "string" }, "apiVersion": { "type": "string", "description": "[Output only] API version used to start the operation." }, "target": { "description": "[Output only] Server-defined resource path for the target of the operation.", "type": "string" } } }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "id": "ListLocationsResponse" }, "SchedulingConfig": { "id": "SchedulingConfig", "type": "object", "properties": { "preemptible": { "type": "boolean" } } }, "Node": { "description": "A TPU instance.", "type": "object", "properties": { "network": { "description": "The name of a network they wish to peer the TPU node to. It must be a\npreexisting Compute Engine network inside of the project on which this API\nhas been activated. If none is provided, \"default\" will be used.", "type": "string" }, "healthDescription": { "description": "Output only.\nIf this field is populated, it contains a description of why the TPU Node\nis unhealthy.", "type": "string" }, "health": { "enumDescriptions": ["Health status is unknown: not initialized or failed to retrieve.", "The resource is healthy.", "The resource is unhealthy.", "The resource is unresponsive."], "enum": ["HEALTH_UNSPECIFIED", "HEALTHY", "UNHEALTHY", "TIMEOUT"], "description": "The health status of the TPU node.", "type": "string" }, "ipAddress": { "description": "Output only.\nDEPRECATED! Use network_endpoints instead.\nThe network address for the TPU Node as visible to Compute Engine\ninstances.", "type": "string" }, "cidrBlock": { "description": "The CIDR block that the TPU node will use when selecting an IP address.\nThis CIDR block must be a /29 block; the Compute Engine networks API\nforbids a smaller block, and using a larger block would be wasteful (a\nnode can only consume one IP address). Errors will occur if the CIDR block\nhas already been used for a currently existing TPU node, the CIDR block\nconflicts with any subnetworks in the user's provided network, or the\nprovided network is peered with another network that is using that CIDR\nblock.\nRequired.", "type": "string" }, "createTime": { "description": "Output only.\nThe time when the node was created.", "format": "google-datetime", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Resource labels to represent user-provided metadata.", "type": "object" }, "tensorflowVersion": { "description": "The version of Tensorflow running in the Node.\nRequired.", "type": "string" }, "description": { "description": "The user-supplied description of the TPU. Maximum of 512 characters.", "type": "string" }, "networkEndpoints": { "description": "Output only. The network endpoints where TPU workers can be accessed and sent work.\nIt is recommended that Tensorflow clients of the node reach out to the 0th\nentry in this map first.", "type": "array", "items": { "$ref": "NetworkEndpoint" } }, "schedulingConfig": { "$ref": "SchedulingConfig" }, "state": { "enumDescriptions": ["TPU node state is not known/set.", "TPU node is being created.", "TPU node has been created and is fully usable.", "TPU node is restarting.", "TPU node is undergoing reimaging.", "TPU node is being deleted.", "TPU node is being repaired and may be unusable. Details can be\nfound in the `help_description` field.", "7 - Reserved. Was SUSPENDED.\nTPU node is stopped.", "TPU node is currently stopping.", "TPU node is currently starting.", "TPU node has been preempted. Only applies to Preemptible TPU Nodes.", "TPU node has been terminated due to maintenance or has reached the end of\nits life cycle (for preemptible nodes)."], "enum": ["STATE_UNSPECIFIED", "CREATING", "READY", "RESTARTING", "REIMAGING", "DELETING", "REPAIRING", "STOPPED", "STOPPING", "STARTING", "PREEMPTED", "TERMINATED"], "description": "Output only.\nThe current state for the TPU Node.", "type": "string" }, "acceleratorType": { "description": "The type of hardware accelerators associated with this node.\nRequired.", "type": "string" }, "name": { "description": "Output only.\nThe immutable name of the TPU", "type": "string" }, "port": { "description": "Output only.\nDEPRECATED! Use network_endpoints instead.\nThe network port for the TPU Node as visible to Compute Engine instances.", "type": "string" }, "serviceAccount": { "description": "Output only.\nThe service account used to run the tensor flow services within the node.\nTo share resources, including Google Cloud Storage data, with the\nTensorflow job running in the Node, this account must have permissions to\nthat data.", "type": "string" } }, "id": "Node" }, "NetworkEndpoint": { "description": "A network endpoint over which a TPU worker can be reached.", "type": "object", "properties": { "ipAddress": { "description": "The IP address of this network endpoint.", "type": "string" }, "port": { "description": "The port of this network endpoint.", "format": "int32", "type": "integer" } }, "id": "NetworkEndpoint" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a\nnetwork API call.", "type": "object", "properties": { "response": { "description": "The normal response of the operation in case of success.  If the original\nmethod returns no data on success, such as `Delete`, the response is\n`google.protobuf.Empty`.  If the original method is standard\n`Get`/`Create`/`Update`, the response should be the resource.  For other\nmethods, the response should have the type `XxxResponse`, where `Xxx`\nis the original method name.  For example, if the original method name\nis `TakeSnapshot()`, the inferred response type is\n`TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "description": "The server-assigned name, which is only unique within the same service that\noriginally returns it. If you use the default HTTP mapping, the\n`name` should have the format of `operations/some/unique/name`.", "type": "string" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation.  It typically\ncontains progress information and common metadata such as create time.\nSome services might not provide such metadata.  Any method that returns a\nlong-running operation should document the metadata type, if any.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress.\nIf `true`, the operation is completed, and either `error` or `response` is\navailable.", "type": "boolean" } }, "id": "Operation" }, "StopNodeRequest": { "description": "Request for StopNode.", "type": "object", "properties": {}, "id": "StopNodeRequest" }, "TensorFlowVersion": { "type": "object", "properties": { "version": { "description": "the tensorflow version.", "type": "string" }, "name": { "type": "string", "description": "The resource name." } }, "id": "TensorFlowVersion", "description": "A tensorflow version that a Node can be configured with." }, "AcceleratorType": { "type": "object", "properties": { "name": { "description": "The resource name.", "type": "string" }, "type": { "description": "the accelerator type.", "type": "string" } }, "id": "AcceleratorType", "description": "A accelerator type that a Node can be configured with." }, "ListNodesResponse": { "description": "Response for ListNodes.", "type": "object", "properties": { "nextPageToken": { "description": "The next page token or empty if none.", "type": "string" }, "nodes": { "type": "array", "items": { "$ref": "Node" }, "description": "The listed nodes." } }, "id": "ListNodesResponse" }, "Status": { "type": "object", "properties": { "details": { "description": "A list of messages that carry the error details.  There is a common set of\nmessage types for APIs to use.", "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any\nuser-facing error message should be localized and sent in the\ngoogle.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different\nprogramming environments, including REST APIs and RPC APIs. It is used by\n[gRPC](https://github.com/grpc). The error model is designed to be:\n\n- Simple to use and understand for most users\n- Flexible enough to meet unexpected needs\n\n# Overview\n\nThe `Status` message contains three pieces of data: error code, error message,\nand error details. The error code should be an enum value of\ngoogle.rpc.Code, but it may accept additional error codes if needed.  The\nerror message should be a developer-facing English message that helps\ndevelopers *understand* and *resolve* the error. If a localized user-facing\nerror message is needed, put the localized message in the error details or\nlocalize it in the client. The optional error details may contain arbitrary\ninformation about the error. There is a predefined set of error detail types\nin the package `google.rpc` that can be used for common error conditions.\n\n# Language mapping\n\nThe `Status` message is the logical representation of the error model, but it\nis not necessarily the actual wire format. When the `Status` message is\nexposed in different client libraries and different wire protocols, it can be\nmapped differently. For example, it will likely be mapped to some exceptions\nin Java, but more likely mapped to some error codes in C.\n\n# Other uses\n\nThe error model and the `Status` message can be used in a variety of\nenvironments, either with or without APIs, to provide a\nconsistent developer experience across different environments.\n\nExample uses of this error model include:\n\n- Partial errors. If a service needs to return partial errors to the client,\n    it may embed the `Status` in the normal response to indicate the partial\n    errors.\n\n- Workflow errors. A typical workflow has multiple steps. Each step may\n    have a `Status` message for error reporting.\n\n- Batch operations. If a client uses batch request and batch response, the\n    `Status` message should be used directly inside batch response, one for\n    each error sub-response.\n\n- Asynchronous operations. If an API call embeds asynchronous operation\n    results in its response, the status of those operations should be\n    represented directly using the `Status` message.\n\n- Logging. If some API errors are stored in logs, the message `Status` could\n    be used directly after any stripping needed for security/privacy reasons." }, "ListTensorFlowVersionsResponse": { "description": "Response for ListTensorFlowVersions.", "type": "object", "properties": { "nextPageToken": { "description": "The next page token or empty if none.", "type": "string" }, "tensorflowVersions": { "description": "The listed nodes.", "type": "array", "items": { "$ref": "TensorFlowVersion" } } }, "id": "ListTensorFlowVersionsResponse" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated\nempty messages in your APIs. A typical example is to use it as the request\nor the response type of an API method. For instance:\n\n    service Foo {\n      rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n    }\n\nThe JSON representation for `Empty` is empty JSON object `{}`.", "type": "object", "properties": {}, "id": "Empty" }, "ReimageNodeRequest": { "description": "Request for ReimageNode.", "type": "object", "properties": { "tensorflowVersion": { "description": "The version for reimage to create.", "type": "string" } }, "id": "ReimageNodeRequest" }, "Location": { "type": "object", "properties": { "name": { "description": "Resource name for the location, which may vary between implementations.\nFor example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name.\nFor example, \"Tokyo\".", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given\nlocation.", "type": "object" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example\n\n    {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location." } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "TPU", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "View and manage your data across Google Cloud Platform services" } } } } };
//# sourceMappingURL=tpu-v1alpha1.js.map