export default {"version_module":true,"resources":{"ampUrls":{"methods":{"batchGet":{"description":"Returns AMP URL(s) and equivalent\n[AMP Cache URL(s)](/amp/cache/overview#amp-cache-url-format).","request":{"$ref":"BatchGetAmpUrlsRequest"},"response":{"$ref":"BatchGetAmpUrlsResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"flatPath":"v1/ampUrls:batchGet","path":"v1/ampUrls:batchGet","id":"acceleratedmobilepageurl.ampUrls.batchGet"}}}},"parameters":{"callback":{"type":"string","location":"query","description":"JSONP"},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"alt":{"enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"uploadType":{"type":"string","location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\")."}},"schemas":{"AmpUrl":{"description":"AMP URL response for a requested URL.","type":"object","properties":{"originalUrl":{"description":"The original non-AMP URL.","type":"string"},"ampUrl":{"description":"The AMP URL pointing to the publisher's web server.","type":"string"},"cdnAmpUrl":{"type":"string","description":"The [AMP Cache URL](/amp/cache/overview#amp-cache-url-format) pointing to\nthe cached document in the Google AMP Cache."}},"id":"AmpUrl"},"AmpUrlError":{"description":"AMP URL Error resource for a requested URL that couldn't be found.","type":"object","properties":{"errorMessage":{"description":"An optional descriptive error message.","type":"string"},"errorCode":{"enum":["ERROR_CODE_UNSPECIFIED","INPUT_URL_NOT_FOUND","NO_AMP_URL","APPLICATION_ERROR","URL_IS_VALID_AMP","URL_IS_INVALID_AMP"],"description":"The error code of an API call.","type":"string","enumDescriptions":["Not specified error.","Indicates the requested URL is not found in the index, possibly because\nit's unable to be found, not able to be accessed by Googlebot, or some\nother error.","Indicates no AMP URL has been found that corresponds to the requested\nURL.","Indicates some kind of application error occurred at the server.\nClient advised to retry.","DEPRECATED: Indicates the requested URL is a valid AMP URL.  This is a\nnon-error state, should not be relied upon as a sign of success or\nfailure.  It will be removed in future versions of the API.","Indicates that an AMP URL has been found that corresponds to the request\nURL, but it is not valid AMP HTML."]},"originalUrl":{"description":"The original non-AMP URL.","type":"string"}},"id":"AmpUrlError"},"BatchGetAmpUrlsRequest":{"description":"AMP URL request for a batch of URLs.","type":"object","properties":{"urls":{"description":"List of URLs to look up for the paired AMP URLs.\nThe URLs are case-sensitive. Up to 50 URLs per lookup\n(see [Usage Limits](/amp/cache/reference/limits)).","type":"array","items":{"type":"string"}},"lookupStrategy":{"enumDescriptions":["FETCH_LIVE_DOC strategy involves live document fetch of URLs not found in\nthe index. Any request URL not found in the index is crawled in realtime\nto validate if there is a corresponding AMP URL. This strategy has higher\ncoverage but with extra latency introduced by realtime crawling. This is\nthe default strategy. Applications using this strategy should set higher\nHTTP timeouts of the API calls.","IN_INDEX_DOC strategy skips fetching live documents of URL(s) not found\nin index. For applications which need low latency use of IN_INDEX_DOC\nstrategy is recommended."],"enum":["FETCH_LIVE_DOC","IN_INDEX_DOC"],"description":"The lookup_strategy being requested.","type":"string"}},"id":"BatchGetAmpUrlsRequest"},"BatchGetAmpUrlsResponse":{"description":"Batch AMP URL response.","type":"object","properties":{"ampUrls":{"description":"For each URL in BatchAmpUrlsRequest, the URL response. The response might\nnot be in the same order as URLs in the batch request.\nIf BatchAmpUrlsRequest contains duplicate URLs, AmpUrl is generated\nonly once.","type":"array","items":{"$ref":"AmpUrl"}},"urlErrors":{"description":"The errors for requested URLs that have no AMP URL.","type":"array","items":{"$ref":"AmpUrlError"}}},"id":"BatchGetAmpUrlsResponse"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"version":"v1","baseUrl":"https://acceleratedmobilepageurl.googleapis.com/","kind":"discovery#restDescription","description":"Retrieves the list of AMP URLs (and equivalent AMP Cache URLs) for a given list of public URL(s).\n","servicePath":"","rootUrl":"https://acceleratedmobilepageurl.googleapis.com/","basePath":"","ownerDomain":"google.com","name":"acceleratedmobilepageurl","batchPath":"batch","revision":"20180917","documentationLink":"https://developers.google.com/amp/cache/","id":"acceleratedmobilepageurl:v1","title":"Accelerated Mobile Pages (AMP) URL API","discoveryVersion":"v1","ownerName":"Google"};