export default {"rootUrl":"https://androidmanagement.googleapis.com/","ownerDomain":"google.com","name":"androidmanagement","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Android Management API","ownerName":"Google","resources":{"enterprises":{"resources":{"enrollmentTokens":{"methods":{"create":{"response":{"$ref":"EnrollmentToken"},"parameterOrder":["parent"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"parent":{"pattern":"^enterprises/[^/]+$","location":"path","description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}/enrollmentTokens","path":"v1/{+parent}/enrollmentTokens","id":"androidmanagement.enterprises.enrollmentTokens.create","request":{"$ref":"EnrollmentToken"},"description":"Creates an enrollment token for a given enterprise."},"delete":{"path":"v1/{+name}","id":"androidmanagement.enterprises.enrollmentTokens.delete","description":"Deletes an enrollment token. This operation invalidates the token, preventing its future use.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"name":{"description":"The name of the enrollment token in the form enterprises/{enterpriseId}/enrollmentTokens/{enrollmentTokenId}.","required":true,"type":"string","pattern":"^enterprises/[^/]+/enrollmentTokens/[^/]+$","location":"path"}},"flatPath":"v1/enterprises/{enterprisesId}/enrollmentTokens/{enrollmentTokensId}"}}},"applications":{"methods":{"get":{"description":"Gets info about an application.","response":{"$ref":"Application"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"name":{"pattern":"^enterprises/[^/]+/applications/[^/]+$","location":"path","description":"The name of the application in the form enterprises/{enterpriseId}/applications/{package_name}.","required":true,"type":"string"},"languageCode":{"location":"query","description":"The preferred language for localized application info, as a BCP47 tag (e.g. \"en-US\", \"de\"). If not specified the default language of the application will be used.","type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}/applications/{applicationsId}","path":"v1/{+name}","id":"androidmanagement.enterprises.applications.get"}}},"devices":{"methods":{"delete":{"httpMethod":"DELETE","response":{"$ref":"Empty"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^enterprises/[^/]+/devices/[^/]+$","location":"path","description":"The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}.","required":true,"type":"string"},"wipeDataFlags":{"repeated":true,"location":"query","enum":["WIPE_DATA_FLAG_UNSPECIFIED","PRESERVE_RESET_PROTECTION_DATA","WIPE_EXTERNAL_STORAGE"],"description":"Optional flags that control the device wiping behavior.","type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}","id":"androidmanagement.enterprises.devices.delete","path":"v1/{+name}","description":"Deletes a device. This operation wipes the device."},"get":{"httpMethod":"GET","response":{"$ref":"Device"},"parameterOrder":["name"],"parameters":{"name":{"description":"The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}","id":"androidmanagement.enterprises.devices.get","path":"v1/{+name}","description":"Gets a device."},"list":{"response":{"$ref":"ListDevicesResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string","pattern":"^enterprises/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"A token identifying a page of results returned by the server.","type":"string"},"pageSize":{"location":"query","description":"The requested page size. The actual page size may be fixed to a min or max value.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices","path":"v1/{+parent}/devices","id":"androidmanagement.enterprises.devices.list","description":"Lists devices for a given enterprise."},"patch":{"response":{"$ref":"Device"},"parameterOrder":["name"],"httpMethod":"PATCH","parameters":{"updateMask":{"location":"query","description":"The field mask indicating the fields to update. If not set, all modifiable fields will be modified.","format":"google-fieldmask","type":"string"},"name":{"description":"The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}","path":"v1/{+name}","id":"androidmanagement.enterprises.devices.patch","description":"Updates a device.","request":{"$ref":"Device"}},"issueCommand":{"httpMethod":"POST","parameterOrder":["name"],"response":{"$ref":"Operation"},"parameters":{"name":{"description":"The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}:issueCommand","id":"androidmanagement.enterprises.devices.issueCommand","path":"v1/{+name}:issueCommand","description":"Issues a command to a device. The Operation resource returned contains a Command in its metadata field. Use the get operation method to get the status of the command.","request":{"$ref":"Command"}}},"resources":{"operations":{"methods":{"cancel":{"response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"POST","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"name":{"description":"The name of the operation resource to be cancelled.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+/operations/[^/]+$","location":"path"}},"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}/operations/{operationsId}:cancel","path":"v1/{+name}:cancel","id":"androidmanagement.enterprises.devices.operations.cancel","description":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED."},"delete":{"httpMethod":"DELETE","response":{"$ref":"Empty"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^enterprises/[^/]+/devices/[^/]+/operations/[^/]+$","location":"path","description":"The name of the operation resource to be deleted.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}/operations/{operationsId}","id":"androidmanagement.enterprises.devices.operations.delete","path":"v1/{+name}","description":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED."},"list":{"response":{"$ref":"ListOperationsResponse"},"parameterOrder":["name"],"httpMethod":"GET","parameters":{"name":{"description":"The name of the operation's parent resource.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+/operations$","location":"path"},"pageToken":{"location":"query","description":"The standard list page token.","type":"string"},"pageSize":{"location":"query","description":"The standard list page size.","format":"int32","type":"integer"},"filter":{"description":"The standard list filter.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}/operations","path":"v1/{+name}","id":"androidmanagement.enterprises.devices.operations.list","description":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id."},"get":{"description":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","httpMethod":"GET","response":{"$ref":"Operation"},"parameterOrder":["name"],"parameters":{"name":{"description":"The name of the operation resource.","required":true,"type":"string","pattern":"^enterprises/[^/]+/devices/[^/]+/operations/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/devices/{devicesId}/operations/{operationsId}","id":"androidmanagement.enterprises.devices.operations.get","path":"v1/{+name}"}}}}},"webTokens":{"methods":{"create":{"response":{"$ref":"WebToken"},"parameterOrder":["parent"],"httpMethod":"POST","parameters":{"parent":{"pattern":"^enterprises/[^/]+$","location":"path","description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/webTokens","path":"v1/{+parent}/webTokens","id":"androidmanagement.enterprises.webTokens.create","description":"Creates a web token to access an embeddable managed Google Play web UI for a given enterprise.","request":{"$ref":"WebToken"}}}},"policies":{"methods":{"delete":{"path":"v1/{+name}","id":"androidmanagement.enterprises.policies.delete","description":"Deletes a policy. This operation is only permitted if no devices are currently referencing the policy.","response":{"$ref":"Empty"},"parameterOrder":["name"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"name":{"pattern":"^enterprises/[^/]+/policies/[^/]+$","location":"path","description":"The name of the policy in the form enterprises/{enterpriseId}/policies/{policyId}.","required":true,"type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}/policies/{policiesId}"},"get":{"description":"Gets a policy.","httpMethod":"GET","response":{"$ref":"Policy"},"parameterOrder":["name"],"parameters":{"name":{"pattern":"^enterprises/[^/]+/policies/[^/]+$","location":"path","description":"The name of the policy in the form enterprises/{enterpriseId}/policies/{policyId}.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/policies/{policiesId}","id":"androidmanagement.enterprises.policies.get","path":"v1/{+name}"},"list":{"id":"androidmanagement.enterprises.policies.list","path":"v1/{+parent}/policies","description":"Lists policies for a given enterprise.","httpMethod":"GET","response":{"$ref":"ListPoliciesResponse"},"parameterOrder":["parent"],"parameters":{"pageToken":{"location":"query","description":"A token identifying a page of results returned by the server.","type":"string"},"pageSize":{"description":"The requested page size. The actual page size may be fixed to a min or max value.","format":"int32","type":"integer","location":"query"},"parent":{"pattern":"^enterprises/[^/]+$","location":"path","description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises/{enterprisesId}/policies"},"patch":{"path":"v1/{+name}","id":"androidmanagement.enterprises.policies.patch","request":{"$ref":"Policy"},"description":"Updates or creates a policy.","response":{"$ref":"Policy"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"updateMask":{"location":"query","description":"The field mask indicating the fields to update. If not set, all modifiable fields will be modified.","format":"google-fieldmask","type":"string"},"name":{"pattern":"^enterprises/[^/]+/policies/[^/]+$","location":"path","description":"The name of the policy in the form enterprises/{enterpriseId}/policies/{policyId}.","required":true,"type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}/policies/{policiesId}"}}}},"methods":{"get":{"response":{"$ref":"Enterprise"},"parameterOrder":["name"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"name":{"pattern":"^enterprises/[^/]+$","location":"path","description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}","path":"v1/{+name}","id":"androidmanagement.enterprises.get","description":"Gets an enterprise."},"patch":{"request":{"$ref":"Enterprise"},"description":"Updates an enterprise.","response":{"$ref":"Enterprise"},"parameterOrder":["name"],"httpMethod":"PATCH","scopes":["https://www.googleapis.com/auth/androidmanagement"],"parameters":{"updateMask":{"description":"The field mask indicating the fields to update. If not set, all modifiable fields will be modified.","format":"google-fieldmask","type":"string","location":"query"},"name":{"pattern":"^enterprises/[^/]+$","location":"path","description":"The name of the enterprise in the form enterprises/{enterpriseId}.","required":true,"type":"string"}},"flatPath":"v1/enterprises/{enterprisesId}","path":"v1/{+name}","id":"androidmanagement.enterprises.patch"},"create":{"description":"Creates an enterprise. This is the last step in the enterprise signup flow.","request":{"$ref":"Enterprise"},"httpMethod":"POST","parameterOrder":[],"response":{"$ref":"Enterprise"},"parameters":{"signupUrlName":{"location":"query","description":"The name of the SignupUrl used to sign up for the enterprise.","type":"string"},"projectId":{"description":"The ID of the Google Cloud Platform project which will own the enterprise.","type":"string","location":"query"},"enterpriseToken":{"location":"query","description":"The enterprise token appended to the callback URL.","type":"string"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/enterprises","id":"androidmanagement.enterprises.create","path":"v1/enterprises"}}},"signupUrls":{"methods":{"create":{"id":"androidmanagement.signupUrls.create","path":"v1/signupUrls","description":"Creates an enterprise signup URL.","httpMethod":"POST","response":{"$ref":"SignupUrl"},"parameterOrder":[],"parameters":{"callbackUrl":{"description":"The callback URL that the admin will be redirected to after successfully creating an enterprise. Before redirecting there the system will add a query parameter to this URL named enterpriseToken which will contain an opaque token to be used for the create enterprise request. The URL will be parsed then reformatted in order to add the enterpriseToken parameter, so there may be some minor formatting changes.","type":"string","location":"query"},"projectId":{"description":"The ID of the Google Cloud Platform project which will own the enterprise.","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/androidmanagement"],"flatPath":"v1/signupUrls"}}}},"parameters":{"alt":{"enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json"},"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"access_token":{"location":"query","description":"OAuth access token.","type":"string"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"prettyPrint":{"description":"Returns response with indentations and line breaks.","type":"boolean","default":"true","location":"query"},"quotaUser":{"location":"query","description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"$.xgafv":{"enum":["1","2"],"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query"},"oauth_token":{"description":"OAuth 2.0 token for the current user.","type":"string","location":"query"},"callback":{"description":"JSONP","type":"string","location":"query"}},"version":"v1","baseUrl":"https://androidmanagement.googleapis.com/","kind":"discovery#restDescription","description":"The Android Management API provides remote enterprise management of Android devices and apps.","servicePath":"","basePath":"","revision":"20180910","documentationLink":"https://developers.google.com/android/management","id":"androidmanagement:v1","discoveryVersion":"v1","version_module":true,"schemas":{"ExternalData":{"properties":{"url":{"description":"The absolute URL to the data, which must use either the http or https scheme. Android Device Policy doesn't provide any credentials in the GET request, so the URL must be publicly accessible. Including a long, random component in the URL may be used to prevent attackers from discovering the URL.","type":"string"},"sha256Hash":{"description":"The base-64 encoded SHA-256 hash of the content hosted at url. If the content doesn't match this hash, Android Device Policy won't use the data.","type":"string"}},"id":"ExternalData","description":"Data hosted at an external location. The data is to be downloaded by Android Device Policy and verified against the hash.","type":"object"},"Policy":{"description":"A policy resources represents a group settings that govern the behavior of a managed device and the apps installed on it.","type":"object","properties":{"blockApplicationsEnabled":{"description":"Whether applications other than the ones configured in applications are blocked from being installed. When set, applications that were installed under a previous policy but no longer appear in the policy are automatically uninstalled.","type":"boolean"},"credentialsConfigDisabled":{"description":"Whether configuring user credentials is disabled.","type":"boolean"},"accountTypesWithManagementDisabled":{"description":"Account types that can't be managed by the user.","type":"array","items":{"type":"string"}},"safeBootDisabled":{"description":"Whether rebooting the device into safe boot is disabled.","type":"boolean"},"applications":{"description":"Policy applied to apps.","type":"array","items":{"$ref":"ApplicationPolicy"}},"usbMassStorageEnabled":{"description":"Whether USB storage is enabled.","type":"boolean"},"keyguardDisabled":{"description":"Whether the keyguard is disabled.","type":"boolean"},"choosePrivateKeyRules":{"description":"Rules for automatically choosing a private key and certificate to authenticate the device to a server. The rules are ordered by increasing precedence, so if an outgoing request matches more than one rule, the last rule defines which private key to use.","type":"array","items":{"$ref":"ChoosePrivateKeyRule"}},"permissionGrants":{"description":"Explicit permission or group grants or denials for all apps. These values override the default_permission_policy.","type":"array","items":{"$ref":"PermissionGrant"}},"permittedInputMethods":{"$ref":"PackageNameList","description":"If present, only the input methods provided by packages in this list are permitted. If this field is present, but the list is empty, then only system input methods are permitted."},"screenCaptureDisabled":{"description":"Whether screen capture is disabled.","type":"boolean"},"networkResetDisabled":{"description":"Whether resetting network settings is disabled.","type":"boolean"},"mobileNetworksConfigDisabled":{"description":"Whether configuring mobile networks is disabled.","type":"boolean"},"networkEscapeHatchEnabled":{"description":"Whether the network escape hatch is enabled. If a network connection can't be made at boot time, the escape hatch prompts the user to temporarily connect to a network in order to refresh the device policy. After applying policy, the temporary network will be forgotten and the device will continue booting. This prevents being unable to connect to a network if there is no suitable network in the last policy and the device boots into an app in lock task mode, or the user is otherwise unable to reach device settings.","type":"boolean"},"playStoreMode":{"enum":["PLAY_STORE_MODE_UNSPECIFIED","WHITELIST","BLACKLIST"],"description":"This mode controls which apps are available to the user in the Play Store and the behavior on the device when apps are removed from the policy.","type":"string","enumDescriptions":["Unspecified. Defaults to WHITELIST.","Only apps that are in the policy are available and any app not in the policy will be automatically uninstalled from the device.","All apps are available and any app that should not be on the device should be explicitly markeds as 'BLOCKED' in the applications policy."]},"name":{"description":"The name of the policy in the form enterprises/{enterpriseId}/policies/{policyId}.","type":"string"},"encryptionPolicy":{"enum":["ENCRYPTION_POLICY_UNSPECIFIED","ENABLED_WITHOUT_PASSWORD","ENABLED_WITH_PASSWORD"],"description":"Whether encryption is enabled","type":"string","enumDescriptions":["This value is ignored, i.e. no encryption required","Encryption required but no password required to boot","Encryption required with password required to boot"]},"unmuteMicrophoneDisabled":{"description":"Whether the microphone is muted and adjusting microphone volume is disabled.","type":"boolean"},"recommendedGlobalProxy":{"$ref":"ProxyInfo","description":"The network-independent global HTTP proxy. Typically proxies should be configured per-network in open_network_configuration. However for unusual configurations like general internal filtering a global HTTP proxy may be useful. If the proxy is not accessible, network access may break. The global proxy is only a recommendation and some apps may ignore it."},"skipFirstUseHintsEnabled":{"description":"Flag to skip hints on the first use. Enterprise admin can enable the system recommendation for apps to skip their user tutorial and other introductory hints on first start-up.","type":"boolean"},"usbFileTransferDisabled":{"description":"Whether transferring files over USB is disabled.","type":"boolean"},"adjustVolumeDisabled":{"description":"Whether adjusting the master volume is disabled.","type":"boolean"},"outgoingCallsDisabled":{"description":"Whether outgoing calls are disabled.","type":"boolean"},"defaultPermissionPolicy":{"enumDescriptions":["Policy not specified. If no policy is specified for a permission at any level, then the PROMPT behavior is used by default.","Prompt the user to grant a permission.","Automatically grant a permission.","Automatically deny a permission."],"enum":["PERMISSION_POLICY_UNSPECIFIED","PROMPT","GRANT","DENY"],"description":"The default permission policy for runtime permission requests.","type":"string"},"bluetoothConfigDisabled":{"description":"Whether configuring bluetooth is disabled.","type":"boolean"},"stayOnPluggedModes":{"description":"The battery plugged in modes for which the device stays on. When using this setting, it is recommended to clear maximum_time_to_lock so that the device doesn't lock itself while it stays on.","type":"array","items":{"enum":["BATTERY_PLUGGED_MODE_UNSPECIFIED","AC","USB","WIRELESS"],"type":"string"},"enumDescriptions":["This value is ignored.","Power source is an AC charger.","Power source is a USB port.","Power source is wireless."]},"outgoingBeamDisabled":{"description":"Whether using NFC to beam data from apps is disabled.","type":"boolean"},"dataRoamingDisabled":{"description":"Whether roaming data services are disabled.","type":"boolean"},"wifiConfigsLockdownEnabled":{"description":"Whether Wi-Fi networks defined in Open Network Configuration are locked so they can't be edited by the user.","type":"boolean"},"bluetoothDisabled":{"description":"Whether bluetooth is disabled. Prefer this setting over bluetooth_config_disabled because bluetooth_config_disabled can be bypassed by the user.","type":"boolean"},"alwaysOnVpnPackage":{"description":"Configuration for an always-on VPN connection. Use with vpn_config_disabled to prevent modification of this setting.","$ref":"AlwaysOnVpnPackage"},"version":{"description":"The version of the policy. This is a read-only field. The version is incremented each time the policy is updated.","format":"int64","type":"string"},"mountPhysicalMediaDisabled":{"description":"Whether the user mounting physical external media is disabled.","type":"boolean"},"passwordRequirements":{"description":"Password requirements.","$ref":"PasswordRequirements"},"statusReportingSettings":{"description":"Status reporting settings","$ref":"StatusReportingSettings"},"tetheringConfigDisabled":{"description":"Whether configuring tethering and portable hotspots is disabled.","type":"boolean"},"funDisabled":{"description":"Whether the user is allowed to have fun. Controls whether the Easter egg game in Settings is disabled.","type":"boolean"},"maximumTimeToLock":{"description":"Maximum time in milliseconds for user activity until the device locks. A value of 0 means there is no restriction.","format":"int64","type":"string"},"kioskCustomLauncherEnabled":{"description":"Whether the kiosk custom launcher is enabled. This replaces the home screen with a launcher that locks down the device to the apps installed via the applications setting. The apps appear on a single page in alphabetical order. It is recommended to also use status_bar_disabled to block access to device settings.","type":"boolean"},"longSupportMessage":{"$ref":"UserFacingMessage","description":"A message displayed to the user in the device administators settings screen."},"keyguardDisabledFeatures":{"enumDescriptions":["This value is ignored.","Disable the camera on secure keyguard screens (e.g. PIN).","Disable showing all notifications on secure keyguard screens.","Disable unredacted notifications on secure keyguard screens.","Ignore trust agent state on secure keyguard screens.","Disable fingerprint sensor on keyguard secure screens.","Disable text entry into notifications on secure keyguard screens.","Disable all current and future keyguard customizations."],"description":"Disabled keyguard customizations, such as widgets.","type":"array","items":{"enum":["KEYGUARD_DISABLED_FEATURE_UNSPECIFIED","CAMERA","NOTIFICATIONS","UNREDACTED_NOTIFICATIONS","TRUST_AGENTS","DISABLE_FINGERPRINT","DISABLE_REMOTE_INPUT","ALL_FEATURES"],"type":"string"}},"vpnConfigDisabled":{"description":"Whether configuring VPN is disabled.","type":"boolean"},"cameraDisabled":{"description":"Whether all cameras on the device are disabled.","type":"boolean"},"wifiConfigDisabled":{"description":"Whether configuring Wi-Fi access points is disabled.","type":"boolean"},"factoryResetDisabled":{"description":"Whether factory resetting from settings is disabled.","type":"boolean"},"addUserDisabled":{"description":"Whether adding new users and profiles is disabled.","type":"boolean"},"setUserIconDisabled":{"description":"Whether changing the user icon is disabled.","type":"boolean"},"shortSupportMessage":{"$ref":"UserFacingMessage","description":"A message displayed to the user in the settings screen wherever functionality has been disabled by the admin."},"setWallpaperDisabled":{"description":"Whether changing the wallpaper is disabled.","type":"boolean"},"ensureVerifyAppsEnabled":{"description":"Whether app verification is force-enabled.","type":"boolean"},"debuggingFeaturesAllowed":{"description":"Whether the user is allowed to enable debugging features.","type":"boolean"},"openNetworkConfiguration":{"additionalProperties":{"description":"Properties of the object.","type":"any"},"description":"Network configuration for the device. See configure networks for more information.","type":"object"},"shareLocationDisabled":{"description":"Whether location sharing is disabled.","type":"boolean"},"cellBroadcastsConfigDisabled":{"description":"Whether configuring cell broadcast is disabled.","type":"boolean"},"androidDevicePolicyTracks":{"enumDescriptions":["This value is ignored.","The production track, which provides the latest stable release.","The beta track, which provides the latest beta release."],"description":"The app tracks for Android Device Policy the device can access. The device receives the latest version among all accessible tracks. If no tracks are specified, then the device only uses the production track.","type":"array","items":{"enum":["APP_TRACK_UNSPECIFIED","PRODUCTION","BETA"],"type":"string"}},"modifyAccountsDisabled":{"description":"Whether adding or removing accounts is disabled.","type":"boolean"},"frpAdminEmails":{"description":"Email addresses of device administrators for factory reset protection. When the device is factory reset, it will require one of these admins to log in with the Google account email and password to unlock the device. If no admins are specified, the device won't provide factory reset protection.","type":"array","items":{"type":"string"}},"locationMode":{"enum":["LOCATION_MODE_UNSPECIFIED","HIGH_ACCURACY","SENSORS_ONLY","BATTERY_SAVING","OFF"],"description":"The degree of location detection enabled. The user may change the value unless the user is otherwise blocked from accessing device settings.","type":"string","enumDescriptions":["The current device value is not modified.","All location detection methods are enabled, including GPS, networks, and other sensors.","Only GPS and other sensors are enabled.","Only the network location provider is enabled.","Location detection is disabled."]},"installUnknownSourcesAllowed":{"description":"Whether the user is allowed to enable the \"Unknown Sources\" setting, which allows installation of apps from unknown sources.","type":"boolean"},"persistentPreferredActivities":{"description":"Default intent handler activities.","type":"array","items":{"$ref":"PersistentPreferredActivity"}},"privateKeySelectionEnabled":{"description":"Allows showing UI on a device for a user to choose a private key alias if there are no matching rules in ChoosePrivateKeyRules. For devices below Android P, setting this may leave enterprise keys vulnerable.","type":"boolean"},"createWindowsDisabled":{"description":"Whether creating windows besides app windows is disabled.","type":"boolean"},"bluetoothContactSharingDisabled":{"description":"Whether bluetooth contact sharing is disabled.","type":"boolean"},"removeUserDisabled":{"description":"Whether removing other users is disabled.","type":"boolean"},"autoTimeRequired":{"description":"Whether auto time is required, which prevents the user from manually setting the date and time.","type":"boolean"},"complianceRules":{"description":"Rules declaring which mitigating actions to take when a device is not compliant with its policy. When the conditions for multiple rules are satisfied, all of the mitigating actions for the rules are taken. There is a maximum limit of 100 rules.","type":"array","items":{"$ref":"ComplianceRule"}},"smsDisabled":{"description":"Whether sending and receiving SMS messages is disabled.","type":"boolean"},"systemUpdate":{"description":"The system update policy, which controls how OS updates are applied. If the update type is WINDOWED, the update window will automatically apply to Play app updates as well.","$ref":"SystemUpdate"},"installAppsDisabled":{"description":"Whether user installation of apps is disabled.","type":"boolean"},"appAutoUpdatePolicy":{"enumDescriptions":["The auto-update policy is not set. Equivalent to CHOICE_TO_THE_USER.","The user can control auto-updates.","Apps are never auto-updated.","Apps are auto-updated over Wi-Fi only.","Apps are auto-updated at any time. Data charges may apply."],"enum":["APP_AUTO_UPDATE_POLICY_UNSPECIFIED","CHOICE_TO_THE_USER","NEVER","WIFI_ONLY","ALWAYS"],"description":"The app auto update policy, which controls when automatic app updates can be applied.","type":"string"},"statusBarDisabled":{"description":"Whether the status bar is disabled. This disables notifications, quick settings, and other screen overlays that allow escape from full-screen mode.","type":"boolean"},"uninstallAppsDisabled":{"description":"Whether user uninstallation of applications is disabled.","type":"boolean"},"deviceOwnerLockScreenInfo":{"$ref":"UserFacingMessage","description":"The device owner information to be shown on the lock screen."}},"id":"Policy"},"PowerManagementEvent":{"properties":{"eventType":{"enumDescriptions":["Unspecified. No events have this type.","Battery level was measured.","The device started charging.","The device stopped charging.","The device entered low-power mode.","The device exited low-power mode.","The device booted.","The device shut down."],"enum":["POWER_MANAGEMENT_EVENT_TYPE_UNSPECIFIED","BATTERY_LEVEL_COLLECTED","POWER_CONNECTED","POWER_DISCONNECTED","BATTERY_LOW","BATTERY_OKAY","BOOT_COMPLETED","SHUTDOWN"],"description":"Event type.","type":"string"},"createTime":{"description":"The creation time of the event.","format":"google-datetime","type":"string"},"batteryLevel":{"description":"For BATTERY_LEVEL_COLLECTED events, the battery level as a percentage.","format":"float","type":"number"}},"id":"PowerManagementEvent","description":"A power management event.","type":"object"},"ApiLevelCondition":{"properties":{"minApiLevel":{"description":"The minimum desired Android Framework API level. If the device doesn't meet the minimum requirement, this condition is satisfied. Must be greater than zero.","format":"int32","type":"integer"}},"id":"ApiLevelCondition","description":"A compliance rule condition which is satisfied if the Android Framework API level on the device doesn't meet a minimum requirement. There can only be one rule with this type of condition per policy.","type":"object"},"SoftwareInfo":{"description":"Information about device software.","type":"object","properties":{"androidBuildTime":{"description":"Build time.","format":"google-datetime","type":"string"},"securityPatchLevel":{"description":"Security patch level, e.g. 2016-05-01.","type":"string"},"androidBuildNumber":{"description":"Android build ID string meant for displaying to the user. For example, shamu-userdebug 6.0.1 MOB30I 2756745 dev-keys.","type":"string"},"androidVersion":{"description":"The user-visible Android version string. For example, 6.0.1.","type":"string"},"primaryLanguageCode":{"description":"An IETF BCP 47 language code for the primary locale on the device.","type":"string"},"deviceBuildSignature":{"description":"SHA-256 hash of android.content.pm.Signature (https://developer.android.com/reference/android/content/pm/Signature.html) associated with the system package, which can be used to verify that the system build hasn't been modified.","type":"string"},"androidDevicePolicyVersionName":{"description":"The Android Device Policy app version as displayed to the user.","type":"string"},"bootloaderVersion":{"description":"The system bootloader version number, e.g. 0.6.7.","type":"string"},"androidDevicePolicyVersionCode":{"description":"The Android Device Policy app version code.","format":"int32","type":"integer"},"deviceKernelVersion":{"description":"Kernel version, for example, 2.6.32.9-g103d848.","type":"string"}},"id":"SoftwareInfo"},"ChoosePrivateKeyRule":{"description":"A rule for automatically choosing a private key and certificate to authenticate the device to a server.","type":"object","properties":{"privateKeyAlias":{"description":"The alias of the private key to be used.","type":"string"},"packageNames":{"description":"The package names for which outgoing requests are subject to this rule. If no package names are specified, then the rule applies to all packages. For each package name listed, the rule applies to that package and all other packages that shared the same Android UID. The SHA256 hash of the signing key signatures of each package_name will be verified against those provided by Play","type":"array","items":{"type":"string"}},"urlPattern":{"description":"The URL pattern to match against the URL of the outgoing request. The pattern may contain asterisk (*) wildcards. Any URL is matched if unspecified.","type":"string"}},"id":"ChoosePrivateKeyRule"},"ListDevicesResponse":{"properties":{"devices":{"description":"The list of devices.","type":"array","items":{"$ref":"Device"}},"nextPageToken":{"description":"If there are more results, a token to retrieve next page of results.","type":"string"}},"id":"ListDevicesResponse","description":"Response to a request to list devices for a given enterprise.","type":"object"},"Operation":{"properties":{"response":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.","type":"object"},"name":{"description":"The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should have the format of operations/some/unique/name.","type":"string"},"error":{"description":"The error result of the operation in case of failure or cancellation.","$ref":"Status"},"metadata":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.","type":"object"},"done":{"description":"If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.","type":"boolean"}},"id":"Operation","description":"This resource represents a long-running operation that is the result of a network API call.","type":"object"},"ProxyInfo":{"properties":{"port":{"description":"The port of the direct proxy.","format":"int32","type":"integer"},"host":{"description":"The host of the direct proxy.","type":"string"},"excludedHosts":{"description":"For a direct proxy, the hosts for which the proxy is bypassed. The host names may contain wildcards such as *.example.com.","type":"array","items":{"type":"string"}},"pacUri":{"description":"The URI of the PAC script used to configure the proxy.","type":"string"}},"id":"ProxyInfo","description":"Configuration info for an HTTP proxy. For a direct proxy, set the host, port, and excluded_hosts fields. For a PAC script proxy, set the pac_uri field.","type":"object"},"PasswordRequirements":{"description":"Requirements for the password used to unlock a device.","type":"object","properties":{"passwordMinimumNumeric":{"description":"Minimum number of numerical digits required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"passwordMinimumSymbols":{"description":"Minimum number of symbols required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"passwordMinimumLetters":{"description":"Minimum number of letters required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"passwordMinimumNonLetter":{"description":"Minimum number of non-letter characters (numerical digits or symbols) required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"passwordHistoryLength":{"description":"The length of the password history. After setting this field, the user won't be able to enter a new password that is the same as any password in the history. A value of 0 means there is no restriction.","format":"int32","type":"integer"},"passwordMinimumLowerCase":{"description":"Minimum number of lower case letters required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"passwordMinimumLength":{"description":"The minimum allowed password length. A value of 0 means there is no restriction. Only enforced when password_quality is NUMERIC, NUMERIC_COMPLEX, ALPHABETIC, ALPHANUMERIC, or COMPLEX.","format":"int32","type":"integer"},"passwordExpirationTimeout":{"description":"Password expiration timeout.","format":"google-duration","type":"string"},"passwordMinimumUpperCase":{"description":"Minimum number of upper case letters required in the password. Only enforced when password_quality is COMPLEX.","format":"int32","type":"integer"},"maximumFailedPasswordsForWipe":{"description":"Number of incorrect device-unlock passwords that can be entered before a device is wiped. A value of 0 means there is no restriction.","format":"int32","type":"integer"},"passwordQuality":{"enumDescriptions":["There are no password requirements.","The device must be secured with a low-security biometric recognition technology, at minimum. This includes technologies that can recognize the identity of an individual that are roughly equivalent to a 3-digit PIN (false detection is less than 1 in 1,000).","A password is required, but there are no restrictions on what the password must contain.","The password must contain numeric characters.","The password must contain numeric characters with no repeating (4444) or ordered (1234, 4321, 2468) sequences.","The password must contain alphabetic (or symbol) characters.","The password must contain both numeric and alphabetic (or symbol) characters.","The password must contain at least a letter, a numerical digit and a special symbol. Other password constraints, for example, password_minimum_letters are enforced."],"enum":["PASSWORD_QUALITY_UNSPECIFIED","BIOMETRIC_WEAK","SOMETHING","NUMERIC","NUMERIC_COMPLEX","ALPHABETIC","ALPHANUMERIC","COMPLEX"],"description":"The required password quality.","type":"string"}},"id":"PasswordRequirements"},"EnrollmentToken":{"description":"An enrollment token.","type":"object","properties":{"user":{"$ref":"User","description":"The user associated with this enrollment token. If it's specified when the enrollment token is created and the user does not exist, the user will be created. This field must not contain personally identifiable information. Only the account_identifier field needs to be set."},"name":{"description":"The name of the enrollment token, which is generated by the server during creation, in the form enterprises/{enterpriseId}/enrollmentTokens/{enrollmentTokenId}.","type":"string"},"value":{"description":"The token value that's passed to the device and authorizes the device to enroll. This is a read-only field generated by the server.","type":"string"},"duration":{"description":"The length of time the enrollment token is valid, ranging from 1 minute to 30 days. If not specified, the default duration is 1 hour.","format":"google-duration","type":"string"},"expirationTimestamp":{"description":"The expiration time of the token. This is a read-only field generated by the server.","format":"google-datetime","type":"string"},"additionalData":{"description":"Optional, arbitrary data associated with the enrollment token. This could contain, for example, the ID of an org unit the device is assigned to after enrollment. After a device enrolls with the token, this data will be exposed in the enrollment_token_data field of the Device resource. The data must be 1024 characters or less; otherwise, the creation request will fail.","type":"string"},"policyName":{"description":"The name of the policy initially applied to the enrolled device, in the form enterprises/{enterpriseId}/policies/{policyId}. If not specified, the policy_name for the device’s user is applied. If user_name is also not specified, enterprises/{enterpriseId}/policies/default is applied by default. When updating this field, you can specify only the policyId as long as the policyId doesn’t contain any slashes. The rest of the policy name will be inferred.","type":"string"},"qrCode":{"description":"A JSON string whose UTF-8 representation can be used to generate a QR code to enroll a device with this enrollment token. To enroll a device using NFC, the NFC record must contain a serialized java.util.Properties representation of the properties in the JSON.","type":"string"},"oneTimeOnly":{"description":"Whether the enrollment token is for one time use only. If the flag is set to true, only one device can use it for registration.","type":"boolean"}},"id":"EnrollmentToken"},"Status":{"description":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). The error model is designed to be:\nSimple to use and understand for most users\nFlexible enough to meet unexpected needsOverviewThe Status message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package google.rpc that can be used for common error conditions.Language mappingThe Status message is the logical representation of the error model, but it is not necessarily the actual wire format. When the Status message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C.Other usesThe error model and the Status message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments.Example uses of this error model include:\nPartial errors. If a service needs to return partial errors to the client, it may embed the Status in the normal response to indicate the partial errors.\nWorkflow errors. A typical workflow has multiple steps. Each step may have a Status message for error reporting.\nBatch operations. If a client uses batch request and batch response, the Status message should be used directly inside batch response, one for each error sub-response.\nAsynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the Status message.\nLogging. If some API errors are stored in logs, the message Status could be used directly after any stripping needed for security/privacy reasons.","type":"object","properties":{"details":{"description":"A list of messages that carry the error details. There is a common set of message types for APIs to use.","type":"array","items":{"additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"type":"object"}},"code":{"description":"The status code, which should be an enum value of google.rpc.Code.","format":"int32","type":"integer"},"message":{"description":"A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","type":"string"}},"id":"Status"},"SignupUrl":{"properties":{"url":{"description":"A URL where an enterprise admin can register their enterprise. The page can't be rendered in an iframe.","type":"string"},"name":{"description":"The name of the resource. Use this value in the signupUrl field when calling enterprises.create to complete the enterprise signup flow.","type":"string"}},"id":"SignupUrl","description":"An enterprise signup URL.","type":"object"},"NonComplianceDetail":{"properties":{"settingName":{"description":"The name of the policy setting. This is the JSON field name of a top-level Policy  field.","type":"string"},"nonComplianceReason":{"enum":["NON_COMPLIANCE_REASON_UNSPECIFIED","API_LEVEL","MANAGEMENT_MODE","USER_ACTION","INVALID_VALUE","APP_NOT_INSTALLED","UNSUPPORTED","APP_INSTALLED","PENDING","APP_INCOMPATIBLE","APP_NOT_UPDATED"],"description":"The reason the device is not in compliance with the setting.","type":"string","enumDescriptions":["This value is disallowed.","The setting is not supported in the API level of the Android version running on the device.","The management mode (profile owner, device owner, etc.) doesn't support the setting.","The user has not taken required action to comply with the setting.","The setting has an invalid value.","The app required to implement the policy is not installed.","The policy is not supported by the version of Android Device Policy on the device.","A blocked app is installed.","The setting hasn't been applied at the time of the report, but is expected to be applied shortly.","The setting can't be applied to the app because the app doesn't support it, for example because its target SDK version is not high enough.","The app is installed, but it hasn't been updated to the minimum version code specified by policy."]},"installationFailureReason":{"enum":["INSTALLATION_FAILURE_REASON_UNSPECIFIED","INSTALLATION_FAILURE_REASON_UNKNOWN","IN_PROGRESS","NOT_FOUND","NOT_COMPATIBLE_WITH_DEVICE","NOT_APPROVED","PERMISSIONS_NOT_ACCEPTED","NOT_AVAILABLE_IN_COUNTRY","NO_LICENSES_REMAINING","NOT_ENROLLED","USER_INVALID"],"description":"If package_name is set and the non-compliance reason is APP_NOT_INSTALLED or APP_NOT_UPDATED, the detailed reason the app can't be installed or updated.","type":"string","enumDescriptions":["This value is disallowed.","An unknown condition is preventing the app from being installed. Some potential reasons are that the device doesn't have enough storage, the device network connection is unreliable, or the installation is taking longer than expected. The installation will be retried automatically.","The installation is still in progress.","The app was not found in Play.","The app is incompatible with the device.","The app has not been approved by the admin.","The app has new permissions that have not been accepted by the admin.","The app is not available in the user's country.","There are no licenses available to assign to the user.","The enterprise is no longer enrolled with managed Play or the admin has not accepted the latest managed Play terms of service.","The user is no longer valid. The user may have been deleted or disabled."]},"packageName":{"description":"The package name indicating which app is out of compliance, if applicable.","type":"string"},"fieldPath":{"description":"For settings with nested fields, if a particular nested field is out of compliance, this specifies the full path to the offending field. The path is formatted in the same way the policy JSON field would be referenced in JavaScript, that is: 1) For object-typed fields, the field name is followed by a dot then by a  subfield name. 2) For array-typed fields, the field name is followed by the array index  enclosed in brackets. For example, to indicate a problem with the url field in the externalData field in the 3rd application, the path would be applications[2].externalData.url","type":"string"},"currentValue":{"description":"If the policy setting could not be applied, the current value of the setting on the device.","type":"any"}},"id":"NonComplianceDetail","description":"Provides detail about non-compliance with a policy setting.","type":"object"},"HardwareInfo":{"properties":{"serialNumber":{"description":"The device serial number.","type":"string"},"brand":{"description":"Brand of the device. For example, Google.","type":"string"},"deviceBasebandVersion":{"description":"Baseband version. For example, MDM9625_104662.22.05.34p.","type":"string"},"skinShutdownTemperatures":{"description":"Device skin shutdown temperature thresholds in Celsius.","type":"array","items":{"format":"float","type":"number"}},"batteryShutdownTemperatures":{"description":"Battery shutdown temperature thresholds in Celsius for each battery on the device.","type":"array","items":{"format":"float","type":"number"}},"model":{"description":"The model of the device. For example, Asus Nexus 7.","type":"string"},"cpuShutdownTemperatures":{"description":"CPU shutdown temperature thresholds in Celsius for each CPU on the device.","type":"array","items":{"format":"float","type":"number"}},"skinThrottlingTemperatures":{"description":"Device skin throttling temperature thresholds in Celsius.","type":"array","items":{"format":"float","type":"number"}},"hardware":{"description":"Name of the hardware. For example, Angler.","type":"string"},"cpuThrottlingTemperatures":{"description":"CPU throttling temperature thresholds in Celsius for each CPU on the device.","type":"array","items":{"format":"float","type":"number"}},"gpuShutdownTemperatures":{"description":"GPU shutdown temperature thresholds in Celsius for each GPU on the device.","type":"array","items":{"format":"float","type":"number"}},"gpuThrottlingTemperatures":{"description":"GPU throttling temperature thresholds in Celsius for each GPU on the device.","type":"array","items":{"format":"float","type":"number"}},"batteryThrottlingTemperatures":{"description":"Battery throttling temperature thresholds in Celsius for each battery on the device.","type":"array","items":{"format":"float","type":"number"}},"manufacturer":{"description":"Manufacturer. For example, Motorola.","type":"string"}},"id":"HardwareInfo","description":"Information about device hardware. The fields related to temperature thresholds are only available if hardwareStatusEnabled is true in the device's policy.","type":"object"},"Display":{"description":"Device display information.","type":"object","properties":{"height":{"description":"Display height in pixels.","format":"int32","type":"integer"},"width":{"description":"Display width in pixels.","format":"int32","type":"integer"},"refreshRate":{"description":"Refresh rate of the display in frames per second.","format":"int32","type":"integer"},"displayId":{"description":"Unique display id.","format":"int32","type":"integer"},"state":{"enumDescriptions":["This value is disallowed.","Display is off.","Display is on.","Display is dozing in a low power state","Display is dozing in a suspended low power state."],"enum":["DISPLAY_STATE_UNSPECIFIED","OFF","ON","DOZE","SUSPENDED"],"description":"State of the display.","type":"string"},"name":{"description":"Name of the display.","type":"string"},"density":{"description":"Display density expressed as dots-per-inch.","format":"int32","type":"integer"}},"id":"Display"},"ApplicationPermission":{"properties":{"permissionId":{"description":"An opaque string uniquely identifying the permission. Not localized.","type":"string"},"name":{"description":"The name of the permission. Localized.","type":"string"},"description":{"description":"A longer description of the permission, providing more detail on what it affects. Localized.","type":"string"}},"id":"ApplicationPermission","description":"A permission required by the app.","type":"object"},"ManagedProperty":{"properties":{"nestedProperties":{"description":"For BUNDLE_ARRAY properties, the list of nested properties. A BUNDLE_ARRAY property is at most two levels deep.","type":"array","items":{"$ref":"ManagedProperty"}},"type":{"enumDescriptions":["Not used.","A property of boolean type.","A property of string type.","A property of integer type.","A choice of one item from a set.","A choice of multiple items from a set.","A hidden restriction of string type (the default value can be used to pass along information that can't be modified, such as a version code).","An array of property bundles."],"enum":["MANAGED_PROPERTY_TYPE_UNSPECIFIED","BOOL","STRING","INTEGER","CHOICE","MULTISELECT","HIDDEN","BUNDLE_ARRAY"],"description":"The type of the property.","type":"string"},"title":{"description":"The name of the property. Localized.","type":"string"},"key":{"description":"The unique key that the app uses to identify the property, e.g. \"com.google.android.gm.fieldname\".","type":"string"},"description":{"description":"A longer description of the property, providing more detail of what it affects. Localized.","type":"string"},"entries":{"description":"For CHOICE or MULTISELECT properties, the list of possible entries.","type":"array","items":{"$ref":"ManagedPropertyEntry"}},"defaultValue":{"description":"The default value of the property. BUNDLE_ARRAY properties don't have a default value.","type":"any"}},"id":"ManagedProperty","description":"Managed property.","type":"object"},"TermsAndConditions":{"description":"A terms and conditions page to be accepted during provisioning.","type":"object","properties":{"content":{"$ref":"UserFacingMessage","description":"A well-formatted HTML string. It will be parsed on the client with android.text.Html#fromHtml."},"header":{"$ref":"UserFacingMessage","description":"A short header which appears above the HTML content."}},"id":"TermsAndConditions"},"AlwaysOnVpnPackage":{"properties":{"lockdownEnabled":{"description":"Disallows networking when the VPN is not connected.","type":"boolean"},"packageName":{"description":"The package name of the VPN app.","type":"string"}},"id":"AlwaysOnVpnPackage","description":"Configuration for an always-on VPN connection.","type":"object"},"ListOperationsResponse":{"description":"The response message for Operations.ListOperations.","type":"object","properties":{"nextPageToken":{"description":"The standard List next-page token.","type":"string"},"operations":{"description":"A list of operations that matches the specified filter in the request.","type":"array","items":{"$ref":"Operation"}}},"id":"ListOperationsResponse"},"MemoryInfo":{"description":"Information about device memory and storage.","type":"object","properties":{"totalRam":{"description":"Total RAM on device in bytes.","format":"int64","type":"string"},"totalInternalStorage":{"description":"Total internal storage on device in bytes.","format":"int64","type":"string"}},"id":"MemoryInfo"},"PermissionGrant":{"description":"Configuration for an Android permission and its grant state.","type":"object","properties":{"permission":{"description":"The Android permission or group, e.g. android.permission.READ_CALENDAR or android.permission_group.CALENDAR.","type":"string"},"policy":{"enumDescriptions":["Policy not specified. If no policy is specified for a permission at any level, then the PROMPT behavior is used by default.","Prompt the user to grant a permission.","Automatically grant a permission.","Automatically deny a permission."],"enum":["PERMISSION_POLICY_UNSPECIFIED","PROMPT","GRANT","DENY"],"description":"The policy for granting the permission.","type":"string"}},"id":"PermissionGrant"},"Enterprise":{"description":"The configuration applied to an enterprise.","type":"object","properties":{"enabledNotificationTypes":{"description":"The types of Google Pub/Sub notifications enabled for the enterprise.","type":"array","items":{"enum":["NOTIFICATION_TYPE_UNSPECIFIED","ENROLLMENT","COMPLIANCE_REPORT","STATUS_REPORT","COMMAND"],"type":"string"},"enumDescriptions":["This value is ignored.","A notification sent when a device enrolls.","Deprecated.","A notification sent when a device issues a status report.","A notification sent when a device command has completed."]},"enterpriseDisplayName":{"description":"The name of the enterprise displayed to users.","type":"string"},"appAutoApprovalEnabled":{"description":"Deprecated and unused.","type":"boolean"},"pubsubTopic":{"description":"The topic that Cloud Pub/Sub notifications are published to, in the form projects/{project}/topics/{topic}. This field is only required if Pub/Sub notifications are enabled.","type":"string"},"logo":{"$ref":"ExternalData","description":"An image displayed as a logo during device provisioning. Supported types are: image/bmp, image/gif, image/x-ico, image/jpeg, image/png, image/webp, image/vnd.wap.wbmp, image/x-adobe-dng."},"termsAndConditions":{"description":"Terms and conditions that must be accepted when provisioning a device for this enterprise. A page of terms is generated for each value in this list.","type":"array","items":{"$ref":"TermsAndConditions"}},"name":{"description":"The name of the enterprise which is generated by the server during creation, in the form enterprises/{enterpriseId}.","type":"string"},"primaryColor":{"description":"A color in RGB format that indicates the predominant color to display in the device management app UI. The color components are stored as follows: (red << 16) | (green << 8) | blue, where the value of each component is between 0 and 255, inclusive.","format":"int32","type":"integer"}},"id":"Enterprise"},"ApplicationReport":{"properties":{"displayName":{"description":"The display name of the app.","type":"string"},"installerPackageName":{"description":"The package name of the app that installed this app.","type":"string"},"signingKeyCertFingerprints":{"description":"The SHA-1 hash of each android.content.pm.Signature (https://developer.android.com/reference/android/content/pm/Signature.html) associated with the app package. Each byte of each hash value is represented as a two-digit hexadecimal number.","type":"array","items":{"type":"string"}},"state":{"enum":["INSTALLED","REMOVED"],"description":"Application state.","type":"string","enumDescriptions":["App is installed on the device","App was removed from the device"]},"applicationSource":{"enum":["APPLICATION_SOURCE_UNSPECIFIED","SYSTEM_APP_FACTORY_VERSION","SYSTEM_APP_UPDATED_VERSION","INSTALLED_FROM_PLAY_STORE"],"description":"The source of the package.","type":"string","enumDescriptions":["The app was sideloaded from an unspecified source.","This is a system app from the device's factory image.","This is an updated system app.","The app was installed from the Google Play Store."]},"versionName":{"description":"The app version as displayed to the user.","type":"string"},"packageName":{"description":"Package name of the app.","type":"string"},"versionCode":{"description":"The app version code, which can be used to determine whether one version is more recent than another.","format":"int32","type":"integer"},"packageSha256Hash":{"description":"The SHA-256 hash of the app's APK file, which can be used to verify the app hasn't been modified. Each byte of the hash value is represented as a two-digit hexadecimal number.","type":"string"},"events":{"description":"List of app events. The most recent 20 events are stored in the list.","type":"array","items":{"$ref":"ApplicationEvent"}}},"id":"ApplicationReport","description":"Information reported about an installed app.","type":"object"},"WebToken":{"properties":{"permissions":{"description":"Permissions available to an admin in the embedded UI. An admin must have all of these permissions in order to view the UI.","type":"array","items":{"enum":["WEB_TOKEN_PERMISSION_UNSPECIFIED","APPROVE_APPS"],"type":"string"},"enumDescriptions":["This value is ignored.","The permission to approve apps for the enterprise."]},"name":{"description":"The name of the web token, which is generated by the server during creation in the form enterprises/{enterpriseId}/webTokens/{webTokenId}.","type":"string"},"value":{"description":"The token value which is used in the hosting page to generate the iframe with the embedded UI. This is a read-only field generated by the server.","type":"string"},"parentFrameUrl":{"description":"The URL of the parent frame hosting the iframe with the embedded UI. To prevent XSS, the iframe may not be hosted at other URLs. The URL must use the https scheme.","type":"string"}},"id":"WebToken","description":"A web token used to access the managed Google Play iframe.","type":"object"},"User":{"properties":{"accountIdentifier":{"description":"A unique identifier you create for this user, such as user342 or asset#44418. This field must be set when the user is created and can't be updated. This field must not contain personally identifiable information (PII). This identifier must be 1024 characters or less; otherwise, the update policy request will fail.","type":"string"}},"id":"User","description":"A user belonging to an enterprise.","type":"object"},"Device":{"description":"A device owned by an enterprise. Unless otherwise noted, all fields are read-only and can't be modified by enterprises.devices.patch.","type":"object","properties":{"powerManagementEvents":{"description":"Power management events on the device in chronological order. This information is only available if powerManagementEventsEnabled is true in the device's policy.","type":"array","items":{"$ref":"PowerManagementEvent"}},"name":{"description":"The name of the device in the form enterprises/{enterpriseId}/devices/{deviceId}.","type":"string"},"enrollmentTokenName":{"description":"If the device was enrolled with an enrollment token, this field contains the name of the token.","type":"string"},"lastPolicyComplianceReportTime":{"description":"Deprecated.","format":"google-datetime","type":"string"},"enrollmentTokenData":{"description":"If the device was enrolled with an enrollment token with additional data provided, this field contains that data.","type":"string"},"managementMode":{"enumDescriptions":["This value is disallowed.","Device owner. Android Device Policy has full control over the device.","Profile owner. Android Device Policy has control over a managed profile on the device."],"enum":["MANAGEMENT_MODE_UNSPECIFIED","DEVICE_OWNER","PROFILE_OWNER"],"description":"The type of management mode Android Device Policy takes on the device. This influences which policy settings are supported.","type":"string"},"nonComplianceDetails":{"description":"Details about policy settings that the device is not compliant with.","type":"array","items":{"$ref":"NonComplianceDetail"}},"user":{"description":"The user who owns the device.","$ref":"User"},"previousDeviceNames":{"description":"If the same physical device has been enrolled multiple times, this field contains its previous device names. The serial number is used as the unique identifier to determine if the same physical device has enrolled previously. The names are in chronological order.","type":"array","items":{"type":"string"}},"lastStatusReportTime":{"description":"The last time the device sent a status report.","format":"google-datetime","type":"string"},"policyCompliant":{"description":"Whether the device is compliant with its policy.","type":"boolean"},"deviceSettings":{"$ref":"DeviceSettings","description":"Device settings information. This information is only available if deviceSettingsEnabled is true in the device's policy."},"state":{"enumDescriptions":["This value is disallowed.","The device is active.","The device is disabled.","The device was deleted. This state will never be returned by an API call, but is used in the final status report published to Cloud Pub/Sub when the device acknowledges the deletion.","The device is being provisioned. Newly enrolled devices are in this state until they have a policy applied."],"enum":["DEVICE_STATE_UNSPECIFIED","ACTIVE","DISABLED","DELETED","PROVISIONING"],"description":"The state to be applied to the device. This field can be modified by a patch request. Note that when calling enterprises.devices.patch, ACTIVE and DISABLED are the only allowable values. To enter the device into a DELETED state, call enterprises.devices.delete.","type":"string"},"enrollmentTime":{"description":"The time of device enrollment.","format":"google-datetime","type":"string"},"disabledReason":{"$ref":"UserFacingMessage","description":"If the device state is DISABLED, an optional message that is displayed on the device indicating the reason the device is disabled. This field can be modified by a patch request."},"softwareInfo":{"$ref":"SoftwareInfo","description":"Detailed information about the device software. This information is only available if softwareInfoEnabled is true in the device's policy."},"hardwareInfo":{"description":"Detailed information about the device hardware.","$ref":"HardwareInfo"},"appliedPolicyVersion":{"description":"The version of the policy currently applied to the device.","format":"int64","type":"string"},"applicationReports":{"description":"Reports for apps installed on the device. This information is only available when application_reports_enabled is true in the device's policy.","type":"array","items":{"$ref":"ApplicationReport"}},"displays":{"description":"Detailed information about displays on the device. This information is only available if displayInfoEnabled is true in the device's policy.","type":"array","items":{"$ref":"Display"}},"apiLevel":{"description":"The API level of the Android platform version running on the device.","format":"int32","type":"integer"},"userName":{"description":"The resource name of the user that owns this device in the form enterprises/{enterpriseId}/users/{userId}.","type":"string"},"networkInfo":{"description":"Device network information. This information is only available if networkInfoEnabled is true in the device's policy.","$ref":"NetworkInfo"},"memoryEvents":{"description":"Events related to memory and storage measurements in chronological order. This information is only available if memoryInfoEnabled is true in the device's policy.","type":"array","items":{"$ref":"MemoryEvent"}},"memoryInfo":{"$ref":"MemoryInfo","description":"Memory information. This information is only available if memoryInfoEnabled is true in the device's policy."},"hardwareStatusSamples":{"description":"Hardware status samples in chronological order. This information is only available if hardwareStatusEnabled is true in the device's policy.","type":"array","items":{"$ref":"HardwareStatus"}},"appliedState":{"enumDescriptions":["This value is disallowed.","The device is active.","The device is disabled.","The device was deleted. This state will never be returned by an API call, but is used in the final status report published to Cloud Pub/Sub when the device acknowledges the deletion.","The device is being provisioned. Newly enrolled devices are in this state until they have a policy applied."],"enum":["DEVICE_STATE_UNSPECIFIED","ACTIVE","DISABLED","DELETED","PROVISIONING"],"description":"The state currently applied to the device.","type":"string"},"appliedPolicyName":{"description":"The name of the policy currently applied to the device.","type":"string"},"lastPolicySyncTime":{"description":"The last time the device fetched its policy.","format":"google-datetime","type":"string"},"policyName":{"description":"The name of the policy applied to the device, in the form enterprises/{enterpriseId}/policies/{policyId}. If not specified, the policy_name for the device's user is applied. This field can be modified by a patch request. You can specify only the policyId when calling enterprises.devices.patch, as long as the policyId doesn’t contain any slashes. The rest of the policy name is inferred.","type":"string"}},"id":"Device"},"ListPoliciesResponse":{"properties":{"policies":{"description":"The list of policies.","type":"array","items":{"$ref":"Policy"}},"nextPageToken":{"description":"If there are more results, a token to retrieve next page of results.","type":"string"}},"id":"ListPoliciesResponse","description":"Response to a request to list policies for a given enterprise.","type":"object"},"ComplianceRule":{"description":"A rule declaring which mitigating actions to take when a device is not compliant with its policy. For every rule, there is always an implicit mitigating action to set policy_compliant to false for the Device resource, and display a message on the device indicating that the device is not compliant with its policy. Other mitigating actions may optionally be taken as well, depending on the field values in the rule.","type":"object","properties":{"nonComplianceDetailCondition":{"$ref":"NonComplianceDetailCondition","description":"A condition which is satisfied if there exists any matching NonComplianceDetail for the device."},"packageNamesToDisable":{"description":"If set, the rule includes a mitigating action to disable apps specified in the list, but app data is preserved.","type":"array","items":{"type":"string"}},"disableApps":{"description":"If set to true, the rule includes a mitigating action to disable apps so that the device is effectively disabled, but app data is preserved. If the device is running an app in locked task mode, the app will be closed and a UI showing the reason for non-compliance will be displayed.","type":"boolean"},"apiLevelCondition":{"description":"A condition which is satisfied if the Android Framework API level on the device doesn't meet a minimum requirement.","$ref":"ApiLevelCondition"}},"id":"ComplianceRule"},"SystemUpdate":{"description":"Configuration for managing system updates","type":"object","properties":{"endMinutes":{"description":"If the type is WINDOWED, the end of the maintenance window, measured as the number of minutes after midnight in device's local time. This value must be between 0 and 1439, inclusive. If this value is less than start_minutes, then the maintenance window spans midnight. If the maintenance window specified is smaller than 30 minutes, the actual window is extended to 30 minutes beyond the start time.","format":"int32","type":"integer"},"type":{"enum":["SYSTEM_UPDATE_TYPE_UNSPECIFIED","AUTOMATIC","WINDOWED","POSTPONE"],"description":"The type of system update to configure.","type":"string","enumDescriptions":["Follow the default update behavior for the device, which typically requires the user to accept system updates.","Install automatically as soon as an update is available.","Install automatically within a daily maintenance window. This also configures Play apps to be updated within the window. This is strongly recommended for kiosk devices because this is the only way apps persistently pinned to the foreground can be updated by Play.","Postpone automatic install up to a maximum of 30 days."]},"startMinutes":{"description":"If the type is WINDOWED, the start of the maintenance window, measured as the number of minutes after midnight in the device's local time. This value must be between 0 and 1439, inclusive.","format":"int32","type":"integer"}},"id":"SystemUpdate"},"ApplicationEvent":{"properties":{"eventType":{"enumDescriptions":["This value is disallowed.","The app was installed.","The app was changed, for example, a component was enabled or disabled.","The app data was cleared.","The app was removed.","A new version of the app has been installed, replacing the old version.","The app was restarted.","The app was pinned to the foreground.","The app was unpinned."],"enum":["APPLICATION_EVENT_TYPE_UNSPECIFIED","INSTALLED","CHANGED","DATA_CLEARED","REMOVED","REPLACED","RESTARTED","PINNED","UNPINNED"],"description":"App event type.","type":"string"},"createTime":{"description":"The creation time of the event.","format":"google-datetime","type":"string"}},"id":"ApplicationEvent","description":"An app-related event.","type":"object"},"PackageNameList":{"properties":{"packageNames":{"description":"A list of package names.","type":"array","items":{"type":"string"}}},"id":"PackageNameList","description":"A list of package names.","type":"object"},"NonComplianceDetailCondition":{"properties":{"packageName":{"description":"The package name of the app that's out of compliance. If not set, then this condition matches any package name.","type":"string"},"settingName":{"description":"The name of the policy setting. This is the JSON field name of a top-level Policy field. If not set, then this condition matches any setting name.","type":"string"},"nonComplianceReason":{"enumDescriptions":["This value is disallowed.","The setting is not supported in the API level of the Android version running on the device.","The management mode (profile owner, device owner, etc.) doesn't support the setting.","The user has not taken required action to comply with the setting.","The setting has an invalid value.","The app required to implement the policy is not installed.","The policy is not supported by the version of Android Device Policy on the device.","A blocked app is installed.","The setting hasn't been applied at the time of the report, but is expected to be applied shortly.","The setting can't be applied to the app because the app doesn't support it, for example because its target SDK version is not high enough.","The app is installed, but it hasn't been updated to the minimum version code specified by policy."],"enum":["NON_COMPLIANCE_REASON_UNSPECIFIED","API_LEVEL","MANAGEMENT_MODE","USER_ACTION","INVALID_VALUE","APP_NOT_INSTALLED","UNSUPPORTED","APP_INSTALLED","PENDING","APP_INCOMPATIBLE","APP_NOT_UPDATED"],"description":"The reason the device is not in compliance with the setting. If not set, then this condition matches any reason.","type":"string"}},"id":"NonComplianceDetailCondition","description":"A compliance rule condition which is satisfied if there exists any matching NonComplianceDetail for the device. A NonComplianceDetail matches a NonComplianceDetailCondition if all the fields which are set within the NonComplianceDetailCondition match the corresponding NonComplianceDetail fields.","type":"object"},"PersistentPreferredActivity":{"description":"A default activity for handling intents that match a particular intent filter.","type":"object","properties":{"categories":{"description":"The intent categories to match in the filter. An intent includes the categories that it requires, all of which must be included in the filter in order to match. In other words, adding a category to the filter has no impact on matching unless that category is specified in the intent.","type":"array","items":{"type":"string"}},"receiverActivity":{"description":"The activity that should be the default intent handler. This should be an Android component name, e.g. com.android.enterprise.app/.MainActivity. Alternatively, the value may be the package name of an app, which causes Android Device Policy to choose an appropriate activity from the app to handle the intent.","type":"string"},"actions":{"description":"The intent actions to match in the filter. If any actions are included in the filter, then an intent's action must be one of those values for it to match. If no actions are included, the intent action is ignored.","type":"array","items":{"type":"string"}}},"id":"PersistentPreferredActivity"},"Application":{"description":"Information about an app.","type":"object","properties":{"title":{"description":"The title of the app. Localized.","type":"string"},"permissions":{"description":"The permissions required by the app.","type":"array","items":{"$ref":"ApplicationPermission"}},"name":{"description":"The name of the app in the form enterprises/{enterpriseId}/applications/{package_name}.","type":"string"},"managedProperties":{"description":"The set of managed properties available to be pre-configured for the app.","type":"array","items":{"$ref":"ManagedProperty"}}},"id":"Application"},"UserFacingMessage":{"properties":{"defaultMessage":{"description":"The default message displayed if no localized message is specified or the user's locale doesn't match with any of the localized messages. A default message must be provided if any localized messages are provided.","type":"string"},"localizedMessages":{"additionalProperties":{"type":"string"},"description":"A map containing <locale, message> pairs, where locale is a well-formed BCP 47 language (https://www.w3.org/International/articles/language-tags/) code, such as en-US, es-ES, or fr.","type":"object"}},"id":"UserFacingMessage","description":"Provides a user-facing message with locale info. The maximum message length is 4096 characters.","type":"object"},"ManagedPropertyEntry":{"properties":{"value":{"description":"The machine-readable value of the entry, which should be used in the configuration. Not localized.","type":"string"},"name":{"description":"The human-readable name of the value. Localized.","type":"string"}},"id":"ManagedPropertyEntry","description":"An entry of a managed property.","type":"object"},"ApplicationPolicy":{"properties":{"defaultPermissionPolicy":{"enumDescriptions":["Policy not specified. If no policy is specified for a permission at any level, then the PROMPT behavior is used by default.","Prompt the user to grant a permission.","Automatically grant a permission.","Automatically deny a permission."],"enum":["PERMISSION_POLICY_UNSPECIFIED","PROMPT","GRANT","DENY"],"description":"The default policy for all permissions requested by the app. If specified, this overrides the policy-level default_permission_policy which applies to all apps. It does not override the permission_grants which applies to all apps.","type":"string"},"disabled":{"description":"Whether the app is disabled. When disabled, the app data is still preserved.","type":"boolean"},"delegatedScopes":{"description":"The scopes delegated to the app from Android Device Policy.","type":"array","items":{"enum":["DELEGATED_SCOPE_UNSPECIFIED","CERT_INSTALL","MANAGED_CONFIGURATIONS","BLOCK_UNINSTALL","PERMISSION_GRANT","PACKAGE_ACCESS","ENABLE_SYSTEM_APP"],"type":"string"},"enumDescriptions":["No delegation scope specified.","Grants access to certificate installation and management.","Grants access to managed configurations management.","Grants access to blocking uninstallation.","Grants access to permission policy and permission grant state.","Grants access to package access state.","Grants access for enabling system apps."]},"packageName":{"description":"The package name of the app. For example, com.google.android.youtube for the YouTube app.","type":"string"},"installType":{"enum":["INSTALL_TYPE_UNSPECIFIED","PREINSTALLED","FORCE_INSTALLED","BLOCKED","AVAILABLE"],"description":"The type of installation to perform.","type":"string","enumDescriptions":["Unspecified. Defaults to AVAILABLE.","The app is automatically installed and can be removed by the user.","The app is automatically installed and can't be removed by the user.","The app is blocked and can't be installed. If the app was installed under a previous policy, it will be uninstalled.","The app is available to install."]},"minimumVersionCode":{"description":"The minimum version of the app that runs on the device. If set, the device attempts to update the app to at least this version code. If the app is not up-to-date, the device will contain a NonComplianceDetail with non_compliance_reason set to APP_NOT_UPDATED. The app must already be published to Google Play with a version code greater than or equal to this value. At most 20 apps may specify a minimum version code per policy.","format":"int32","type":"integer"},"permissionGrants":{"description":"Explicit permission grants or denials for the app. These values override the default_permission_policy and permission_grants which apply to all apps.","type":"array","items":{"$ref":"PermissionGrant"}},"lockTaskAllowed":{"description":"Whether the app is allowed to lock itself in full-screen mode.","type":"boolean"},"managedConfiguration":{"additionalProperties":{"description":"Properties of the object.","type":"any"},"description":"Managed configuration applied to the app. The format for the configuration is dictated by the ManagedProperty values supported by the app. Each field name in the managed configuration must match the key field of the ManagedProperty. The field value must be compatible with the type of the ManagedProperty: <table> <tr><td><i>type</i></td><td><i>JSON value</i></td></tr> <tr><td>BOOL</td><td>true or false</td></tr> <tr><td>STRING</td><td>string</td></tr> <tr><td>INTEGER</td><td>number</td></tr> <tr><td>CHOICE</td><td>string</td></tr> <tr><td>MULTISELECT</td><td>array of strings</td></tr> <tr><td>HIDDEN</td><td>string</td></tr> <tr><td>BUNDLE_ARRAY</td><td>array of objects</td></tr> </table>","type":"object"}},"id":"ApplicationPolicy","description":"Policy for an individual app.","type":"object"},"Command":{"description":"A command.","type":"object","properties":{"errorCode":{"enumDescriptions":["There was no error.","An unknown error occurred.","The API level of the device does not support this command.","The management mode (profile owner, device owner, etc.) does not support the command.","The command has an invalid parameter value.","The device doesn't support the command. Updating Android Device Policy to the latest version may resolve the issue."],"enum":["COMMAND_ERROR_CODE_UNSPECIFIED","UNKNOWN","API_LEVEL","MANAGEMENT_MODE","INVALID_VALUE","UNSUPPORTED"],"description":"If the command failed, an error code explaining the failure. This is not set when the command is cancelled by the caller.","type":"string"},"createTime":{"description":"The timestamp at which the command was created. The timestamp is automatically generated by the server.","format":"google-datetime","type":"string"},"newPassword":{"description":"For commands of type RESET_PASSWORD, optionally specifies the new password.","type":"string"},"resetPasswordFlags":{"enumDescriptions":["This value is ignored.","Don't allow other admins to change the password again until the user has entered it.","Don't ask for user credentials on device boot.","Lock the device after password reset."],"description":"For commands of type RESET_PASSWORD, optionally specifies flags.","type":"array","items":{"enum":["RESET_PASSWORD_FLAG_UNSPECIFIED","REQUIRE_ENTRY","DO_NOT_ASK_CREDENTIALS_ON_BOOT","LOCK_NOW"],"type":"string"}},"userName":{"description":"The resource name of the user that owns the device in the form enterprises/{enterpriseId}/users/{userId}. This is automatically generated by the server based on the device the command is sent to.","type":"string"},"type":{"enum":["COMMAND_TYPE_UNSPECIFIED","LOCK","RESET_PASSWORD","REBOOT"],"description":"The type of the command.","type":"string","enumDescriptions":["This value is disallowed.","Lock the device, as if the lock screen timeout had expired.","Reset the user's password.","Reboot the device. Only supported on API level 24+."]},"duration":{"description":"The duration for which the command is valid. The command will expire if not executed by the device during this time. The default duration if unspecified is ten minutes. There is no maximum duration.","format":"google-duration","type":"string"}},"id":"Command"},"MemoryEvent":{"properties":{"eventType":{"enumDescriptions":["Unspecified. No events have this type.","Free space in RAM was measured.","Free space in internal storage was measured.","A new external storage medium was detected. The reported byte count is the total capacity of the storage medium.","An external storage medium was removed. The reported byte count is zero.","Free space in an external storage medium was measured."],"enum":["MEMORY_EVENT_TYPE_UNSPECIFIED","RAM_MEASURED","INTERNAL_STORAGE_MEASURED","EXTERNAL_STORAGE_DETECTED","EXTERNAL_STORAGE_REMOVED","EXTERNAL_STORAGE_MEASURED"],"description":"Event type.","type":"string"},"createTime":{"description":"The creation time of the event.","format":"google-datetime","type":"string"},"byteCount":{"description":"The number of free bytes in the medium, or for EXTERNAL_STORAGE_DETECTED, the total capacity in bytes of the storage medium.","format":"int64","type":"string"}},"id":"MemoryEvent","description":"An event related to memory and storage measurements.","type":"object"},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:\nservice Foo {\n  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n}\nThe JSON representation for Empty is empty JSON object {}.","type":"object","properties":{},"id":"Empty"},"HardwareStatus":{"properties":{"fanSpeeds":{"description":"Fan speeds in RPM for each fan on the device. Empty array means that there are no fans or fan speed is not supported on the system.","type":"array","items":{"format":"float","type":"number"}},"skinTemperatures":{"description":"Current device skin temperatures in Celsius.","type":"array","items":{"format":"float","type":"number"}},"cpuUsages":{"description":"CPU usages in percentage for each core available on the device. Usage is 0 for each unplugged core. Empty array implies that CPU usage is not supported in the system.","type":"array","items":{"format":"float","type":"number"}},"batteryTemperatures":{"description":"Current battery temperatures in Celsius for each battery on the device.","type":"array","items":{"format":"float","type":"number"}},"cpuTemperatures":{"description":"Current CPU temperatures in Celsius for each CPU on the device.","type":"array","items":{"format":"float","type":"number"}},"gpuTemperatures":{"description":"Current GPU temperatures in Celsius for each GPU on the device.","type":"array","items":{"format":"float","type":"number"}},"createTime":{"description":"The time the measurements were taken.","format":"google-datetime","type":"string"}},"id":"HardwareStatus","description":"Hardware status. Temperatures may be compared to the temperature thresholds available in hardwareInfo to determine hardware health.","type":"object"},"NetworkInfo":{"properties":{"imei":{"description":"IMEI number of the GSM device. For example, A1000031212.","type":"string"},"meid":{"description":"MEID number of the CDMA device. For example, A00000292788E1.","type":"string"},"wifiMacAddress":{"description":"Wi-Fi MAC address of the device. For example, 7c:11:11:11:11:11.","type":"string"},"networkOperatorName":{"description":"Alphabetic name of current registered operator. For example, Vodafone.","type":"string"}},"id":"NetworkInfo","description":"Device network info.","type":"object"},"DeviceSettings":{"description":"Information about security related device settings on device.","type":"object","properties":{"verifyAppsEnabled":{"description":"Whether Verify Apps (Google Play Protect (https://support.google.com/googleplay/answer/2812853)) is enabled on the device.","type":"boolean"},"adbEnabled":{"description":"Whether ADB (https://developer.android.com/studio/command-line/adb.html) is enabled on the device.","type":"boolean"},"developmentSettingsEnabled":{"description":"Whether developer mode is enabled on the device.","type":"boolean"},"isEncrypted":{"description":"Whether the storage encryption is enabled.","type":"boolean"},"encryptionStatus":{"enum":["ENCRYPTION_STATUS_UNSPECIFIED","UNSUPPORTED","INACTIVE","ACTIVATING","ACTIVE","ACTIVE_DEFAULT_KEY","ACTIVE_PER_USER"],"description":"Encryption status from DevicePolicyManager.","type":"string","enumDescriptions":["Unspecified. No device should have this type.","Encryption is not supported by the device.","Encryption is supported by the device, but is not currently active.","Encryption is not currently active, but is currently being activated.","Encryption is active.","Encryption is active, but an encryption key is not set by the user.","Encryption is active, and the encryption key is tied to the user profile."]},"isDeviceSecure":{"description":"Whether the device is secured with PIN/password.","type":"boolean"},"unknownSourcesEnabled":{"description":"Whether installing apps from unknown sources is enabled.","type":"boolean"}},"id":"DeviceSettings"},"StatusReportingSettings":{"properties":{"memoryInfoEnabled":{"description":"Whether memory reporting is enabled.","type":"boolean"},"displayInfoEnabled":{"description":"Whether displays reporting is enabled.","type":"boolean"},"networkInfoEnabled":{"description":"Whether network info reporting is enabled.","type":"boolean"},"deviceSettingsEnabled":{"description":"Whether device settings reporting is enabled.","type":"boolean"},"powerManagementEventsEnabled":{"description":"Whether power management event reporting is enabled.","type":"boolean"},"hardwareStatusEnabled":{"description":"Whether hardware status reporting is enabled.","type":"boolean"},"applicationReportsEnabled":{"description":"Whether app reports are enabled.","type":"boolean"},"softwareInfoEnabled":{"description":"Whether software info reporting is enabled.","type":"boolean"}},"id":"StatusReportingSettings","description":"Settings controlling the behavior of status reports.","type":"object"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Android Management","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/androidmanagement":{"description":"Manage Android devices and apps for your customers"}}}}};