export default {"kind":"discovery#restDescription","etag":"\"J3WqvAcMk4eQjJXvfSI4Yr8VouA/YP471yMxZRzFo0x6lmoLMOTwZBs\"","discoveryVersion":"v1","id":"content:v2sandbox","name":"content","canonicalName":"Shopping Content","version":"v2sandbox","revision":"20180914","title":"Content API for Shopping","description":"Manages product items, inventory, and Merchant Center accounts for Google Shopping.","ownerDomain":"google.com","ownerName":"Google","icons":{"x16":"https://www.gstatic.com/images/branding/product/1x/googleg_16dp.png","x32":"https://www.gstatic.com/images/branding/product/1x/googleg_32dp.png"},"documentationLink":"https://developers.google.com/shopping-content","protocol":"rest","baseUrl":"https://www.googleapis.com/content/v2sandbox/","basePath":"/content/v2sandbox/","rootUrl":"https://www.googleapis.com/","servicePath":"content/v2sandbox/","batchPath":"batch/content/v2sandbox","parameters":{"alt":{"type":"string","description":"Data format for the response.","default":"json","enum":["json"],"enumDescriptions":["Responses with Content-Type of application/json"],"location":"query"},"fields":{"type":"string","description":"Selector specifying which fields to include in a partial response.","location":"query"},"key":{"type":"string","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","location":"query"},"oauth_token":{"type":"string","description":"OAuth 2.0 token for the current user.","location":"query"},"prettyPrint":{"type":"boolean","description":"Returns response with indentations and line breaks.","default":"true","location":"query"},"quotaUser":{"type":"string","description":"An opaque string that represents a user for quota purposes. Must not exceed 40 characters.","location":"query"},"userIp":{"type":"string","description":"Deprecated. Please use quotaUser instead.","location":"query"}},"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/content":{"description":"Manage your product listings and accounts for Google Shopping"}}}},"schemas":{"Amount":{"id":"Amount","type":"object","properties":{"pretax":{"$ref":"Price","description":"[required] Value before taxes."},"tax":{"$ref":"Price","description":"[required] Tax value."}}},"Error":{"id":"Error","type":"object","description":"An error returned by the API.","properties":{"domain":{"type":"string","description":"The domain of the error."},"message":{"type":"string","description":"A description of the error."},"reason":{"type":"string","description":"The error code."}}},"Errors":{"id":"Errors","type":"object","description":"A list of errors returned by a failed batch entry.","properties":{"code":{"type":"integer","description":"The HTTP status of the first error in errors.","format":"uint32"},"errors":{"type":"array","description":"A list of errors.","items":{"$ref":"Error"}},"message":{"type":"string","description":"The message of the first error in errors."}}},"InvoiceSummary":{"id":"InvoiceSummary","type":"object","properties":{"additionalChargeSummaries":{"type":"array","description":"Summary of the total amounts of the additional charges.","items":{"$ref":"InvoiceSummaryAdditionalChargeSummary"}},"customerBalance":{"$ref":"Amount","description":"[required] Customer balance on this invoice. A negative amount means the customer is paying, a positive one means the customer is receiving money. Note: the sum of merchant_balance, customer_balance and google_balance must always be zero.\n\nFurthermore the absolute value of this amount is expected to be equal to the sum of product amount and additional charges, minus promotions."},"googleBalance":{"$ref":"Amount","description":"[required] Google balance on this invoice. A negative amount means Google is paying, a positive one means Google is receiving money. Note: the sum of merchant_balance, customer_balance and google_balance must always be zero."},"merchantBalance":{"$ref":"Amount","description":"[required] Merchant balance on this invoice. A negative amount means the merchant is paying, a positive one means the merchant is receiving money. Note: the sum of merchant_balance, customer_balance and google_balance must always be zero."},"productTotal":{"$ref":"Amount","description":"[required] Total price for the product."},"promotionSummaries":{"type":"array","description":"Summary for each promotion.","items":{"$ref":"Promotion"}}}},"InvoiceSummaryAdditionalChargeSummary":{"id":"InvoiceSummaryAdditionalChargeSummary","type":"object","properties":{"totalAmount":{"$ref":"Amount","description":"[required] Total additional charge for this type."},"type":{"type":"string","description":"[required] Type of the additional charge."}}},"Order":{"id":"Order","type":"object","properties":{"acknowledged":{"type":"boolean","description":"Whether the order was acknowledged."},"channelType":{"type":"string","description":"The channel type of the order: \"purchaseOnGoogle\" or \"googleExpress\"."},"customer":{"$ref":"OrderCustomer","description":"The details of the customer who placed the order."},"deliveryDetails":{"$ref":"OrderDeliveryDetails","description":"The details for the delivery."},"id":{"type":"string","description":"The REST id of the order. Globally unique."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#order\".","default":"content#order"},"lineItems":{"type":"array","description":"Line items that are ordered.","items":{"$ref":"OrderLineItem"}},"merchantId":{"type":"string","format":"uint64"},"merchantOrderId":{"type":"string","description":"Merchant-provided id of the order."},"netAmount":{"$ref":"Price","description":"The net amount for the order. For example, if an order was originally for a grand total of $100 and a refund was issued for $20, the net amount will be $80."},"paymentMethod":{"$ref":"OrderPaymentMethod","description":"The details of the payment method."},"paymentStatus":{"type":"string","description":"The status of the payment."},"placedDate":{"type":"string","description":"The date when the order was placed, in ISO 8601 format."},"promotions":{"type":"array","description":"The details of the merchant provided promotions applied to the order. More details about the program are here.","items":{"$ref":"OrderPromotion"}},"refunds":{"type":"array","description":"Refunds for the order.","items":{"$ref":"OrderRefund"}},"shipments":{"type":"array","description":"Shipments of the order.","items":{"$ref":"OrderShipment"}},"shippingCost":{"$ref":"Price","description":"The total cost of shipping for all items."},"shippingCostTax":{"$ref":"Price","description":"The tax for the total shipping cost."},"shippingOption":{"type":"string","description":"The requested shipping option."},"status":{"type":"string","description":"The status of the order."}}},"OrderAddress":{"id":"OrderAddress","type":"object","properties":{"country":{"type":"string","description":"CLDR country code (e.g. \"US\")."},"fullAddress":{"type":"array","description":"Strings representing the lines of the printed label for mailing the order, for example:\nJohn Smith\n1600 Amphitheatre Parkway\nMountain View, CA, 94043\nUnited States","items":{"type":"string"}},"isPostOfficeBox":{"type":"boolean","description":"Whether the address is a post office box."},"locality":{"type":"string","description":"City, town or commune. May also include dependent localities or sublocalities (e.g. neighborhoods or suburbs)."},"postalCode":{"type":"string","description":"Postal Code or ZIP (e.g. \"94043\")."},"recipientName":{"type":"string","description":"Name of the recipient."},"region":{"type":"string","description":"Top-level administrative subdivision of the country. For example, a state like California (\"CA\") or a province like Quebec (\"QC\")."},"streetAddress":{"type":"array","description":"Street-level part of the address.","items":{"type":"string"}}}},"OrderCancellation":{"id":"OrderCancellation","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the cancellation."},"creationDate":{"type":"string","description":"Date on which the cancellation has been created, in ISO 8601 format."},"quantity":{"type":"integer","description":"The quantity that was canceled.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation. Orders that are cancelled with a noInventory reason will lead to the removal of the product from Shopping Actions until you make an update to that product. This will not affect your Shopping ads."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderCustomer":{"id":"OrderCustomer","type":"object","properties":{"email":{"type":"string","description":"Email address that should be used for order related communications. In certain cases this might not be a real users email, but a proxy email."},"explicitMarketingPreference":{"type":"boolean","description":"Deprecated. Please use marketingRightsInfo instead."},"fullName":{"type":"string","description":"Full name of the customer."},"marketingRightsInfo":{"$ref":"OrderCustomerMarketingRightsInfo","description":"Customer's marketing preferences."}}},"OrderCustomerMarketingRightsInfo":{"id":"OrderCustomerMarketingRightsInfo","type":"object","properties":{"explicitMarketingPreference":{"type":"string","description":"Last known user selection regarding marketing preferences. In certain cases this selection might not be known, so this field would be empty."},"lastUpdatedTimestamp":{"type":"string","description":"Timestamp when last time marketing preference was updated. Could be empty, if user wasn't offered a selection yet."},"marketingEmailAddress":{"type":"string","description":"Email address that can be used for marketing purposes. This field is only filled when explicitMarketingPreference is equal to 'granted'."}}},"OrderDeliveryDetails":{"id":"OrderDeliveryDetails","type":"object","properties":{"address":{"$ref":"OrderAddress","description":"The delivery address"},"phoneNumber":{"type":"string","description":"The phone number of the person receiving the delivery."}}},"OrderLineItem":{"id":"OrderLineItem","type":"object","properties":{"annotations":{"type":"array","description":"Annotations that are attached to the line item.","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"cancellations":{"type":"array","description":"Cancellations of the line item.","items":{"$ref":"OrderCancellation"}},"id":{"type":"string","description":"The id of the line item."},"price":{"$ref":"Price","description":"Total price for the line item. For example, if two items for $10 are purchased, the total price will be $20."},"product":{"$ref":"OrderLineItemProduct","description":"Product data from the time of the order placement."},"quantityCanceled":{"type":"integer","description":"Number of items canceled.","format":"uint32"},"quantityDelivered":{"type":"integer","description":"Number of items delivered.","format":"uint32"},"quantityOrdered":{"type":"integer","description":"Number of items ordered.","format":"uint32"},"quantityPending":{"type":"integer","description":"Number of items pending.","format":"uint32"},"quantityReturned":{"type":"integer","description":"Number of items returned.","format":"uint32"},"quantityShipped":{"type":"integer","description":"Number of items shipped.","format":"uint32"},"returnInfo":{"$ref":"OrderLineItemReturnInfo","description":"Details of the return policy for the line item."},"returns":{"type":"array","description":"Returns of the line item.","items":{"$ref":"OrderReturn"}},"shippingDetails":{"$ref":"OrderLineItemShippingDetails","description":"Details of the requested shipping for the line item."},"tax":{"$ref":"Price","description":"Total tax amount for the line item. For example, if two items are purchased, and each have a cost tax of $2, the total tax amount will be $4."}}},"OrderLineItemProduct":{"id":"OrderLineItemProduct","type":"object","properties":{"brand":{"type":"string","description":"Brand of the item."},"channel":{"type":"string","description":"The item's channel (online or local)."},"condition":{"type":"string","description":"Condition or state of the item."},"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item."},"gtin":{"type":"string","description":"Global Trade Item Number (GTIN) of the item."},"id":{"type":"string","description":"The REST id of the product."},"imageLink":{"type":"string","description":"URL of an image of the item."},"itemGroupId":{"type":"string","description":"Shared identifier for all variants of the same product."},"mpn":{"type":"string","description":"Manufacturer Part Number (MPN) of the item."},"offerId":{"type":"string","description":"An identifier of the item."},"price":{"$ref":"Price","description":"Price of the item."},"shownImage":{"type":"string","description":"URL to the cached image shown to the user when order was placed."},"targetCountry":{"type":"string","description":"The CLDR territory code of the target country of the product."},"title":{"type":"string","description":"The title of the product."},"variantAttributes":{"type":"array","description":"Variant attributes for the item. These are dimensions of the product, such as color, gender, material, pattern, and size. You can find a comprehensive list of variant attributes here.","items":{"$ref":"OrderLineItemProductVariantAttribute"}}}},"OrderLineItemProductVariantAttribute":{"id":"OrderLineItemProductVariantAttribute","type":"object","properties":{"dimension":{"type":"string","description":"The dimension of the variant."},"value":{"type":"string","description":"The value for the dimension."}}},"OrderLineItemReturnInfo":{"id":"OrderLineItemReturnInfo","type":"object","properties":{"daysToReturn":{"type":"integer","description":"How many days later the item can be returned.","format":"int32","annotations":{"required":["content.orders.createtestorder"]}},"isReturnable":{"type":"boolean","description":"Whether the item is returnable.","annotations":{"required":["content.orders.createtestorder"]}},"policyUrl":{"type":"string","description":"URL of the item return policy.","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderLineItemShippingDetails":{"id":"OrderLineItemShippingDetails","type":"object","properties":{"deliverByDate":{"type":"string","description":"The delivery by date, in ISO 8601 format.","annotations":{"required":["content.orders.createtestorder"]}},"method":{"$ref":"OrderLineItemShippingDetailsMethod","description":"Details of the shipping method.","annotations":{"required":["content.orders.createtestorder"]}},"shipByDate":{"type":"string","description":"The ship by date, in ISO 8601 format.","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderLineItemShippingDetailsMethod":{"id":"OrderLineItemShippingDetailsMethod","type":"object","properties":{"carrier":{"type":"string","description":"The carrier for the shipping. Optional. See shipments[].carrier for a list of acceptable values."},"maxDaysInTransit":{"type":"integer","description":"Maximum transit time.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}},"methodName":{"type":"string","description":"The name of the shipping method.","annotations":{"required":["content.orders.createtestorder"]}},"minDaysInTransit":{"type":"integer","description":"Minimum transit time.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}}}},"OrderMerchantProvidedAnnotation":{"id":"OrderMerchantProvidedAnnotation","type":"object","properties":{"key":{"type":"string","description":"Key for additional merchant provided (as key-value pairs) annotation about the line item."},"value":{"type":"string","description":"Value for additional merchant provided (as key-value pairs) annotation about the line item."}}},"OrderPaymentMethod":{"id":"OrderPaymentMethod","type":"object","properties":{"billingAddress":{"$ref":"OrderAddress","description":"The billing address."},"expirationMonth":{"type":"integer","description":"The card expiration month (January = 1, February = 2 etc.).","format":"int32"},"expirationYear":{"type":"integer","description":"The card expiration year (4-digit, e.g. 2015).","format":"int32"},"lastFourDigits":{"type":"string","description":"The last four digits of the card number."},"phoneNumber":{"type":"string","description":"The billing phone number."},"type":{"type":"string","description":"The type of instrument.\n\nAcceptable values are:  \n- \"AMEX\" \n- \"DISCOVER\" \n- \"JCB\" \n- \"MASTERCARD\" \n- \"UNIONPAY\" \n- \"VISA\" \n- \"\""}}},"OrderPromotion":{"id":"OrderPromotion","type":"object","properties":{"benefits":{"type":"array","items":{"$ref":"OrderPromotionBenefit"}},"effectiveDates":{"type":"string","description":"The date and time frame when the promotion is active and ready for validation review. Note that the promotion live time may be delayed for a few hours due to the validation review.\nStart date and end date are separated by a forward slash (/). The start date is specified by the format (YYYY-MM-DD), followed by the letter ?T?, the time of the day when the sale starts (in Greenwich Mean Time, GMT), followed by an expression of the time zone for the sale. The end date is in the same format."},"genericRedemptionCode":{"type":"string","description":"Optional. The text code that corresponds to the promotion when applied on the retailer?s website."},"id":{"type":"string","description":"The unique ID of the promotion."},"longTitle":{"type":"string","description":"The full title of the promotion."},"productApplicability":{"type":"string","description":"Whether the promotion is applicable to all products or only specific products."},"redemptionChannel":{"type":"string","description":"Indicates that the promotion is valid online."}}},"OrderPromotionBenefit":{"id":"OrderPromotionBenefit","type":"object","properties":{"discount":{"$ref":"Price","description":"The discount in the order price when the promotion is applied."},"offerIds":{"type":"array","description":"The OfferId(s) that were purchased in this order and map to this specific benefit of the promotion.","items":{"type":"string"}},"subType":{"type":"string","description":"Further describes the benefit of the promotion. Note that we will expand on this enumeration as we support new promotion sub-types."},"taxImpact":{"$ref":"Price","description":"The impact on tax when the promotion is applied."},"type":{"type":"string","description":"Describes whether the promotion applies to products (e.g. 20% off) or to shipping (e.g. Free Shipping)."}}},"OrderRefund":{"id":"OrderRefund","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the refund."},"amount":{"$ref":"Price","description":"The amount that is refunded."},"creationDate":{"type":"string","description":"Date on which the item has been created, in ISO 8601 format."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderReturn":{"id":"OrderReturn","type":"object","properties":{"actor":{"type":"string","description":"The actor that created the refund."},"creationDate":{"type":"string","description":"Date on which the item has been created, in ISO 8601 format."},"quantity":{"type":"integer","description":"Quantity that is returned.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrderShipment":{"id":"OrderShipment","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment.\n\nAcceptable values are:  \n- \"gsx\" \n- \"ups\" \n- \"usps\" \n- \"fedex\" \n- \"dhl\" \n- \"ecourier\" \n- \"cxt\" \n- \"google\" \n- \"ontrac\" \n- \"emsy\" \n- \"ont\" \n- \"deliv\" \n- \"dynamex\" \n- \"lasership\" \n- \"mpx\" \n- \"uds\""},"creationDate":{"type":"string","description":"Date on which the shipment has been created, in ISO 8601 format."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Present only if status is delivered"},"id":{"type":"string","description":"The id of the shipment."},"lineItems":{"type":"array","description":"The line items that are shipped.","items":{"$ref":"OrderShipmentLineItemShipment"}},"status":{"type":"string","description":"The status of the shipment."},"trackingId":{"type":"string","description":"The tracking id for the shipment."}}},"OrderShipmentLineItemShipment":{"id":"OrderShipmentLineItemShipment","type":"object","properties":{"lineItemId":{"type":"string","description":"The id of the line item that is shipped. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to ship. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity that is shipped.","format":"uint32"}}},"OrderinvoicesCreateChargeInvoiceRequest":{"id":"OrderinvoicesCreateChargeInvoiceRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"[required] The ID of the invoice."},"invoiceSummary":{"$ref":"InvoiceSummary","description":"[required] Invoice summary."},"lineItemInvoices":{"type":"array","description":"[required] Invoice details per line item.","items":{"$ref":"ShipmentInvoiceLineItemInvoice"}},"operationId":{"type":"string","description":"[required] The ID of the operation, unique across all operations for a given order."},"shipmentGroupId":{"type":"string","description":"[required] ID of the shipment group."}}},"OrderinvoicesCreateChargeInvoiceResponse":{"id":"OrderinvoicesCreateChargeInvoiceResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderinvoicesCreateChargeInvoiceResponse\".","default":"content#orderinvoicesCreateChargeInvoiceResponse"}}},"OrderinvoicesCreateRefundInvoiceRequest":{"id":"OrderinvoicesCreateRefundInvoiceRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"[required] The ID of the invoice."},"operationId":{"type":"string","description":"[required] The ID of the operation, unique across all operations for a given order."},"refundOnlyOption":{"$ref":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption","description":"Option to create a refund-only invoice. Exactly one of refundOnlyOption or returnOption must be provided."},"returnOption":{"$ref":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption","description":"Option to create an invoice for a refund and mark all items within the invoice as returned. Exactly one of refundOnlyOption or returnOption must be provided."},"shipmentInvoices":{"type":"array","description":"Invoice details for different shipment groups.","items":{"$ref":"ShipmentInvoice"}}}},"OrderinvoicesCreateRefundInvoiceResponse":{"id":"OrderinvoicesCreateRefundInvoiceResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderinvoicesCreateRefundInvoiceResponse\".","default":"content#orderinvoicesCreateRefundInvoiceResponse"}}},"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption":{"id":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceRefundOption","type":"object","properties":{"description":{"type":"string","description":"Optional description of the refund reason."},"reason":{"type":"string","description":"[required] Reason for the refund."}}},"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption":{"id":"OrderinvoicesCustomBatchRequestEntryCreateRefundInvoiceReturnOption","type":"object","properties":{"description":{"type":"string","description":"Optional description of the return reason."},"reason":{"type":"string","description":"[required] Reason for the return."}}},"OrderpaymentsNotifyAuthApprovedRequest":{"id":"OrderpaymentsNotifyAuthApprovedRequest","type":"object","properties":{"authAmountPretax":{"$ref":"Price"},"authAmountTax":{"$ref":"Price"}}},"OrderpaymentsNotifyAuthApprovedResponse":{"id":"OrderpaymentsNotifyAuthApprovedResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyAuthApprovedResponse\".","default":"content#orderpaymentsNotifyAuthApprovedResponse"}}},"OrderpaymentsNotifyAuthDeclinedRequest":{"id":"OrderpaymentsNotifyAuthDeclinedRequest","type":"object","properties":{"declineReason":{"type":"string","description":"Reason why payment authorization was declined."}}},"OrderpaymentsNotifyAuthDeclinedResponse":{"id":"OrderpaymentsNotifyAuthDeclinedResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyAuthDeclinedResponse\".","default":"content#orderpaymentsNotifyAuthDeclinedResponse"}}},"OrderpaymentsNotifyChargeRequest":{"id":"OrderpaymentsNotifyChargeRequest","type":"object","properties":{"chargeState":{"type":"string","description":"Whether charge was successful."},"invoiceId":{"type":"string","description":"Invoice ID from orderInvoice service that corresponds to the charge."}}},"OrderpaymentsNotifyChargeResponse":{"id":"OrderpaymentsNotifyChargeResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyChargeResponse\".","default":"content#orderpaymentsNotifyChargeResponse"}}},"OrderpaymentsNotifyRefundRequest":{"id":"OrderpaymentsNotifyRefundRequest","type":"object","properties":{"invoiceId":{"type":"string","description":"Invoice ID from orderInvoice service that corresponds to the charge."},"refundState":{"type":"string","description":"Whether refund was successful."}}},"OrderpaymentsNotifyRefundResponse":{"id":"OrderpaymentsNotifyRefundResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#orderpaymentsNotifyRefundResponse\".","default":"content#orderpaymentsNotifyRefundResponse"}}},"OrdersAcknowledgeRequest":{"id":"OrdersAcknowledgeRequest","type":"object","properties":{"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."}}},"OrdersAcknowledgeResponse":{"id":"OrdersAcknowledgeResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersAcknowledgeResponse\".","default":"content#ordersAcknowledgeResponse"}}},"OrdersAdvanceTestOrderResponse":{"id":"OrdersAdvanceTestOrderResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersAdvanceTestOrderResponse\".","default":"content#ordersAdvanceTestOrderResponse"}}},"OrdersCancelLineItemRequest":{"id":"OrdersCancelLineItemRequest","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"Amount to refund for the cancelation. Optional. If not set, Google will calculate the default based on the price and tax of the items involved. The amount must not be larger than the net amount left on the order."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to cancellation amount in amountPretax."},"lineItemId":{"type":"string","description":"The ID of the line item to cancel. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to cancel.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCancelLineItemResponse":{"id":"OrdersCancelLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelLineItemResponse\".","default":"content#ordersCancelLineItemResponse"}}},"OrdersCancelRequest":{"id":"OrdersCancelRequest","type":"object","properties":{"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCancelResponse":{"id":"OrdersCancelResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelResponse\".","default":"content#ordersCancelResponse"}}},"OrdersCancelTestOrderByCustomerRequest":{"id":"OrdersCancelTestOrderByCustomerRequest","type":"object","properties":{"reason":{"type":"string","description":"The reason for the cancellation."}}},"OrdersCancelTestOrderByCustomerResponse":{"id":"OrdersCancelTestOrderByCustomerResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCancelTestOrderByCustomerResponse\".","default":"content#ordersCancelTestOrderByCustomerResponse"}}},"OrdersCreateTestOrderRequest":{"id":"OrdersCreateTestOrderRequest","type":"object","properties":{"country":{"type":"string","description":"The  CLDR territory code of the country of the test order to create. Affects the currency and addresses of orders created via template_name, or the addresses of orders created via test_order.\n\nAcceptable values are:  \n- \"US\" \n- \"FR\"  Defaults to US."},"templateName":{"type":"string","description":"The test order template to use. Specify as an alternative to testOrder as a shortcut for retrieving a template and then creating an order using that template."},"testOrder":{"$ref":"TestOrder","description":"The test order to create."}}},"OrdersCreateTestOrderResponse":{"id":"OrdersCreateTestOrderResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCreateTestOrderResponse\".","default":"content#ordersCreateTestOrderResponse"},"orderId":{"type":"string","description":"The ID of the newly created test order."}}},"OrdersCreateTestReturnRequest":{"id":"OrdersCreateTestReturnRequest","type":"object","properties":{"items":{"type":"array","description":"Returned items.","items":{"$ref":"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem"}}}},"OrdersCreateTestReturnResponse":{"id":"OrdersCreateTestReturnResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCreateTestReturnResponse\".","default":"content#ordersCreateTestReturnResponse"},"returnId":{"type":"string","description":"The ID of the newly created test order return."}}},"OrdersCustomBatchRequest":{"id":"OrdersCustomBatchRequest","type":"object","properties":{"entries":{"type":"array","description":"The request entries to be processed in the batch.","items":{"$ref":"OrdersCustomBatchRequestEntry"}}}},"OrdersCustomBatchRequestEntry":{"id":"OrdersCustomBatchRequestEntry","type":"object","properties":{"batchId":{"type":"integer","description":"An entry ID, unique within the batch request.","format":"uint32"},"cancel":{"$ref":"OrdersCustomBatchRequestEntryCancel","description":"Required for cancel method."},"cancelLineItem":{"$ref":"OrdersCustomBatchRequestEntryCancelLineItem","description":"Required for cancelLineItem method."},"inStoreRefundLineItem":{"$ref":"OrdersCustomBatchRequestEntryInStoreRefundLineItem","description":"Required for inStoreReturnLineItem method."},"merchantId":{"type":"string","description":"The ID of the managing account.","format":"uint64"},"merchantOrderId":{"type":"string","description":"The merchant order id. Required for updateMerchantOrderId and getByMerchantOrderId methods."},"method":{"type":"string","description":"The method to apply."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order. Required for all methods beside get and getByMerchantOrderId."},"orderId":{"type":"string","description":"The ID of the order. Required for all methods beside getByMerchantOrderId."},"refund":{"$ref":"OrdersCustomBatchRequestEntryRefund","description":"Required for refund method."},"rejectReturnLineItem":{"$ref":"OrdersCustomBatchRequestEntryRejectReturnLineItem","description":"Required for rejectReturnLineItem method."},"returnLineItem":{"$ref":"OrdersCustomBatchRequestEntryReturnLineItem","description":"Required for returnLineItem method."},"returnRefundLineItem":{"$ref":"OrdersCustomBatchRequestEntryReturnRefundLineItem","description":"Required for returnRefundLineItem method."},"setLineItemMetadata":{"$ref":"OrdersCustomBatchRequestEntrySetLineItemMetadata","description":"Required for setLineItemMetadata method."},"shipLineItems":{"$ref":"OrdersCustomBatchRequestEntryShipLineItems","description":"Required for shipLineItems method."},"updateLineItemShippingDetails":{"$ref":"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails","description":"Required for updateLineItemShippingDate method."},"updateShipment":{"$ref":"OrdersCustomBatchRequestEntryUpdateShipment","description":"Required for updateShipment method."}}},"OrdersCustomBatchRequestEntryCancel":{"id":"OrdersCustomBatchRequestEntryCancel","type":"object","properties":{"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryCancelLineItem":{"id":"OrdersCustomBatchRequestEntryCancelLineItem","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"Amount to refund for the cancelation. Optional. If not set, Google will calculate the default based on the price and tax of the items involved. The amount must not be larger than the net amount left on the order."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to cancellation amount in amountPretax."},"lineItemId":{"type":"string","description":"The ID of the line item to cancel. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to cancel. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to cancel.","format":"uint32"},"reason":{"type":"string","description":"The reason for the cancellation."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem":{"id":"OrdersCustomBatchRequestEntryCreateTestReturnReturnItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return."},"quantity":{"type":"integer","description":"Quantity that is returned.","format":"uint32"}}},"OrdersCustomBatchRequestEntryInStoreRefundLineItem":{"id":"OrdersCustomBatchRequestEntryInStoreRefundLineItem","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Required."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax. Required."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryRefund":{"id":"OrdersCustomBatchRequestEntryRefund","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Either amount or amountPretax and amountTax should be filled."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryRejectReturnLineItem":{"id":"OrdersCustomBatchRequestEntryRejectReturnLineItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryReturnLineItem":{"id":"OrdersCustomBatchRequestEntryReturnLineItem","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntryReturnRefundLineItem":{"id":"OrdersCustomBatchRequestEntryReturnRefundLineItem","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. If omitted, refundless return is assumed (same as calling returnLineItem method). Optional, but if filled then both amountPretax and amountTax must be set."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersCustomBatchRequestEntrySetLineItemMetadata":{"id":"OrdersCustomBatchRequestEntrySetLineItemMetadata","type":"object","properties":{"annotations":{"type":"array","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."}}},"OrdersCustomBatchRequestEntryShipLineItems":{"id":"OrdersCustomBatchRequestEntryShipLineItems","type":"object","properties":{"carrier":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"lineItems":{"type":"array","description":"Line items to ship.","items":{"$ref":"OrderShipmentLineItemShipment"}},"shipmentGroupId":{"type":"string","description":"ID of the shipment group. Required for orders that use the orderinvoices service."},"shipmentId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The ID of the shipment."},"shipmentInfos":{"type":"array","description":"Shipment information. This field is repeated because a single line item can be shipped in several packages (and have several tracking IDs).","items":{"$ref":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo"}},"trackingId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The tracking id for the shipment."}}},"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo":{"id":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"shipmentId":{"type":"string","description":"The ID of the shipment.","annotations":{"required":["content.orders.shiplineitems"]}},"trackingId":{"type":"string","description":"The tracking id for the shipment."}}},"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails":{"id":"OrdersCustomBatchRequestEntryUpdateLineItemShippingDetails","type":"object","properties":{"deliverByDate":{"type":"string","description":"Updated delivery by date, in ISO 8601 format. If not specified only ship by date is updated."},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."},"shipByDate":{"type":"string","description":"Updated ship by date, in ISO 8601 format. If not specified only deliver by date is updated."}}},"OrdersCustomBatchRequestEntryUpdateShipment":{"id":"OrdersCustomBatchRequestEntryUpdateShipment","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. Not updated if missing. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Optional and can be provided only if status is delivered."},"shipmentId":{"type":"string","description":"The ID of the shipment."},"status":{"type":"string","description":"New status for the shipment. Not updated if missing."},"trackingId":{"type":"string","description":"The tracking id for the shipment. Not updated if missing."}}},"OrdersCustomBatchResponse":{"id":"OrdersCustomBatchResponse","type":"object","properties":{"entries":{"type":"array","description":"The result of the execution of the batch requests.","items":{"$ref":"OrdersCustomBatchResponseEntry"}},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCustomBatchResponse\".","default":"content#ordersCustomBatchResponse"}}},"OrdersCustomBatchResponseEntry":{"id":"OrdersCustomBatchResponseEntry","type":"object","properties":{"batchId":{"type":"integer","description":"The ID of the request entry this entry responds to.","format":"uint32"},"errors":{"$ref":"Errors","description":"A list of errors defined if and only if the request failed."},"executionStatus":{"type":"string","description":"The status of the execution. Only defined if  \n- the request was successful; and \n- the method is not get, getByMerchantOrderId, or one of the test methods."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersCustomBatchResponseEntry\".","default":"content#ordersCustomBatchResponseEntry"},"order":{"$ref":"Order","description":"The retrieved order. Only defined if the method is get and if the request was successful."}}},"OrdersGetByMerchantOrderIdResponse":{"id":"OrdersGetByMerchantOrderIdResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersGetByMerchantOrderIdResponse\".","default":"content#ordersGetByMerchantOrderIdResponse"},"order":{"$ref":"Order","description":"The requested order."}}},"OrdersGetTestOrderTemplateResponse":{"id":"OrdersGetTestOrderTemplateResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersGetTestOrderTemplateResponse\".","default":"content#ordersGetTestOrderTemplateResponse"},"template":{"$ref":"TestOrder","description":"The requested test order template."}}},"OrdersInStoreRefundLineItemRequest":{"id":"OrdersInStoreRefundLineItemRequest","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Required."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax. Required."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersInStoreRefundLineItemResponse":{"id":"OrdersInStoreRefundLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersInStoreRefundLineItemResponse\".","default":"content#ordersInStoreRefundLineItemResponse"}}},"OrdersListResponse":{"id":"OrdersListResponse","type":"object","properties":{"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersListResponse\".","default":"content#ordersListResponse"},"nextPageToken":{"type":"string","description":"The token for the retrieval of the next page of orders."},"resources":{"type":"array","items":{"$ref":"Order"}}}},"OrdersRefundRequest":{"id":"OrdersRefundRequest","type":"object","properties":{"amount":{"$ref":"Price","description":"Deprecated. Please use amountPretax and amountTax instead."},"amountPretax":{"$ref":"Price","description":"The amount that is refunded. Either amount or amountPretax and amountTax should be filled."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"reason":{"type":"string","description":"The reason for the refund."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersRefundResponse":{"id":"OrdersRefundResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersRefundResponse\".","default":"content#ordersRefundResponse"}}},"OrdersRejectReturnLineItemRequest":{"id":"OrdersRejectReturnLineItemRequest","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersRejectReturnLineItemResponse":{"id":"OrdersRejectReturnLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersRejectReturnLineItemResponse\".","default":"content#ordersRejectReturnLineItemResponse"}}},"OrdersReturnLineItemRequest":{"id":"OrdersReturnLineItemRequest","type":"object","properties":{"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersReturnLineItemResponse":{"id":"OrdersReturnLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersReturnLineItemResponse\".","default":"content#ordersReturnLineItemResponse"}}},"OrdersReturnRefundLineItemRequest":{"id":"OrdersReturnRefundLineItemRequest","type":"object","properties":{"amountPretax":{"$ref":"Price","description":"The amount that is refunded. If omitted, refundless return is assumed (same as calling returnLineItem method). Optional, but if filled then both amountPretax and amountTax must be set."},"amountTax":{"$ref":"Price","description":"Tax amount that correspond to refund amount in amountPretax."},"lineItemId":{"type":"string","description":"The ID of the line item to return. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to return. This is the REST ID used in the products service. Either lineItemId or productId is required."},"quantity":{"type":"integer","description":"The quantity to return and refund.","format":"uint32"},"reason":{"type":"string","description":"The reason for the return."},"reasonText":{"type":"string","description":"The explanation of the reason."}}},"OrdersReturnRefundLineItemResponse":{"id":"OrdersReturnRefundLineItemResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersReturnRefundLineItemResponse\".","default":"content#ordersReturnRefundLineItemResponse"}}},"OrdersSetLineItemMetadataRequest":{"id":"OrdersSetLineItemMetadataRequest","type":"object","properties":{"annotations":{"type":"array","items":{"$ref":"OrderMerchantProvidedAnnotation"}},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."}}},"OrdersSetLineItemMetadataResponse":{"id":"OrdersSetLineItemMetadataResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersSetLineItemMetadataResponse\".","default":"content#ordersSetLineItemMetadataResponse"}}},"OrdersShipLineItemsRequest":{"id":"OrdersShipLineItemsRequest","type":"object","properties":{"carrier":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The carrier handling the shipment. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"lineItems":{"type":"array","description":"Line items to ship.","items":{"$ref":"OrderShipmentLineItemShipment"}},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"shipmentGroupId":{"type":"string","description":"ID of the shipment group. Required for orders that use the orderinvoices service."},"shipmentId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The ID of the shipment."},"shipmentInfos":{"type":"array","description":"Shipment information. This field is repeated because a single line item can be shipped in several packages (and have several tracking IDs).","items":{"$ref":"OrdersCustomBatchRequestEntryShipLineItemsShipmentInfo"}},"trackingId":{"type":"string","description":"Deprecated. Please use shipmentInfo instead. The tracking id for the shipment."}}},"OrdersShipLineItemsResponse":{"id":"OrdersShipLineItemsResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersShipLineItemsResponse\".","default":"content#ordersShipLineItemsResponse"}}},"OrdersUpdateLineItemShippingDetailsRequest":{"id":"OrdersUpdateLineItemShippingDetailsRequest","type":"object","properties":{"deliverByDate":{"type":"string","description":"Updated delivery by date, in ISO 8601 format. If not specified only ship by date is updated."},"lineItemId":{"type":"string","description":"The ID of the line item to set metadata. Either lineItemId or productId is required."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"productId":{"type":"string","description":"The ID of the product to set metadata. This is the REST ID used in the products service. Either lineItemId or productId is required."},"shipByDate":{"type":"string","description":"Updated ship by date, in ISO 8601 format. If not specified only deliver by date is updated."}}},"OrdersUpdateLineItemShippingDetailsResponse":{"id":"OrdersUpdateLineItemShippingDetailsResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateLineItemShippingDetailsResponse\".","default":"content#ordersUpdateLineItemShippingDetailsResponse"}}},"OrdersUpdateMerchantOrderIdRequest":{"id":"OrdersUpdateMerchantOrderIdRequest","type":"object","properties":{"merchantOrderId":{"type":"string","description":"The merchant order id to be assigned to the order. Must be unique per merchant."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."}}},"OrdersUpdateMerchantOrderIdResponse":{"id":"OrdersUpdateMerchantOrderIdResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateMerchantOrderIdResponse\".","default":"content#ordersUpdateMerchantOrderIdResponse"}}},"OrdersUpdateShipmentRequest":{"id":"OrdersUpdateShipmentRequest","type":"object","properties":{"carrier":{"type":"string","description":"The carrier handling the shipment. Not updated if missing. See shipments[].carrier in the  Orders resource representation for a list of acceptable values."},"deliveryDate":{"type":"string","description":"Date on which the shipment has been delivered, in ISO 8601 format. Optional and can be provided only if status is delivered."},"operationId":{"type":"string","description":"The ID of the operation. Unique across all operations for a given order."},"shipmentId":{"type":"string","description":"The ID of the shipment."},"status":{"type":"string","description":"New status for the shipment. Not updated if missing."},"trackingId":{"type":"string","description":"The tracking id for the shipment. Not updated if missing."}}},"OrdersUpdateShipmentResponse":{"id":"OrdersUpdateShipmentResponse","type":"object","properties":{"executionStatus":{"type":"string","description":"The status of the execution."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#ordersUpdateShipmentResponse\".","default":"content#ordersUpdateShipmentResponse"}}},"Price":{"id":"Price","type":"object","properties":{"currency":{"type":"string","description":"The currency of the price."},"value":{"type":"string","description":"The price represented as a number."}}},"Promotion":{"id":"Promotion","type":"object","properties":{"promotionAmount":{"$ref":"Amount","description":"[required] Amount of the promotion. The values here are the promotion applied to the unit price pretax and to the total of the tax amounts."},"promotionId":{"type":"string","description":"[required] ID of the promotion."}}},"ShipmentInvoice":{"id":"ShipmentInvoice","type":"object","properties":{"invoiceSummary":{"$ref":"InvoiceSummary","description":"[required] Invoice summary."},"lineItemInvoices":{"type":"array","description":"[required] Invoice details per line item.","items":{"$ref":"ShipmentInvoiceLineItemInvoice"}},"shipmentGroupId":{"type":"string","description":"[required] ID of the shipment group."}}},"ShipmentInvoiceLineItemInvoice":{"id":"ShipmentInvoiceLineItemInvoice","type":"object","properties":{"lineItemId":{"type":"string","description":"ID of the line item. Either lineItemId or productId must be set."},"productId":{"type":"string","description":"ID of the product. This is the REST ID used in the products service. Either lineItemId or productId must be set."},"shipmentUnitIds":{"type":"array","description":"[required] Unit IDs to define specific units within the line item.","items":{"type":"string"}},"unitInvoice":{"$ref":"UnitInvoice","description":"[required] Invoice details for a single unit."}}},"TestOrder":{"id":"TestOrder","type":"object","properties":{"customer":{"$ref":"TestOrderCustomer","description":"The details of the customer who placed the order.","annotations":{"required":["content.orders.createtestorder"]}},"enableOrderinvoices":{"type":"boolean","description":"Whether the orderinvoices service should support this order."},"kind":{"type":"string","description":"Identifies what kind of resource this is. Value: the fixed string \"content#testOrder\".","default":"content#testOrder"},"lineItems":{"type":"array","description":"Line items that are ordered. At least one line item must be provided.","items":{"$ref":"TestOrderLineItem"},"annotations":{"required":["content.orders.createtestorder"]}},"notificationMode":{"type":"string","description":"Determines if test order must be pulled by merchant or pushed to merchant via push integration."},"paymentMethod":{"$ref":"TestOrderPaymentMethod","description":"The details of the payment method."},"predefinedDeliveryAddress":{"type":"string","description":"Identifier of one of the predefined delivery addresses for the delivery.","annotations":{"required":["content.orders.createtestorder"]}},"promotions":{"type":"array","description":"The details of the merchant provided promotions applied to the order. More details about the program are here.","items":{"$ref":"OrderPromotion"}},"shippingCost":{"$ref":"Price","description":"The total cost of shipping for all items.","annotations":{"required":["content.orders.createtestorder"]}},"shippingCostTax":{"$ref":"Price","description":"The tax for the total shipping cost.","annotations":{"required":["content.orders.createtestorder"]}},"shippingOption":{"type":"string","description":"The requested shipping option.","annotations":{"required":["content.orders.createtestorder"]}}}},"TestOrderCustomer":{"id":"TestOrderCustomer","type":"object","properties":{"email":{"type":"string","description":"Email address of the customer.","annotations":{"required":["content.orders.createtestorder"]}},"explicitMarketingPreference":{"type":"boolean","description":"Deprecated. Please use marketingRightsInfo instead."},"fullName":{"type":"string","description":"Full name of the customer."},"marketingRightsInfo":{"$ref":"TestOrderCustomerMarketingRightsInfo","description":"Customer's marketing preferences."}}},"TestOrderCustomerMarketingRightsInfo":{"id":"TestOrderCustomerMarketingRightsInfo","type":"object","properties":{"explicitMarketingPreference":{"type":"string","description":"Last know user use selection regards marketing preferences. In certain cases selection might not be known, so this field would be empty."},"lastUpdatedTimestamp":{"type":"string","description":"Timestamp when last time marketing preference was updated. Could be empty, if user wasn't offered a selection yet."}}},"TestOrderLineItem":{"id":"TestOrderLineItem","type":"object","properties":{"product":{"$ref":"TestOrderLineItemProduct","description":"Product data from the time of the order placement."},"quantityOrdered":{"type":"integer","description":"Number of items ordered.","format":"uint32","annotations":{"required":["content.orders.createtestorder"]}},"returnInfo":{"$ref":"OrderLineItemReturnInfo","description":"Details of the return policy for the line item.","annotations":{"required":["content.orders.createtestorder"]}},"shippingDetails":{"$ref":"OrderLineItemShippingDetails","description":"Details of the requested shipping for the line item.","annotations":{"required":["content.orders.createtestorder"]}},"unitTax":{"$ref":"Price","description":"Unit tax for the line item.","annotations":{"required":["content.orders.createtestorder"]}}}},"TestOrderLineItemProduct":{"id":"TestOrderLineItemProduct","type":"object","properties":{"brand":{"type":"string","description":"Brand of the item.","annotations":{"required":["content.orders.createtestorder"]}},"channel":{"type":"string","description":"The item's channel.","annotations":{"required":["content.orders.createtestorder"]}},"condition":{"type":"string","description":"Condition or state of the item.","annotations":{"required":["content.orders.createtestorder"]}},"contentLanguage":{"type":"string","description":"The two-letter ISO 639-1 language code for the item.","annotations":{"required":["content.orders.createtestorder"]}},"gtin":{"type":"string","description":"Global Trade Item Number (GTIN) of the item. Optional."},"imageLink":{"type":"string","description":"URL of an image of the item.","annotations":{"required":["content.orders.createtestorder"]}},"itemGroupId":{"type":"string","description":"Shared identifier for all variants of the same product. Optional."},"mpn":{"type":"string","description":"Manufacturer Part Number (MPN) of the item. Optional."},"offerId":{"type":"string","description":"An identifier of the item.","annotations":{"required":["content.orders.createtestorder"]}},"price":{"$ref":"Price","description":"The price for the product.","annotations":{"required":["content.orders.createtestorder"]}},"targetCountry":{"type":"string","description":"The CLDR territory code of the target country of the product.","annotations":{"required":["content.orders.createtestorder"]}},"title":{"type":"string","description":"The title of the product.","annotations":{"required":["content.orders.createtestorder"]}},"variantAttributes":{"type":"array","description":"Variant attributes for the item. Optional.","items":{"$ref":"OrderLineItemProductVariantAttribute"}}}},"TestOrderPaymentMethod":{"id":"TestOrderPaymentMethod","type":"object","properties":{"expirationMonth":{"type":"integer","description":"The card expiration month (January = 1, February = 2 etc.).","format":"int32"},"expirationYear":{"type":"integer","description":"The card expiration year (4-digit, e.g. 2015).","format":"int32"},"lastFourDigits":{"type":"string","description":"The last four digits of the card number."},"predefinedBillingAddress":{"type":"string","description":"The billing address."},"type":{"type":"string","description":"The type of instrument. Note that real orders might have different values than the four values accepted by createTestOrder."}}},"UnitInvoice":{"id":"UnitInvoice","type":"object","properties":{"additionalCharges":{"type":"array","description":"Additional charges for a unit, e.g. shipping costs.","items":{"$ref":"UnitInvoiceAdditionalCharge"}},"promotions":{"type":"array","description":"Promotions applied to a unit.","items":{"$ref":"Promotion"}},"unitPricePretax":{"$ref":"Price","description":"[required] Price of the unit, before applying taxes."},"unitPriceTaxes":{"type":"array","description":"Tax amounts to apply to the unit price.","items":{"$ref":"UnitInvoiceTaxLine"}}}},"UnitInvoiceAdditionalCharge":{"id":"UnitInvoiceAdditionalCharge","type":"object","properties":{"additionalChargeAmount":{"$ref":"Amount","description":"[required] Amount of the additional charge."},"additionalChargePromotions":{"type":"array","description":"Promotions applied to the additional charge.","items":{"$ref":"Promotion"}},"type":{"type":"string","description":"[required] Type of the additional charge."}}},"UnitInvoiceTaxLine":{"id":"UnitInvoiceTaxLine","type":"object","properties":{"taxAmount":{"$ref":"Price","description":"[required] Tax amount for the tax type."},"taxName":{"type":"string","description":"Optional name of the tax type. This should only be provided if taxType is otherFeeTax."},"taxType":{"type":"string","description":"[required] Type of the tax."}}}},"resources":{"orderinvoices":{"methods":{"createchargeinvoice":{"id":"content.orderinvoices.createchargeinvoice","path":"{merchantId}/orderinvoices/{orderId}/createChargeInvoice","httpMethod":"POST","description":"Creates a charge invoice for a shipment group, and triggers a charge capture for non-facilitated payment orders.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderinvoicesCreateChargeInvoiceRequest"},"response":{"$ref":"OrderinvoicesCreateChargeInvoiceResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createrefundinvoice":{"id":"content.orderinvoices.createrefundinvoice","path":"{merchantId}/orderinvoices/{orderId}/createRefundInvoice","httpMethod":"POST","description":"Creates a refund invoice for one or more shipment groups, and triggers a refund for non-facilitated payment orders. This can only be used for line items that have previously been charged using createChargeInvoice. All amounts (except for the summary) are incremental with respect to the previous invoice.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderinvoicesCreateRefundInvoiceRequest"},"response":{"$ref":"OrderinvoicesCreateRefundInvoiceResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orderpayments":{"methods":{"notifyauthapproved":{"id":"content.orderpayments.notifyauthapproved","path":"{merchantId}/orderpayments/{orderId}/notifyAuthApproved","httpMethod":"POST","description":"Notify about successfully authorizing user's payment method for a given amount.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for for which payment authorization is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyAuthApprovedRequest"},"response":{"$ref":"OrderpaymentsNotifyAuthApprovedResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifyauthdeclined":{"id":"content.orderpayments.notifyauthdeclined","path":"{merchantId}/orderpayments/{orderId}/notifyAuthDeclined","httpMethod":"POST","description":"Notify about failure to authorize user's payment method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which payment authorization was declined.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyAuthDeclinedRequest"},"response":{"$ref":"OrderpaymentsNotifyAuthDeclinedResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifycharge":{"id":"content.orderpayments.notifycharge","path":"{merchantId}/orderpayments/{orderId}/notifyCharge","httpMethod":"POST","description":"Notify about charge on user's selected payments method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which charge is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyChargeRequest"},"response":{"$ref":"OrderpaymentsNotifyChargeResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"notifyrefund":{"id":"content.orderpayments.notifyrefund","path":"{merchantId}/orderpayments/{orderId}/notifyRefund","httpMethod":"POST","description":"Notify about refund on user's selected payments method.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order for which charge is happening.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrderpaymentsNotifyRefundRequest"},"response":{"$ref":"OrderpaymentsNotifyRefundResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}},"orders":{"methods":{"acknowledge":{"id":"content.orders.acknowledge","path":"{merchantId}/orders/{orderId}/acknowledge","httpMethod":"POST","description":"Marks an order as acknowledged.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersAcknowledgeRequest"},"response":{"$ref":"OrdersAcknowledgeResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"advancetestorder":{"id":"content.orders.advancetestorder","path":"{merchantId}/testorders/{orderId}/advance","httpMethod":"POST","description":"Sandbox only. Moves a test order from state \"inProgress\" to state \"pendingShipment\".","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the test order to modify.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"response":{"$ref":"OrdersAdvanceTestOrderResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"cancel":{"id":"content.orders.cancel","path":"{merchantId}/orders/{orderId}/cancel","httpMethod":"POST","description":"Cancels all line items in an order, making a full refund.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order to cancel.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelRequest"},"response":{"$ref":"OrdersCancelResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"cancellineitem":{"id":"content.orders.cancellineitem","path":"{merchantId}/orders/{orderId}/cancelLineItem","httpMethod":"POST","description":"Cancels a line item, making a full refund.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelLineItemRequest"},"response":{"$ref":"OrdersCancelLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"canceltestorderbycustomer":{"id":"content.orders.canceltestorderbycustomer","path":"{merchantId}/testorders/{orderId}/cancelByCustomer","httpMethod":"POST","description":"Sandbox only. Cancels a test order for customer-initiated cancellation.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the test order to cancel.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCancelTestOrderByCustomerRequest"},"response":{"$ref":"OrdersCancelTestOrderByCustomerResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createtestorder":{"id":"content.orders.createtestorder","path":"{merchantId}/testorders","httpMethod":"POST","description":"Sandbox only. Creates a test order.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that should manage the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"}},"parameterOrder":["merchantId"],"request":{"$ref":"OrdersCreateTestOrderRequest"},"response":{"$ref":"OrdersCreateTestOrderResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"createtestreturn":{"id":"content.orders.createtestreturn","path":"{merchantId}/orders/{orderId}/testreturn","httpMethod":"POST","description":"Sandbox only. Creates a test return.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersCreateTestReturnRequest"},"response":{"$ref":"OrdersCreateTestReturnResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"custombatch":{"id":"content.orders.custombatch","path":"orders/batch","httpMethod":"POST","description":"Retrieves or modifies multiple orders in a single request.","request":{"$ref":"OrdersCustomBatchRequest"},"response":{"$ref":"OrdersCustomBatchResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"get":{"id":"content.orders.get","path":"{merchantId}/orders/{orderId}","httpMethod":"GET","description":"Retrieves an order from your Merchant Center account.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"response":{"$ref":"Order"},"scopes":["https://www.googleapis.com/auth/content"]},"getbymerchantorderid":{"id":"content.orders.getbymerchantorderid","path":"{merchantId}/ordersbymerchantid/{merchantOrderId}","httpMethod":"GET","description":"Retrieves an order using merchant order id.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"merchantOrderId":{"type":"string","description":"The merchant order id to be looked for.","required":true,"location":"path"}},"parameterOrder":["merchantId","merchantOrderId"],"response":{"$ref":"OrdersGetByMerchantOrderIdResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"gettestordertemplate":{"id":"content.orders.gettestordertemplate","path":"{merchantId}/testordertemplates/{templateName}","httpMethod":"GET","description":"Sandbox only. Retrieves an order template that can be used to quickly create a new order in sandbox.","parameters":{"country":{"type":"string","description":"The country of the template to retrieve. Defaults to US.","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that should manage the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"templateName":{"type":"string","description":"The name of the template to retrieve.","required":true,"enum":["template1","template1a","template1b","template2"],"enumDescriptions":["","","",""],"location":"path"}},"parameterOrder":["merchantId","templateName"],"response":{"$ref":"OrdersGetTestOrderTemplateResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"instorerefundlineitem":{"id":"content.orders.instorerefundlineitem","path":"{merchantId}/orders/{orderId}/inStoreRefundLineItem","httpMethod":"POST","description":"Notifies that item return and refund was handled directly by merchant outside of Google payments processing (e.g. cash refund done in store).","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersInStoreRefundLineItemRequest"},"response":{"$ref":"OrdersInStoreRefundLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"list":{"id":"content.orders.list","path":"{merchantId}/orders","httpMethod":"GET","description":"Lists the orders in your Merchant Center account.","parameters":{"acknowledged":{"type":"boolean","description":"Obtains orders that match the acknowledgement status. When set to true, obtains orders that have been acknowledged. When false, obtains orders that have not been acknowledged.\nWe recommend using this filter set to false, in conjunction with the acknowledge call, such that only un-acknowledged orders are returned.","location":"query"},"maxResults":{"type":"integer","description":"The maximum number of orders to return in the response, used for paging. The default value is 25 orders per page, and the maximum allowed value is 250 orders per page.\nKnown issue: All List calls will return all Orders without limit regardless of the value of this field.","format":"uint32","location":"query"},"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderBy":{"type":"string","description":"The ordering of the returned list. The only supported value are placedDate desc and placedDate asc for now, which returns orders sorted by placement date. \"placedDate desc\" stands for listing orders by placement date, from oldest to most recent. \"placedDate asc\" stands for listing orders by placement date, from most recent to oldest. In future releases we'll support other sorting criteria.","enum":["placedDate asc","placedDate desc"],"enumDescriptions":["",""],"location":"query"},"pageToken":{"type":"string","description":"The token returned by the previous request.","location":"query"},"placedDateEnd":{"type":"string","description":"Obtains orders placed before this date (exclusively), in ISO 8601 format.","location":"query"},"placedDateStart":{"type":"string","description":"Obtains orders placed after this date (inclusively), in ISO 8601 format.","location":"query"},"statuses":{"type":"string","description":"Obtains orders that match any of the specified statuses. Multiple values can be specified with comma separation. Additionally, please note that active is a shortcut for pendingShipment and partiallyShipped, and completed is a shortcut for shipped , partiallyDelivered, delivered, partiallyReturned, returned, and canceled.","enum":["active","canceled","completed","delivered","inProgress","partiallyDelivered","partiallyReturned","partiallyShipped","pendingShipment","returned","shipped"],"enumDescriptions":["","","","","","","","","","",""],"repeated":true,"location":"query"}},"parameterOrder":["merchantId"],"response":{"$ref":"OrdersListResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"refund":{"id":"content.orders.refund","path":"{merchantId}/orders/{orderId}/refund","httpMethod":"POST","description":"Deprecated, please use returnRefundLineItem instead.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order to refund.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersRefundRequest"},"response":{"$ref":"OrdersRefundResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"rejectreturnlineitem":{"id":"content.orders.rejectreturnlineitem","path":"{merchantId}/orders/{orderId}/rejectReturnLineItem","httpMethod":"POST","description":"Rejects return on an line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersRejectReturnLineItemRequest"},"response":{"$ref":"OrdersRejectReturnLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"returnlineitem":{"id":"content.orders.returnlineitem","path":"{merchantId}/orders/{orderId}/returnLineItem","httpMethod":"POST","description":"Returns a line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersReturnLineItemRequest"},"response":{"$ref":"OrdersReturnLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"returnrefundlineitem":{"id":"content.orders.returnrefundlineitem","path":"{merchantId}/orders/{orderId}/returnRefundLineItem","httpMethod":"POST","description":"Returns and refunds a line item. Note that this method can only be called on fully shipped orders.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersReturnRefundLineItemRequest"},"response":{"$ref":"OrdersReturnRefundLineItemResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"setlineitemmetadata":{"id":"content.orders.setlineitemmetadata","path":"{merchantId}/orders/{orderId}/setLineItemMetadata","httpMethod":"POST","description":"Sets (overrides) merchant provided annotations on the line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersSetLineItemMetadataRequest"},"response":{"$ref":"OrdersSetLineItemMetadataResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"shiplineitems":{"id":"content.orders.shiplineitems","path":"{merchantId}/orders/{orderId}/shipLineItems","httpMethod":"POST","description":"Marks line item(s) as shipped.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersShipLineItemsRequest"},"response":{"$ref":"OrdersShipLineItemsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updatelineitemshippingdetails":{"id":"content.orders.updatelineitemshippingdetails","path":"{merchantId}/orders/{orderId}/updateLineItemShippingDetails","httpMethod":"POST","description":"Updates ship by and delivery by dates for a line item.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateLineItemShippingDetailsRequest"},"response":{"$ref":"OrdersUpdateLineItemShippingDetailsResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updatemerchantorderid":{"id":"content.orders.updatemerchantorderid","path":"{merchantId}/orders/{orderId}/updateMerchantOrderId","httpMethod":"POST","description":"Updates the merchant order ID for a given order.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateMerchantOrderIdRequest"},"response":{"$ref":"OrdersUpdateMerchantOrderIdResponse"},"scopes":["https://www.googleapis.com/auth/content"]},"updateshipment":{"id":"content.orders.updateshipment","path":"{merchantId}/orders/{orderId}/updateShipment","httpMethod":"POST","description":"Updates a shipment's status, carrier, and/or tracking ID.","parameters":{"merchantId":{"type":"string","description":"The ID of the account that manages the order. This cannot be a multi-client account.","required":true,"format":"uint64","location":"path"},"orderId":{"type":"string","description":"The ID of the order.","required":true,"location":"path"}},"parameterOrder":["merchantId","orderId"],"request":{"$ref":"OrdersUpdateShipmentRequest"},"response":{"$ref":"OrdersUpdateShipmentResponse"},"scopes":["https://www.googleapis.com/auth/content"]}}}}};