export default {"ownerDomain":"google.com","name":"indexing","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Indexing API","ownerName":"Google","resources":{"urlNotifications":{"methods":{"publish":{"httpMethod":"POST","parameterOrder":[],"response":{"$ref":"PublishUrlNotificationResponse"},"parameters":{},"scopes":["https://www.googleapis.com/auth/indexing"],"flatPath":"v3/urlNotifications:publish","id":"indexing.urlNotifications.publish","path":"v3/urlNotifications:publish","description":"Notifies that a URL has been updated or deleted.","request":{"$ref":"UrlNotification"}},"getMetadata":{"response":{"$ref":"UrlNotificationMetadata"},"parameterOrder":[],"httpMethod":"GET","parameters":{"url":{"location":"query","description":"URL that is being queried.","type":"string"}},"scopes":["https://www.googleapis.com/auth/indexing"],"flatPath":"v3/urlNotifications/metadata","path":"v3/urlNotifications/metadata","id":"indexing.urlNotifications.getMetadata","description":"Gets metadata about a Web Document. This method can _only_ be used to query\nURLs that were previously seen in successful Indexing API notifications.\nIncludes the latest `UrlNotification` received via this API."}}}},"parameters":{"key":{"location":"query","description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"oauth_token":{"location":"query","description":"OAuth 2.0 token for the current user.","type":"string"},"callback":{"location":"query","description":"JSONP","type":"string"},"alt":{"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response.","default":"json","enum":["json","media","proto"]}},"version":"v3","baseUrl":"https://indexing.googleapis.com/","servicePath":"","kind":"discovery#restDescription","description":"The Indexing API allows developers to share the life cycle of a Web Document with Google.","basePath":"","id":"indexing:v3","documentationLink":"https://developers.google.com/search/apis/indexing-api/","revision":"20180911","discoveryVersion":"v1","version_module":true,"schemas":{"UrlNotificationMetadata":{"properties":{"latestRemove":{"$ref":"UrlNotification","description":"Latest notification received with type `URL_REMOVED`."},"latestUpdate":{"$ref":"UrlNotification","description":"Latest notification received with type `URL_UPDATED`."},"url":{"description":"URL to which this metadata refers.","type":"string"}},"id":"UrlNotificationMetadata","description":"Summary of the most recent Indexing API notifications successfully received,\nfor a given URL.","type":"object"},"UrlNotification":{"properties":{"type":{"enum":["URL_NOTIFICATION_TYPE_UNSPECIFIED","URL_UPDATED","URL_DELETED"],"description":"The URL life cycle event that Google is being notified about.","type":"string","enumDescriptions":["Unspecified.","The given URL (Web document) has been updated.","The given URL (Web document) has been deleted."]},"url":{"description":"The object of this notification. The URL must be owned by the publisher\nof this notification and, in case of `URL_UPDATED` notifications, it _must_\nbe crawlable by Google.","type":"string"},"notifyTime":{"description":"Creation timestamp for this notification.\nUsers should _not_ specify it, the field is ignored at the request time.","format":"google-datetime","type":"string"}},"id":"UrlNotification","description":"`UrlNotification` is the resource used in all Indexing API calls.\nIt describes one event in the life cycle of a Web Document.","type":"object"},"PublishUrlNotificationResponse":{"description":"Output for PublishUrlNotification","type":"object","properties":{"urlNotificationMetadata":{"$ref":"UrlNotificationMetadata","description":"Description of the notification events received for this URL."}},"id":"PublishUrlNotificationResponse"}},"icons":{"x16":"http://www.google.com/images/icons/product/search-16.gif","x32":"http://www.google.com/images/icons/product/search-32.gif"},"protocol":"rest","canonicalName":"Indexing","auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/indexing":{"description":"Submit data to Google for indexing"}}}},"rootUrl":"https://indexing.googleapis.com/"};