export default {"auth":{"oauth2":{"scopes":{"https://www.googleapis.com/auth/cloud-platform.read-only":{"description":"View your data across Google Cloud Platform services"},"https://www.googleapis.com/auth/logging.admin":{"description":"Administrate log data for your projects"},"https://www.googleapis.com/auth/logging.read":{"description":"View log data for your projects"},"https://www.googleapis.com/auth/logging.write":{"description":"Submit log data for your projects"},"https://www.googleapis.com/auth/cloud-platform":{"description":"View and manage your data across Google Cloud Platform services"}}}},"rootUrl":"https://logging.googleapis.com/","ownerDomain":"google.com","name":"logging","batchPath":"batch","fullyEncodeReservedExpansion":true,"title":"Stackdriver Logging API","ownerName":"Google","resources":{"monitoredResourceDescriptors":{"methods":{"list":{"flatPath":"v2beta1/monitoredResourceDescriptors","path":"v2beta1/monitoredResourceDescriptors","id":"logging.monitoredResourceDescriptors.list","description":"Lists the descriptors for monitored resource types used by Logging.","response":{"$ref":"ListMonitoredResourceDescriptorsResponse"},"parameterOrder":[],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"pageToken":{"description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string","location":"query"},"pageSize":{"description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32","type":"integer","location":"query"}}}}},"organizations":{"resources":{"logs":{"methods":{"list":{"description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListLogsResponse"},"parameters":{"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32","type":"integer","location":"query"},"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","required":true,"type":"string","pattern":"^organizations/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/organizations/{organizationsId}/logs","id":"logging.organizations.logs.list","path":"v2beta1/{+parent}/logs"},"delete":{"response":{"$ref":"Empty"},"parameterOrder":["logName"],"httpMethod":"DELETE","parameters":{"logName":{"description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","required":true,"type":"string","pattern":"^organizations/[^/]+/logs/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/organizations/{organizationsId}/logs/{logsId}","path":"v2beta1/{+logName}","id":"logging.organizations.logs.delete","description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted."}}}}},"entries":{"methods":{"list":{"path":"v2beta1/entries:list","id":"logging.entries.list","description":"Lists log entries. Use this method to retrieve log entries from Logging. For ways to export log entries, see Exporting Logs.","request":{"$ref":"ListLogEntriesRequest"},"response":{"$ref":"ListLogEntriesResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/entries:list"},"write":{"path":"v2beta1/entries:write","id":"logging.entries.write","description":"Writes log entries to Logging. This API method is the only way to send log entries to Logging. This method is used, directly or indirectly, by the Logging agent (fluentd) and all logging libraries configured to use Logging. A single request may contain log entries for a maximum of 1000 different resources (projects, organizations, billing accounts or folders)","request":{"$ref":"WriteLogEntriesRequest"},"response":{"$ref":"WriteLogEntriesResponse"},"parameterOrder":[],"httpMethod":"POST","parameters":{},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"flatPath":"v2beta1/entries:write"}}},"projects":{"resources":{"logs":{"methods":{"delete":{"response":{"$ref":"Empty"},"parameterOrder":["logName"],"httpMethod":"DELETE","parameters":{"logName":{"location":"path","description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","required":true,"type":"string","pattern":"^projects/[^/]+/logs/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/projects/{projectsId}/logs/{logsId}","path":"v2beta1/{+logName}","id":"logging.projects.logs.delete","description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted."},"list":{"response":{"$ref":"ListLogsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"type":"integer","location":"query","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32"},"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/projects/{projectsId}/logs","path":"v2beta1/{+parent}/logs","id":"logging.projects.logs.list","description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed."}}},"sinks":{"methods":{"create":{"httpMethod":"POST","parameterOrder":["parent"],"response":{"$ref":"LogSink"},"parameters":{"parent":{"required":true,"type":"string","pattern":"^projects/[^/]+$","location":"path","description":"Required. The resource in which to create the sink:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\nExamples: \"projects/my-logging-project\", \"organizations/123456789\"."},"uniqueWriterIdentity":{"location":"query","description":"Optional. Determines the kind of IAM identity returned as writer_identity in the new sink. If this value is omitted or set to false, and if the sink's parent is a project, then the value returned as writer_identity is the same group or service account used by Logging before the addition of writer identities to this API. The sink's destination must be in the same project as the sink itself.If this field is set to true, or if the sink is owned by a non-project resource such as an organization, then the value of writer_identity will be a unique service account used only for exports from the new sink. For more information, see writer_identity in LogSink.","type":"boolean"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/projects/{projectsId}/sinks","id":"logging.projects.sinks.create","path":"v2beta1/{+parent}/sinks","description":"Creates a sink that exports specified log entries to a destination. The export of newly-ingested log entries begins immediately, unless the sink's writer_identity is not permitted to write to the destination. A sink can export log entries only from the resource owning the sink.","request":{"$ref":"LogSink"}},"delete":{"response":{"$ref":"Empty"},"parameterOrder":["sinkName"],"httpMethod":"DELETE","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"parameters":{"sinkName":{"pattern":"^projects/[^/]+/sinks/[^/]+$","location":"path","description":"Required. The full resource name of the sink to delete, including the parent resource and the sink identifier:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\".","required":true,"type":"string"}},"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}","path":"v2beta1/{+sinkName}","id":"logging.projects.sinks.delete","description":"Deletes a sink. If the sink has a unique writer_identity, then that service account is also deleted."},"list":{"description":"Lists sinks.","response":{"$ref":"ListSinksResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"pageToken":{"description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string","location":"query"},"pageSize":{"description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32","type":"integer","location":"query"},"parent":{"location":"path","description":"Required. The parent resource whose sinks are to be listed:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","required":true,"type":"string","pattern":"^projects/[^/]+$"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/projects/{projectsId}/sinks","path":"v2beta1/{+parent}/sinks","id":"logging.projects.sinks.list"},"get":{"response":{"$ref":"LogSink"},"parameterOrder":["sinkName"],"httpMethod":"GET","parameters":{"sinkName":{"description":"Required. The resource name of the sink:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\".","required":true,"type":"string","pattern":"^projects/[^/]+/sinks/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}","path":"v2beta1/{+sinkName}","id":"logging.projects.sinks.get","description":"Gets a sink."},"update":{"httpMethod":"PUT","parameterOrder":["sinkName"],"response":{"$ref":"LogSink"},"parameters":{"sinkName":{"description":"Required. The full resource name of the sink to update, including the parent resource and the sink identifier:\n\"projects/[PROJECT_ID]/sinks/[SINK_ID]\"\n\"organizations/[ORGANIZATION_ID]/sinks/[SINK_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/sinks/[SINK_ID]\"\n\"folders/[FOLDER_ID]/sinks/[SINK_ID]\"\nExample: \"projects/my-project-id/sinks/my-sink-id\".","required":true,"type":"string","pattern":"^projects/[^/]+/sinks/[^/]+$","location":"path"},"uniqueWriterIdentity":{"location":"query","description":"Optional. See sinks.create for a description of this field. When updating a sink, the effect of this field on the value of writer_identity in the updated sink depends on both the old and new values of this field:\nIf the old and new values of this field are both false or both true, then there is no change to the sink's writer_identity.\nIf the old value is false and the new value is true, then writer_identity is changed to a unique service account.\nIt is an error if the old value is true and the new value is set to false or defaulted to false.","type":"boolean"},"updateMask":{"description":"Optional. Field mask that specifies the fields in sink that need an update. A sink field will be overwritten if, and only if, it is in the update mask. name and output only fields cannot be updated.An empty updateMask is temporarily treated as using the following mask for backwards compatibility purposes:  destination,filter,includeChildren At some point in the future, behavior will be removed and specifying an empty updateMask will be an error.For a detailed FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#FieldMaskExample: updateMask=filter.","format":"google-fieldmask","type":"string","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/projects/{projectsId}/sinks/{sinksId}","id":"logging.projects.sinks.update","path":"v2beta1/{+sinkName}","description":"Updates a sink. This method replaces the following fields in the existing sink with values from the new sink: destination, and filter. The updated sink might also have a new writer_identity; see the unique_writer_identity field.","request":{"$ref":"LogSink"}}}},"metrics":{"methods":{"delete":{"response":{"$ref":"Empty"},"parameterOrder":["metricName"],"httpMethod":"DELETE","parameters":{"metricName":{"pattern":"^projects/[^/]+/metrics/[^/]+$","location":"path","description":"The resource name of the metric to delete:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\n","required":true,"type":"string"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","path":"v2beta1/{+metricName}","id":"logging.projects.metrics.delete","description":"Deletes a logs-based metric."},"list":{"description":"Lists logs-based metrics.","httpMethod":"GET","parameterOrder":["parent"],"response":{"$ref":"ListLogMetricsResponse"},"parameters":{"parent":{"location":"path","description":"Required. The name of the project containing the metrics:\n\"projects/[PROJECT_ID]\"\n","required":true,"type":"string","pattern":"^projects/[^/]+$"},"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32","type":"integer","location":"query"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/projects/{projectsId}/metrics","id":"logging.projects.metrics.list","path":"v2beta1/{+parent}/metrics"},"get":{"response":{"$ref":"LogMetric"},"parameterOrder":["metricName"],"httpMethod":"GET","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"parameters":{"metricName":{"pattern":"^projects/[^/]+/metrics/[^/]+$","location":"path","description":"The resource name of the desired metric:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\n","required":true,"type":"string"}},"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","path":"v2beta1/{+metricName}","id":"logging.projects.metrics.get","description":"Gets a logs-based metric."},"update":{"request":{"$ref":"LogMetric"},"description":"Creates or updates a logs-based metric.","response":{"$ref":"LogMetric"},"parameterOrder":["metricName"],"httpMethod":"PUT","scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"parameters":{"metricName":{"pattern":"^projects/[^/]+/metrics/[^/]+$","location":"path","description":"The resource name of the metric to update:\n\"projects/[PROJECT_ID]/metrics/[METRIC_ID]\"\nThe updated metric must be provided in the request and it's name field must be the same as [METRIC_ID] If the metric does not exist in [PROJECT_ID], then a new metric is created.","required":true,"type":"string"}},"flatPath":"v2beta1/projects/{projectsId}/metrics/{metricsId}","path":"v2beta1/{+metricName}","id":"logging.projects.metrics.update"},"create":{"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.write"],"parameters":{"parent":{"location":"path","description":"The resource name of the project in which to create the metric:\n\"projects/[PROJECT_ID]\"\nThe new metric must be provided in the request.","required":true,"type":"string","pattern":"^projects/[^/]+$"}},"flatPath":"v2beta1/projects/{projectsId}/metrics","path":"v2beta1/{+parent}/metrics","id":"logging.projects.metrics.create","request":{"$ref":"LogMetric"},"description":"Creates a logs-based metric.","response":{"$ref":"LogMetric"},"parameterOrder":["parent"],"httpMethod":"POST"}}}}},"billingAccounts":{"resources":{"logs":{"methods":{"list":{"description":"Lists the logs in projects, organizations, folders, or billing accounts. Only logs that have entries are listed.","response":{"$ref":"ListLogsResponse"},"parameterOrder":["parent"],"httpMethod":"GET","parameters":{"parent":{"description":"Required. The resource name that owns the logs:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\n","required":true,"type":"string","pattern":"^billingAccounts/[^/]+$","location":"path"},"pageToken":{"location":"query","description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"location":"query","description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.","format":"int32","type":"integer"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/cloud-platform.read-only","https://www.googleapis.com/auth/logging.admin","https://www.googleapis.com/auth/logging.read"],"flatPath":"v2beta1/billingAccounts/{billingAccountsId}/logs","path":"v2beta1/{+parent}/logs","id":"logging.billingAccounts.logs.list"},"delete":{"description":"Deletes all the log entries in a log. The log reappears if it receives new entries. Log entries written shortly before the delete operation might not be deleted.","httpMethod":"DELETE","parameterOrder":["logName"],"response":{"$ref":"Empty"},"parameters":{"logName":{"description":"Required. The resource name of the log to delete:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example, \"projects/my-project-id/logs/syslog\", \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". For more information about log names, see LogEntry.","required":true,"type":"string","pattern":"^billingAccounts/[^/]+/logs/[^/]+$","location":"path"}},"scopes":["https://www.googleapis.com/auth/cloud-platform","https://www.googleapis.com/auth/logging.admin"],"flatPath":"v2beta1/billingAccounts/{billingAccountsId}/logs/{logsId}","id":"logging.billingAccounts.logs.delete","path":"v2beta1/{+logName}"}}}}}},"parameters":{"key":{"description":"API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.","type":"string","location":"query"},"access_token":{"description":"OAuth access token.","type":"string","location":"query"},"upload_protocol":{"location":"query","description":"Upload protocol for media (e.g. \"raw\", \"multipart\").","type":"string"},"quotaUser":{"description":"Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.","type":"string","location":"query"},"prettyPrint":{"location":"query","description":"Returns response with indentations and line breaks.","type":"boolean","default":"true"},"uploadType":{"location":"query","description":"Legacy upload protocol for media (e.g. \"media\", \"multipart\").","type":"string"},"fields":{"description":"Selector specifying which fields to include in a partial response.","type":"string","location":"query"},"callback":{"location":"query","description":"JSONP","type":"string"},"oauth_token":{"type":"string","location":"query","description":"OAuth 2.0 token for the current user."},"$.xgafv":{"description":"V1 error format.","type":"string","enumDescriptions":["v1 error format","v2 error format"],"location":"query","enum":["1","2"]},"alt":{"default":"json","enum":["json","media","proto"],"type":"string","enumDescriptions":["Responses with Content-Type of application/json","Media download with context-dependent Content-Type","Responses with Content-Type of application/x-protobuf"],"location":"query","description":"Data format for response."}},"version":"v2beta1","baseUrl":"https://logging.googleapis.com/","servicePath":"","description":"Writes log entries and manages your Logging configuration.","kind":"discovery#restDescription","basePath":"","documentationLink":"https://cloud.google.com/logging/docs/","id":"logging:v2beta1","revision":"20180908","discoveryVersion":"v1","version_module":true,"schemas":{"Linear":{"description":"Specifies a linear sequence of buckets that all have the same width (except overflow and underflow). Each bucket represents a constant absolute uncertainty on the specific value in the bucket.There are num_finite_buckets + 2 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): offset + (width * i).  Lower bound (1 <= i < N): offset + (width * (i - 1)).","type":"object","properties":{"width":{"description":"Must be greater than 0.","format":"double","type":"number"},"offset":{"description":"Lower bound of the first bucket.","format":"double","type":"number"},"numFiniteBuckets":{"description":"Must be greater than 0.","format":"int32","type":"integer"}},"id":"Linear"},"Empty":{"description":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:\nservice Foo {\n  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);\n}\nThe JSON representation for Empty is empty JSON object {}.","type":"object","properties":{},"id":"Empty"},"SourceLocation":{"properties":{"line":{"description":"Line within the source file.","format":"int64","type":"string"},"file":{"type":"string","description":"Source file name. Depending on the runtime environment, this might be a simple name or a fully-qualified name."},"functionName":{"description":"Human-readable name of the function or method being invoked, with optional context such as the class or package name. This information is used in contexts such as the logs viewer, where a file and line number are less meaningful. The format can vary by language. For example: qual.if.ied.Class.method (Java), dir/package.func (Go), function (Python).","type":"string"}},"id":"SourceLocation","description":"Specifies a location in a source code file.","type":"object"},"ListLogEntriesRequest":{"description":"The parameters to ListLogEntries.","type":"object","properties":{"pageToken":{"description":"Optional. If present, then retrieve the next batch of results from the preceding call to this method. page_token must be the value of next_page_token from the previous response. The values of other method parameters should be identical to those in the previous call.","type":"string"},"pageSize":{"description":"Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of next_page_token in the response indicates that more results might be available.","format":"int32","type":"integer"},"orderBy":{"type":"string","description":"Optional. How the results should be sorted. Presently, the only permitted values are \"timestamp asc\" (default) and \"timestamp desc\". The first option returns entries in order of increasing values of LogEntry.timestamp (oldest first), and the second option returns entries in order of decreasing timestamps (newest first). Entries with equal timestamps are returned in order of their insert_id values."},"resourceNames":{"description":"Required. Names of one or more parent resources from which to retrieve log entries:\n\"projects/[PROJECT_ID]\"\n\"organizations/[ORGANIZATION_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]\"\n\"folders/[FOLDER_ID]\"\nProjects listed in the project_ids field are added to this list.","type":"array","items":{"type":"string"}},"projectIds":{"description":"Deprecated. Use resource_names instead. One or more project identifiers or project numbers from which to retrieve log entries. Example: \"my-project-1A\". If present, these project identifiers are converted to resource name format and added to the list of resources in resource_names.","type":"array","items":{"type":"string"}},"filter":{"description":"Optional. A filter that chooses which log entries to return. See Advanced Logs Filters. Only log entries that match the filter are returned. An empty filter matches all log entries in the resources listed in resource_names. Referencing a parent resource that is not listed in resource_names will cause the filter to return no results. The maximum length of the filter is 20000 characters.","type":"string"}},"id":"ListLogEntriesRequest"},"Explicit":{"id":"Explicit","description":"Specifies a set of buckets with arbitrary widths.There are size(bounds) + 1 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): boundsi  Lower bound (1 <= i < N); boundsi - 1The bounds field must contain at least one element. If bounds has only one element, then there are no finite buckets, and that single element is the common boundary of the overflow and underflow buckets.","type":"object","properties":{"bounds":{"type":"array","items":{"format":"double","type":"number"},"description":"The values must be monotonically increasing."}}},"SourceReference":{"description":"A reference to a particular snapshot of the source tree used to build and deploy an application.","type":"object","properties":{"revisionId":{"description":"The canonical and persistent identifier of the deployed revision. Example (git): \"0035781c50ec7aa23385dc841529ce8a4b70db1b\"","type":"string"},"repository":{"description":"Optional. A URI string identifying the repository. Example: \"https://github.com/GoogleCloudPlatform/kubernetes.git\"","type":"string"}},"id":"SourceReference"},"WriteLogEntriesResponse":{"description":"Result returned from WriteLogEntries. empty","type":"object","properties":{},"id":"WriteLogEntriesResponse"},"Exponential":{"id":"Exponential","description":"Specifies an exponential sequence of buckets that have a width that is proportional to the value of the lower bound. Each bucket represents a constant relative uncertainty on a specific value in the bucket.There are num_finite_buckets + 2 (= N) buckets. Bucket i has the following boundaries:Upper bound (0 <= i < N-1): scale * (growth_factor ^ i).  Lower bound (1 <= i < N): scale * (growth_factor ^ (i - 1)).","type":"object","properties":{"growthFactor":{"description":"Must be greater than 1.","format":"double","type":"number"},"scale":{"description":"Must be greater than 0.","format":"double","type":"number"},"numFiniteBuckets":{"type":"integer","description":"Must be greater than 0.","format":"int32"}}},"WriteLogEntriesRequest":{"description":"The parameters to WriteLogEntries.","type":"object","properties":{"logName":{"description":"Optional. A default log resource name that is assigned to all log entries in entries that do not specify a value for log_name:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\n[LOG_ID] must be URL-encoded. For example:\n\"projects/my-project-id/logs/syslog\"\n\"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\"\nThe permission <code>logging.logEntries.create</code> is needed on each project, organization, billing account, or folder that is receiving new log entries, whether the resource is specified in <code>logName</code> or in an individual log entry.","type":"string"},"entries":{"description":"Required. The log entries to send to Logging. The order of log entries in this list does not matter. Values supplied in this method's log_name, resource, and labels fields are copied into those log entries in this list that do not include values for their corresponding fields. For more information, see the LogEntry type.If the timestamp or insert_id fields are missing in log entries, then this method supplies the current time or a unique identifier, respectively. The supplied values are chosen so that, among the log entries that did not supply their own values, the entries earlier in the list will sort before the entries later in the list. See the entries.list method.Log entries with timestamps that are more than the logs retention period in the past or more than 24 hours in the future will not be available when calling entries.list. However, those log entries can still be exported with LogSinks.To improve throughput and to avoid exceeding the quota limit for calls to entries.write, you should try to include several log entries in this list, rather than calling this method for each individual log entry.","type":"array","items":{"$ref":"LogEntry"}},"partialSuccess":{"description":"Optional. Whether valid entries should be written even if some other entries fail due to INVALID_ARGUMENT or PERMISSION_DENIED errors. If any entry is not written, then the response status is the error associated with one of the failed entries and the response includes error details keyed by the entries' zero-based index in the entries.write method.","type":"boolean"},"dryRun":{"description":"Optional. If true, the request should expect normal response, but the entries won't be persisted nor exported. Useful for checking whether the logging API endpoints are working properly before sending valuable data.","type":"boolean"},"labels":{"additionalProperties":{"type":"string"},"description":"Optional. Default labels that are added to the labels field of all log entries in entries. If a log entry already has a label with the same key as a label in this parameter, then the log entry's label is not changed. See LogEntry.","type":"object"},"resource":{"description":"Optional. A default monitored resource object that is assigned to all log entries in entries that do not specify a value for resource. Example:\n{ \"type\": \"gce_instance\",\n  \"labels\": {\n    \"zone\": \"us-central1-a\", \"instance_id\": \"00000000000000000000\" }}\nSee LogEntry.","$ref":"MonitoredResource"}},"id":"WriteLogEntriesRequest"},"LabelDescriptor":{"id":"LabelDescriptor","description":"A description of a label.","type":"object","properties":{"key":{"description":"The label key.","type":"string"},"description":{"description":"A human-readable description for the label.","type":"string"},"valueType":{"description":"The type of data that can be assigned to the label.","type":"string","enumDescriptions":["A variable-length string. This is the default.","Boolean; true or false.","A 64-bit signed integer."],"enum":["STRING","BOOL","INT64"]}}},"MonitoredResourceMetadata":{"description":"Auxiliary metadata for a MonitoredResource object. MonitoredResource objects contain the minimum set of information to uniquely identify a monitored resource instance. There is some other useful auxiliary metadata. Monitoring and Logging use an ingestion pipeline to extract metadata for cloud resources of all types, and store the metadata in this message.","type":"object","properties":{"systemLabels":{"additionalProperties":{"description":"Properties of the object.","type":"any"},"description":"Output only. Values for predefined system metadata labels. System labels are a kind of metadata extracted by Google, including \"machine_image\", \"vpc\", \"subnet_id\", \"security_group\", \"name\", etc. System label values can be only strings, Boolean values, or a list of strings. For example:\n{ \"name\": \"my-test-instance\",\n  \"security_group\": [\"a\", \"b\", \"c\"],\n  \"spot_instance\": false }\n","type":"object"},"userLabels":{"additionalProperties":{"type":"string"},"description":"Output only. A map of user-defined metadata labels.","type":"object"}},"id":"MonitoredResourceMetadata"},"BucketOptions":{"description":"BucketOptions describes the bucket boundaries used to create a histogram for the distribution. The buckets can be in a linear sequence, an exponential sequence, or each bucket can be specified explicitly. BucketOptions does not include the number of values in each bucket.A bucket has an inclusive lower bound and exclusive upper bound for the values that are counted for that bucket. The upper bound of a bucket must be strictly greater than the lower bound. The sequence of N buckets for a distribution consists of an underflow bucket (number 0), zero or more finite buckets (number 1 through N - 2) and an overflow bucket (number N - 1). The buckets are contiguous: the lower bound of bucket i (i > 0) is the same as the upper bound of bucket i - 1. The buckets span the whole range of finite values: lower bound of the underflow bucket is -infinity and the upper bound of the overflow bucket is +infinity. The finite buckets are so-called because both bounds are finite.","type":"object","properties":{"exponentialBuckets":{"description":"The exponential buckets.","$ref":"Exponential"},"linearBuckets":{"description":"The linear bucket.","$ref":"Linear"},"explicitBuckets":{"$ref":"Explicit","description":"The explicit buckets."}},"id":"BucketOptions"},"ListLogMetricsResponse":{"id":"ListLogMetricsResponse","description":"Result returned from ListLogMetrics.","type":"object","properties":{"nextPageToken":{"type":"string","description":"If there might be more results than appear in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken."},"metrics":{"description":"A list of logs-based metrics.","type":"array","items":{"$ref":"LogMetric"}}}},"MetricDescriptor":{"description":"Defines a metric type and its schema. Once a metric descriptor is created, deleting or altering it stops data collection and makes the metric type's existing data unusable.","type":"object","properties":{"name":{"description":"The resource name of the metric descriptor.","type":"string"},"type":{"description":"The metric type, including its DNS name prefix. The type is not URL-encoded. All user-defined metric types have the DNS name custom.googleapis.com or external.googleapis.com. Metric types should use a natural hierarchical grouping. For example:\n\"custom.googleapis.com/invoice/paid/amount\"\n\"external.googleapis.com/prometheus/up\"\n\"appengine.googleapis.com/http/server/response_latencies\"\n","type":"string"},"metadata":{"$ref":"MetricDescriptorMetadata","description":"Optional. Metadata which can be used to guide usage of the metric."},"valueType":{"description":"Whether the measurement is an integer, a floating-point number, etc. Some combinations of metric_kind and value_type might not be supported.","type":"string","enumDescriptions":["Do not use this default value.","The value is a boolean. This value type can be used only if the metric kind is GAUGE.","The value is a signed 64-bit integer.","The value is a double precision floating point number.","The value is a text string. This value type can be used only if the metric kind is GAUGE.","The value is a Distribution.","The value is money."],"enum":["VALUE_TYPE_UNSPECIFIED","BOOL","INT64","DOUBLE","STRING","DISTRIBUTION","MONEY"]},"metricKind":{"description":"Whether the metric records instantaneous values, changes to a value, etc. Some combinations of metric_kind and value_type might not be supported.","type":"string","enumDescriptions":["Do not use this default value.","An instantaneous measurement of a value.","The change in a value during a time interval.","A value accumulated over a time interval. Cumulative measurements in a time series should have the same start time and increasing end times, until an event resets the cumulative value to zero and sets a new start time for the following points."],"enum":["METRIC_KIND_UNSPECIFIED","GAUGE","DELTA","CUMULATIVE"]},"displayName":{"description":"A concise name for the metric, which can be displayed in user interfaces. Use sentence case without an ending period, for example \"Request count\". This field is optional but it is recommended to be set for any metrics associated with user-visible concepts, such as Quota.","type":"string"},"description":{"description":"A detailed description of the metric, which can be used in documentation.","type":"string"},"unit":{"description":"The unit in which the metric value is reported. It is only applicable if the value_type is INT64, DOUBLE, or DISTRIBUTION. The supported units are a subset of The Unified Code for Units of Measure (http://unitsofmeasure.org/ucum.html) standard:Basic units (UNIT)\nbit bit\nBy byte\ns second\nmin minute\nh hour\nd dayPrefixes (PREFIX)\nk kilo (10**3)\nM mega (10**6)\nG giga (10**9)\nT tera (10**12)\nP peta (10**15)\nE exa (10**18)\nZ zetta (10**21)\nY yotta (10**24)\nm milli (10**-3)\nu micro (10**-6)\nn nano (10**-9)\np pico (10**-12)\nf femto (10**-15)\na atto (10**-18)\nz zepto (10**-21)\ny yocto (10**-24)\nKi kibi (2**10)\nMi mebi (2**20)\nGi gibi (2**30)\nTi tebi (2**40)GrammarThe grammar also includes these connectors:\n/ division (as an infix operator, e.g. 1/s).\n. multiplication (as an infix operator, e.g. GBy.d)The grammar for a unit is as follows:\nExpression = Component { \".\" Component } { \"/\" Component } ;\n\nComponent = ( [ PREFIX ] UNIT | \"%\" ) [ Annotation ]\n          | Annotation\n          | \"1\"\n          ;\n\nAnnotation = \"{\" NAME \"}\" ;\nNotes:\nAnnotation is just a comment if it follows a UNIT and is  equivalent to 1 if it is used alone. For examples,  {requests}/s == 1/s, By{transmitted}/s == By/s.\nNAME is a sequence of non-blank printable ASCII characters not  containing '{' or '}'.\n1 represents dimensionless value 1, such as in 1/s.\n% represents dimensionless value 1/100, and annotates values giving  a percentage.","type":"string"},"labels":{"type":"array","items":{"$ref":"LabelDescriptor"},"description":"The set of labels that can be used to describe a specific instance of this metric type. For example, the appengine.googleapis.com/http/server/response_latencies metric type has a label for the HTTP response code, response_code, so you can look at latencies for successful responses or just for responses that failed."}},"id":"MetricDescriptor"},"LogEntry":{"id":"LogEntry","description":"An individual entry in a log.","type":"object","properties":{"textPayload":{"type":"string","description":"The log entry payload, represented as a Unicode string (UTF-8)."},"metadata":{"$ref":"MonitoredResourceMetadata","description":"Output only. Additional metadata about the monitored resource. Only k8s_container, k8s_pod, and k8s_node MonitoredResources have this field populated."},"protoPayload":{"type":"object","additionalProperties":{"description":"Properties of the object. Contains field @type with type URL.","type":"any"},"description":"The log entry payload, represented as a protocol buffer. Some Google Cloud Platform services use this field for their log entry payloads."},"labels":{"additionalProperties":{"type":"string"},"description":"Optional. A set of user-defined (key, value) data that provides additional information about the log entry.","type":"object"},"trace":{"type":"string","description":"Optional. Resource name of the trace associated with the log entry, if any. If it contains a relative resource name, the name is assumed to be relative to //tracing.googleapis.com. Example: projects/my-projectid/traces/06796866738c859f2f19b7cfb3214824"},"severity":{"enumDescriptions":["(0) The log entry has no assigned severity level.","(100) Debug or trace information.","(200) Routine information, such as ongoing status or performance.","(300) Normal but significant events, such as start up, shut down, or a configuration change.","(400) Warning events might cause problems.","(500) Error events are likely to cause problems.","(600) Critical events cause more severe problems or outages.","(700) A person must take an action immediately.","(800) One or more systems are unusable."],"enum":["DEFAULT","DEBUG","INFO","NOTICE","WARNING","ERROR","CRITICAL","ALERT","EMERGENCY"],"description":"Optional. The severity of the log entry. The default value is LogSeverity.DEFAULT.","type":"string"},"sourceLocation":{"$ref":"LogEntrySourceLocation","description":"Optional. Source code location information associated with the log entry, if any."},"spanId":{"description":"Optional. The span ID within the trace associated with the log entry. For Trace spans, this is the same format that the Trace API v2 uses: a 16-character hexadecimal encoding of an 8-byte array, such as <code>\"000000000000004a\"</code>.","type":"string"},"timestamp":{"description":"Optional. The time the event described by the log entry occurred. This time is used to compute the log entry's age and to enforce the logs retention period. If this field is omitted in a new log entry, then Logging assigns it the current time. Timestamps have nanosecond accuracy, but trailing zeros in the fractional seconds might be omitted when the timestamp is displayed.Incoming log entries should have timestamps that are no more than the logs retention period in the past, and no more than 24 hours in the future. Log entries outside those time boundaries will not be available when calling entries.list, but those log entries can still be exported with LogSinks.","format":"google-datetime","type":"string"},"receiveTimestamp":{"type":"string","description":"Output only. The time the log entry was received by Logging.","format":"google-datetime"},"logName":{"description":"Required. The resource name of the log to which this log entry belongs:\n\"projects/[PROJECT_ID]/logs/[LOG_ID]\"\n\"organizations/[ORGANIZATION_ID]/logs/[LOG_ID]\"\n\"billingAccounts/[BILLING_ACCOUNT_ID]/logs/[LOG_ID]\"\n\"folders/[FOLDER_ID]/logs/[LOG_ID]\"\nA project number may optionally be used in place of PROJECT_ID. The  project number is translated to its corresponding PROJECT_ID internally  and the log_name field will contain PROJECT_ID in queries and exports.[LOG_ID] must be URL-encoded within log_name. Example: \"organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity\". [LOG_ID] must be less than 512 characters long and can only include the following characters: upper and lower case alphanumeric characters, forward-slash, underscore, hyphen, and period.For backward compatibility, if log_name begins with a forward-slash, such as /projects/..., then the log entry is ingested as usual but the forward-slash is removed. Listing the log entry will not show the leading slash and filtering for a log name with a leading slash will never return any results.","type":"string"},"resource":{"$ref":"MonitoredResource","description":"Required. The primary monitored resource associated with this log entry. Example: a log entry that reports a database error would be associated with the monitored resource designating the particular database that reported the error."},"httpRequest":{"description":"Optional. Information about the HTTP request associated with this log entry, if applicable.","$ref":"HttpRequest"},"jsonPayload":{"type":"object","additionalProperties":{"description":"Properties of the object.","type":"any"},"description":"The log entry payload, represented as a structure that is expressed as a JSON object."},"insertId":{"description":"Optional. A unique identifier for the log entry. If you provide a value, then Logging considers other log entries in the same project, with the same timestamp, and with the same insert_id to be duplicates which can be removed. If omitted in new log entries, then Logging assigns its own unique identifier. The insert_id is also used to order log entries that have the same timestamp value.","type":"string"},"operation":{"$ref":"LogEntryOperation","description":"Optional. Information about an operation associated with the log entry, if applicable."}}},"RequestLog":{"description":"Complete log information about a single HTTP request to an App Engine application.","type":"object","properties":{"ip":{"description":"Origin IP address.","type":"string"},"appId":{"description":"Application that handled this request.","type":"string"},"appEngineRelease":{"description":"App Engine release version.","type":"string"},"method":{"description":"Request method. Example: \"GET\", \"HEAD\", \"PUT\", \"POST\", \"DELETE\".","type":"string"},"cost":{"description":"An indication of the relative cost of serving this request.","format":"double","type":"number"},"instanceId":{"description":"An identifier for the instance that handled the request.","type":"string"},"megaCycles":{"description":"Number of CPU megacycles used to process request.","format":"int64","type":"string"},"first":{"description":"Whether this is the first RequestLog entry for this request. If an active request has several RequestLog entries written to Stackdriver Logging, then this field will be set for one of them.","type":"boolean"},"versionId":{"description":"Version of the application that handled this request.","type":"string"},"moduleId":{"description":"Module of the application that handled this request.","type":"string"},"endTime":{"description":"Time when the request finished.","format":"google-datetime","type":"string"},"userAgent":{"description":"User agent that made the request.","type":"string"},"wasLoadingRequest":{"description":"Whether this was a loading request for the instance.","type":"boolean"},"sourceReference":{"description":"Source code for the application that handled this request. There can be more than one source reference per deployed application if source code is distributed among multiple repositories.","type":"array","items":{"$ref":"SourceReference"}},"responseSize":{"description":"Size in bytes sent back to client by request.","format":"int64","type":"string"},"traceId":{"description":"Stackdriver Trace identifier for this request.","type":"string"},"traceSampled":{"description":"If true, the value in the 'trace_id' field was sampled for storage in a trace backend.","type":"boolean"},"line":{"description":"A list of log lines emitted by the application while serving this request.","type":"array","items":{"$ref":"LogLine"}},"taskQueueName":{"description":"Queue name of the request, in the case of an offline request.","type":"string"},"referrer":{"description":"Referrer URL of request.","type":"string"},"requestId":{"description":"Globally unique identifier for a request, which is based on the request start time. Request IDs for requests which started later will compare greater as strings than those for requests which started earlier.","type":"string"},"nickname":{"description":"The logged-in user who made the request.Most likely, this is the part of the user's email before the @ sign. The field value is the same for different requests from the same user, but different users can have similar names. This information is also available to the application via the App Engine Users API.This field will be populated starting with App Engine 1.9.21.","type":"string"},"status":{"description":"HTTP response status code. Example: 200, 404.","format":"int32","type":"integer"},"resource":{"description":"Contains the path and query portion of the URL that was requested. For example, if the URL was \"http://example.com/app?name=val\", the resource would be \"/app?name=val\". The fragment identifier, which is identified by the # character, is not included.","type":"string"},"pendingTime":{"description":"Time this request spent in the pending request queue.","format":"google-duration","type":"string"},"taskName":{"description":"Task name of the request, in the case of an offline request.","type":"string"},"urlMapEntry":{"type":"string","description":"File or class that handled the request."},"instanceIndex":{"description":"If the instance processing this request belongs to a manually scaled module, then this is the 0-based index of the instance. Otherwise, this value is -1.","format":"int32","type":"integer"},"finished":{"description":"Whether this request is finished or active.","type":"boolean"},"host":{"description":"Internet host and port number of the resource being requested.","type":"string"},"httpVersion":{"description":"HTTP version of request. Example: \"HTTP/1.1\".","type":"string"},"startTime":{"description":"Time when the request started.","format":"google-datetime","type":"string"},"latency":{"description":"Latency of the request.","format":"google-duration","type":"string"}},"id":"RequestLog"},"ListMonitoredResourceDescriptorsResponse":{"description":"Result returned from ListMonitoredResourceDescriptors.","type":"object","properties":{"resourceDescriptors":{"description":"A list of resource descriptors.","type":"array","items":{"$ref":"MonitoredResourceDescriptor"}},"nextPageToken":{"description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.","type":"string"}},"id":"ListMonitoredResourceDescriptorsResponse"},"MetricDescriptorMetadata":{"description":"Additional annotations that can be used to guide the usage of a metric.","type":"object","properties":{"ingestDelay":{"description":"The delay of data points caused by ingestion. Data points older than this age are guaranteed to be ingested and available to be read, excluding data loss due to errors.","format":"google-duration","type":"string"},"launchStage":{"enumDescriptions":["Do not use this default value.","Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.","Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects whitelisted. Alpha releases don’t have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.","Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.","GA features are open to all developers and are considered stable and fully qualified for production use.","Deprecated features are scheduled to be shut down and removed. For more information, see the “Deprecation Policy” section of our Terms of Service (https://cloud.google.com/terms/) and the Google Cloud Platform Subject to the Deprecation Policy (https://cloud.google.com/terms/deprecation) documentation."],"enum":["LAUNCH_STAGE_UNSPECIFIED","EARLY_ACCESS","ALPHA","BETA","GA","DEPRECATED"],"description":"The launch stage of the metric definition.","type":"string"},"samplePeriod":{"description":"The sampling period of metric data points. For metrics which are written periodically, consecutive data points are stored at this time interval, excluding data loss due to errors. Metrics with a higher granularity have a smaller sampling period.","format":"google-duration","type":"string"}},"id":"MetricDescriptorMetadata"},"LogEntryOperation":{"properties":{"last":{"description":"Optional. Set this to True if this is the last log entry in the operation.","type":"boolean"},"id":{"description":"Optional. An arbitrary operation identifier. Log entries with the same identifier are assumed to be part of the same operation.","type":"string"},"producer":{"description":"Optional. An arbitrary producer identifier. The combination of id and producer must be globally unique. Examples for producer: \"MyDivision.MyBigCompany.com\", \"github.com/MyProject/MyApplication\".","type":"string"},"first":{"description":"Optional. Set this to True if this is the first log entry in the operation.","type":"boolean"}},"id":"LogEntryOperation","description":"Additional information about a potentially long-running operation with which a log entry is associated.","type":"object"},"LogMetric":{"description":"Describes a logs-based metric. The value of the metric is the number of log entries that match a logs filter in a given time interval.Logs-based metric can also be used to extract values from logs and create a a distribution of the values. The distribution records the statistics of the extracted values along with an optional histogram of the values as specified by the bucket options.","type":"object","properties":{"description":{"description":"Optional. A description of this metric, which is used in documentation.","type":"string"},"valueExtractor":{"description":"Optional. A value_extractor is required when using a distribution logs-based metric to extract the values to record from a log entry. Two functions are supported for value extraction: EXTRACT(field) or REGEXP_EXTRACT(field, regex). The argument are:  1. field: The name of the log entry field from which the value is to be  extracted.  2. regex: A regular expression using the Google RE2 syntax  (https://github.com/google/re2/wiki/Syntax) with a single capture  group to extract data from the specified log entry field. The value  of the field is converted to a string before applying the regex.  It is an error to specify a regex that does not include exactly one  capture group.The result of the extraction must be convertible to a double type, as the distribution always records double values. If either the extraction or the conversion to double fails, then those values are not recorded in the distribution.Example: REGEXP_EXTRACT(jsonPayload.request, \".*quantity=(\\d+).*\")","type":"string"},"bucketOptions":{"$ref":"BucketOptions","description":"Optional. The bucket_options are required when the logs-based metric is using a DISTRIBUTION value type and it describes the bucket boundaries used to create a histogram of the extracted values."},"name":{"description":"Required. The client-assigned metric identifier. Examples: \"error_count\", \"nginx/requests\".Metric identifiers are limited to 100 characters and can include only the following characters: A-Z, a-z, 0-9, and the special characters _-.,+!*',()%/. The forward-slash character (/) denotes a hierarchy of name pieces, and it cannot be the first character of the name.The metric identifier in this field must not be URL-encoded (https://en.wikipedia.org/wiki/Percent-encoding). However, when the metric identifier appears as the [METRIC_ID] part of a metric_name API parameter, then the metric identifier must be URL-encoded. Example: \"projects/my-project/metrics/nginx%2Frequests\".","type":"string"},"labelExtractors":{"description":"Optional. A map from a label key string to an extractor expression which is used to extract data from a log entry field and assign as the label value. Each label key specified in the LabelDescriptor must have an associated extractor expression in this map. The syntax of the extractor expression is the same as for the value_extractor field.The extracted value is converted to the type defined in the label descriptor. If the either the extraction or the type conversion fails, the label will have a default value. The default value for a string label is an empty string, for an integer label its 0, and for a boolean label its false.Note that there are upper bounds on the maximum number of labels and the number of active time series that are allowed in a project.","type":"object","additionalProperties":{"type":"string"}},"version":{"enumDescriptions":["Logging API v2.","Logging API v1."],"enum":["V2","V1"],"description":"Deprecated. The API version that created or updated this metric. The v2 format is used by default and cannot be changed.","type":"string"},"metricDescriptor":{"description":"Optional. The metric descriptor associated with the logs-based metric. If unspecified, it uses a default metric descriptor with a DELTA metric kind, INT64 value type, with no labels and a unit of \"1\". Such a metric counts the number of log entries matching the filter expression.The name, type, and description fields in the metric_descriptor are output only, and is constructed using the name and description field in the LogMetric.To create a logs-based metric that records a distribution of log values, a DELTA metric kind with a DISTRIBUTION value type must be used along with a value_extractor expression in the LogMetric.Each label in the metric descriptor must have a matching label name as the key and an extractor expression as the value in the label_extractors map.The metric_kind and value_type fields in the metric_descriptor cannot be updated once initially configured. New labels can be added in the metric_descriptor, but existing labels cannot be modified except for their description.","$ref":"MetricDescriptor"},"filter":{"description":"Required. An advanced logs filter which is used to match log entries. Example:\n\"resource.type=gae_app AND severity>=ERROR\"\nThe maximum length of the filter is 20000 characters.","type":"string"}},"id":"LogMetric"},"MonitoredResource":{"description":"An object representing a resource that can be used for monitoring, logging, billing, or other purposes. Examples include virtual machine instances, databases, and storage devices such as disks. The type field identifies a MonitoredResourceDescriptor object that describes the resource's schema. Information in the labels field identifies the actual resource and its attributes according to the schema. For example, a particular Compute Engine VM instance could be represented by the following object, because the MonitoredResourceDescriptor for \"gce_instance\" has labels \"instance_id\" and \"zone\":\n{ \"type\": \"gce_instance\",\n  \"labels\": { \"instance_id\": \"12345678901234\",\n              \"zone\": \"us-central1-a\" }}\n","type":"object","properties":{"type":{"description":"Required. The monitored resource type. This field must match the type field of a MonitoredResourceDescriptor object. For example, the type of a Compute Engine VM instance is gce_instance.","type":"string"},"labels":{"description":"Required. Values for all of the labels listed in the associated monitored resource descriptor. For example, Compute Engine VM instances use the labels \"project_id\", \"instance_id\", and \"zone\".","type":"object","additionalProperties":{"type":"string"}}},"id":"MonitoredResource"},"LogSink":{"type":"object","properties":{"name":{"description":"Required. The client-assigned sink identifier, unique within the project. Example: \"my-syslog-errors-to-pubsub\". Sink identifiers are limited to 100 characters and can include only the following characters: upper and lower-case alphanumeric characters, underscores, hyphens, and periods.","type":"string"},"includeChildren":{"description":"Optional. This field applies only to sinks owned by organizations and folders. If the field is false, the default, only the logs owned by the sink's parent resource are available for export. If the field is true, then logs from all the projects, folders, and billing accounts contained in the sink's parent resource are also available for export. Whether a particular log entry from the children is exported depends on the sink's filter expression. For example, if this field is true, then the filter resource.type=gce_instance would export all Compute Engine VM instance log entries from all projects in the sink's parent. To only export entries from certain child projects, filter on the project part of the log name:\nlogName:(\"projects/test-project1/\" OR \"projects/test-project2/\") AND\nresource.type=gce_instance\n","type":"boolean"},"destination":{"description":"Required. The export destination:\n\"storage.googleapis.com/[GCS_BUCKET]\"\n\"bigquery.googleapis.com/projects/[PROJECT_ID]/datasets/[DATASET]\"\n\"pubsub.googleapis.com/projects/[PROJECT_ID]/topics/[TOPIC_ID]\"\nThe sink's writer_identity, set when the sink is created, must have permission to write to the destination or else the log entries are not exported. For more information, see Exporting Logs With Sinks.","type":"string"},"filter":{"description":"Optional. An advanced logs filter. The only exported log entries are those that are in the resource owning the sink and that match the filter. For example:\nlogName=\"projects/[PROJECT_ID]/logs/[LOG_ID]\" AND severity>=ERROR\n","type":"string"},"endTime":{"description":"Deprecated. This field is ignored when creating or updating sinks.","format":"google-datetime","type":"string"},"startTime":{"description":"Deprecated. This field is ignored when creating or updating sinks.","format":"google-datetime","type":"string"},"writerIdentity":{"type":"string","description":"Output only. An IAM identity&mdash;a service account or group&mdash;under which Logging writes the exported log entries to the sink's destination. This field is set by sinks.create and sinks.update, based on the setting of unique_writer_identity in those methods.Until you grant this identity write-access to the destination, log entry exports from this sink will fail. For more information, see Granting access for a resource. Consult the destination service's documentation to determine the appropriate IAM roles to assign to the identity."},"outputVersionFormat":{"enumDescriptions":["An unspecified format version that will default to V2.","LogEntry version 2 format.","LogEntry version 1 format."],"enum":["VERSION_FORMAT_UNSPECIFIED","V2","V1"],"description":"Deprecated. The log entry format to use for this sink's exported log entries. The v2 format is used by default and cannot be changed.","type":"string"}},"id":"LogSink","description":"Describes a sink used to export log entries to one of the following destinations in any project: a Cloud Storage bucket, a BigQuery dataset, or a Cloud Pub/Sub topic. A logs filter controls which log entries are exported. The sink must be created within a project, organization, billing account, or folder."},"ListLogsResponse":{"properties":{"nextPageToken":{"description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.","type":"string"},"logNames":{"type":"array","items":{"type":"string"},"description":"A list of log names. For example, \"projects/my-project/syslog\" or \"organizations/123/cloudresourcemanager.googleapis.com%2Factivity\"."}},"id":"ListLogsResponse","description":"Result returned from ListLogs.","type":"object"},"ListSinksResponse":{"description":"Result returned from ListSinks.","type":"object","properties":{"sinks":{"description":"A list of sinks.","type":"array","items":{"$ref":"LogSink"}},"nextPageToken":{"description":"If there might be more results than appear in this response, then nextPageToken is included. To get the next set of results, call the same method again using the value of nextPageToken as pageToken.","type":"string"}},"id":"ListSinksResponse"},"HttpRequest":{"description":"A common proto for logging HTTP requests. Only contains semantics defined by the HTTP specification. Product-specific logging information MUST be defined in a separate message.","type":"object","properties":{"cacheFillBytes":{"description":"The number of HTTP response bytes inserted into cache. Set only when a cache fill was attempted.","format":"int64","type":"string"},"requestMethod":{"description":"The request method. Examples: \"GET\", \"HEAD\", \"PUT\", \"POST\".","type":"string"},"requestSize":{"description":"The size of the HTTP request message in bytes, including the request headers and the request body.","format":"int64","type":"string"},"protocol":{"description":"Protocol used for the request. Examples: \"HTTP/1.1\", \"HTTP/2\", \"websocket\"","type":"string"},"responseSize":{"description":"The size of the HTTP response message sent back to the client, in bytes, including the response headers and the response body.","format":"int64","type":"string"},"requestUrl":{"description":"The scheme (http, https), the host name, the path and the query portion of the URL that was requested. Example: \"http://example.com/some/info?color=red\".","type":"string"},"serverIp":{"description":"The IP address (IPv4 or IPv6) of the origin server that the request was sent to.","type":"string"},"remoteIp":{"description":"The IP address (IPv4 or IPv6) of the client that issued the HTTP request. Examples: \"192.168.1.1\", \"FE80::0202:B3FF:FE1E:8329\".","type":"string"},"cacheLookup":{"type":"boolean","description":"Whether or not a cache lookup was attempted."},"cacheHit":{"description":"Whether or not an entity was served from cache (with or without validation).","type":"boolean"},"cacheValidatedWithOriginServer":{"description":"Whether or not the response was validated with the origin server before being served from cache. This field is only meaningful if cache_hit is True.","type":"boolean"},"status":{"description":"The response code indicating the status of response. Examples: 200, 404.","format":"int32","type":"integer"},"referer":{"description":"The referer URL of the request, as defined in HTTP/1.1 Header Field Definitions (http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.html).","type":"string"},"userAgent":{"description":"The user agent sent by the client. Example: \"Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461; .NET CLR 1.0.3705)\".","type":"string"},"latency":{"description":"The request processing latency on the server, from the time the request was received until the response was sent.","format":"google-duration","type":"string"}},"id":"HttpRequest"},"MonitoredResourceDescriptor":{"description":"An object that describes the schema of a MonitoredResource object using a type name and a set of labels. For example, the monitored resource descriptor for Google Compute Engine VM instances has a type of \"gce_instance\" and specifies the use of the labels \"instance_id\" and \"zone\" to identify particular VM instances.Different APIs can support different monitored resource types. APIs generally provide a list method that returns the monitored resource descriptors used by the API.","type":"object","properties":{"name":{"description":"Optional. The resource name of the monitored resource descriptor: \"projects/{project_id}/monitoredResourceDescriptors/{type}\" where {type} is the value of the type field in this object and {project_id} is a project ID that provides API-specific context for accessing the type. APIs that do not use project information can use the resource name format \"monitoredResourceDescriptors/{type}\".","type":"string"},"displayName":{"description":"Optional. A concise name for the monitored resource type that might be displayed in user interfaces. It should be a Title Cased Noun Phrase, without any article or other determiners. For example, \"Google Cloud SQL Database\".","type":"string"},"description":{"description":"Optional. A detailed description of the monitored resource type that might be used in documentation.","type":"string"},"type":{"description":"Required. The monitored resource type. For example, the type \"cloudsql_database\" represents databases in Google Cloud SQL. The maximum length of this value is 256 characters.","type":"string"},"labels":{"description":"Required. A set of labels used to describe instances of this monitored resource type. For example, an individual Google Cloud SQL database is identified by values for the labels \"database_id\" and \"zone\".","type":"array","items":{"$ref":"LabelDescriptor"}}},"id":"MonitoredResourceDescriptor"},"LogEntrySourceLocation":{"description":"Additional information about the source code location that produced the log entry.","type":"object","properties":{"file":{"description":"Optional. Source file name. Depending on the runtime environment, this might be a simple name or a fully-qualified name.","type":"string"},"function":{"description":"Optional. Human-readable name of the function or method being invoked, with optional context such as the class or package name. This information may be used in contexts such as the logs viewer, where a file and line number are less meaningful. The format can vary by language. For example: qual.if.ied.Class.method (Java), dir/package.func (Go), function (Python).","type":"string"},"line":{"description":"Optional. Line within the source file. 1-based; 0 indicates no line number available.","format":"int64","type":"string"}},"id":"LogEntrySourceLocation"},"ListLogEntriesResponse":{"description":"Result returned from ListLogEntries.","type":"object","properties":{"nextPageToken":{"type":"string","description":"If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.If a value for next_page_token appears and the entries field is empty, it means that the search found no log entries so far but it did not have time to search all the possible log entries. Retry the method with this value for page_token to continue the search. Alternatively, consider speeding up the search by changing your filter to specify a single log name or resource type, or to narrow the time range of the search."},"entries":{"description":"A list of log entries. If entries is empty, nextPageToken may still be returned, indicating that more entries may exist. See nextPageToken for more information.","type":"array","items":{"$ref":"LogEntry"}}},"id":"ListLogEntriesResponse"},"LogLine":{"description":"Application log line emitted while processing a request.","type":"object","properties":{"time":{"description":"Approximate time when this log entry was made.","format":"google-datetime","type":"string"},"severity":{"enum":["DEFAULT","DEBUG","INFO","NOTICE","WARNING","ERROR","CRITICAL","ALERT","EMERGENCY"],"description":"Severity of this log entry.","type":"string","enumDescriptions":["(0) The log entry has no assigned severity level.","(100) Debug or trace information.","(200) Routine information, such as ongoing status or performance.","(300) Normal but significant events, such as start up, shut down, or a configuration change.","(400) Warning events might cause problems.","(500) Error events are likely to cause problems.","(600) Critical events cause more severe problems or outages.","(700) A person must take an action immediately.","(800) One or more systems are unusable."]},"logMessage":{"description":"App-provided log message.","type":"string"},"sourceLocation":{"$ref":"SourceLocation","description":"Where in the source code this log message was written."}},"id":"LogLine"}},"protocol":"rest","icons":{"x32":"http://www.google.com/images/icons/product/search-32.gif","x16":"http://www.google.com/images/icons/product/search-16.gif"},"canonicalName":"Logging"};